(*^

::[	Information =

	"This is a Mathematica Notebook file.  It contains ASCII text, and can be
	transferred by email, ftp, or other text-file transfer utility.  It should
	be read or edited using a copy of Mathematica or MathReader.  If you 
	received this as email, use your mail application or copy/paste to save 
	everything from the line containing (*^ down to the line containing ^*)
	into a plain text file.  On some systems you may have to give the file a 
	name ending with ".ma" to allow Mathematica to recognize it as a Notebook.
	The line below identifies what version of Mathematica created this file,
	but it can be opened using any other version as well.";

	FrontEndVersion = "X Window System Mathematica Notebook Front End Version 2.2";

	X11StandardFontEncoding; 
	
	fontset = title, inactive, noPageBreakBelow, noPageBreakInGroup, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e8,  24, fontName, "times";
	fontset = subtitle, inactive, noPageBreakBelow, noPageBreakInGroup, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e6,  18, fontName, "times";
	fontset = subsubtitle, inactive, noPageBreakBelow, noPageBreakInGroup, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, e6,  14, fontName, "times";
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, a20,  18, fontName, "times";
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, a15,  14, fontName, "times";
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, a12,  12, fontName, "times";
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, fontName, "times";
	fontset = input, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold,  12, fontName, "courier";
	fontset = output, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, fontName, "courier";
	fontset = message, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23,  12, fontName, "courier";
	fontset = print, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23,  12, fontName, "courier";
	fontset = info, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23,  12, fontName, "courier";
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287,  12, fontName, "courier";
	fontset = name, inactive, noPageBreakInGroup, nohscroll, preserveAspect, M7, italic, B65535,  10, fontName, "times";
	fontset = header, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic,  12, fontName, "times";
	fontset = leftheader,  12, fontName, "times";
	fontset = footer, inactive, nohscroll, noKeepOnOnePage, preserveAspect, center, M7, italic,  12, fontName, "times";
	fontset = leftfooter,  12, fontName, "times";
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "courier";
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";paletteColors = 128; automaticGrouping; currentKernel; 
]
:[font = section; inactive; preserveAspect; fontSize = 10; startGroup]
pbar p (1S0) -> rhohat pi (L=1), rhohat -> b1 pi, b1 -> omega pi
:[font = text; inactive; preserveAspect; fontSize = 10]
L=1 for the rhohat pi system
:[font = input; preserveAspect; fontSize = 10; startGroup]
Clear[ tpbp, tpbpf ]
:[font = message; inactive; preserveAspect; fontSize = 10]
General::spell1: 
   Possible spelling error: new symbol name "tpbp"
     is similar to existing symbol "stpbp".
:[font = message; inactive; preserveAspect; fontSize = 10; endGroup]
General::spell1: 
   Possible spelling error: new symbol name "tpbpf"
     is similar to existing symbol "tpbp".
:[font = input; preserveAspect; fontSize = 10; startGroup]
tpbp =( Table[ ClebschGordan[ {1,0},  {1,lrh}, {0,lrh} ] *
               ClebschGordan[ {1,lrh},{0,0},   {1,lrh} ],
               {lrh,1,-1,-1} ] )
:[font = message; inactive; preserveAspect; fontSize = 10]
ClebschGordan::phy: 
   ThreeJSymbol[{1, 0}, {1, 1}, {0, -1}] is not physical.
:[font = message; inactive; preserveAspect; fontSize = 10]
ClebschGordan::phy: 
   ThreeJSymbol[{1, 0}, {1, -1}, {0, 1}] is not physical.
:[font = output; output; inactive; preserveAspect; fontSize = 10; endGroup]
{0, -3^(-1/2), 0}
;[o]
         1
{0, -(-------), 0}
      Sqrt[3]
:[font = input; preserveAspect; fontSize = 10]
tpbpf[ lrh_ ] := tpbp[[ 2-lrh ]]
:[font = input; preserveAspect; fontSize = 10; startGroup]
stpbp =( Table[ ClebschGordan[ {1,0},  {1,-lrh}, {0,-lrh} ] *
                ClebschGordan[ {0,0},  {1,-lrh}, {1,-lrh} ],
               {lrh,1,-1,-1} ] )
:[font = message; inactive; preserveAspect]
ClebschGordan::phy: 
   ThreeJSymbol[{1, 0}, {1, -1}, {0, 1}] is not physical.
:[font = message; inactive; preserveAspect]
ClebschGordan::phy: 
   ThreeJSymbol[{1, 0}, {1, 1}, {0, -1}] is not physical.
:[font = output; output; inactive; preserveAspect; endGroup]
{0, -3^(-1/2), 0}
;[o]
         1
{0, -(-------), 0}
      Sqrt[3]
:[font = input; preserveAspect; fontSize = 10; startGroup]
stpbpf[ lrh_ ] := stpbp[[ 2-lrh ]]
:[font = message; inactive; preserveAspect; endGroup]
General::spell: 
   Possible spelling error: new symbol name "stpbpf"
     is similar to existing symbols {stpbp, tpbpf}.
:[font = text; inactive; preserveAspect; fontSize = 10]
L=0 or 2 for the b1 pi from the rhohat decay
:[font = input; preserveAspect; fontSize = 10; startGroup]
Clear[trhL0,trhL2,trhf,c,d]
:[font = message; inactive; preserveAspect]
General::spell1: 
   Possible spelling error: new symbol name "trhL0"
     is similar to existing symbol "strhL0".
:[font = message; inactive; preserveAspect; endGroup]
General::spell1: 
   Possible spelling error: new symbol name "trhL2"
     is similar to existing symbol "strhL2".
:[font = input; preserveAspect; fontSize = 10; startGroup]
trhL0 =( Table[ ClebschGordan[ {0,0},  {1,lb1}, {1,lb1} ] *
                ClebschGordan[ {1,lb1},{0,0},   {1,lb1} ],
                {lb1,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; fontSize = 10; endGroup]
{1, 1, 1}
;[o]
{1, 1, 1}
:[font = input; preserveAspect; fontSize = 10; startGroup]
trhL2 =( Table[ ClebschGordan[ {2,0},  {1,lb1}, {1,lb1} ] *
                ClebschGordan[ {1,lb1},{0,0},   {1,lb1} ],
                {lb1,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; fontSize = 10; endGroup]
{10^(-1/2), -(2/5)^(1/2), 10^(-1/2)}
;[o]
    1            2      1
{--------, -Sqrt[-], --------}
 Sqrt[10]        5   Sqrt[10]
:[font = input; preserveAspect; fontSize = 10]
trhf[ lb1_ ] := c /; (lb1 == 1) || (lb1 == -1)
:[font = input; preserveAspect; fontSize = 10]
trhf[ lb1_ ] := d /;  lb1 == 0
:[font = input; preserveAspect; fontSize = 10; startGroup]
strhL0 =( Table[ ClebschGordan[ {0,0},  {1,-lb1}, {1,-lb1} ] *
                 ClebschGordan[ {0,0},  {1,-lb1}, {1,-lb1} ],
                {lb1,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{1, 1, 1}
;[o]
{1, 1, 1}
:[font = input; preserveAspect; fontSize = 10; startGroup]
strhL2 =( Table[ ClebschGordan[ {2,0},  {1,-lb1}, {1,-lb1} ] *
                 ClebschGordan[ {0,0},  {1,-lb1}, {1,-lb1} ],
                {lb1,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{10^(-1/2), -(2/5)^(1/2), 10^(-1/2)}
;[o]
    1            2      1
{--------, -Sqrt[-], --------}
 Sqrt[10]        5   Sqrt[10]
:[font = input; preserveAspect; fontSize = 10; startGroup]
strhf[ lb1_ ] := c /; (lb1 == 1) || (lb1 == -1)
:[font = message; inactive; preserveAspect; endGroup]
General::spell1: 
   Possible spelling error: new symbol name "strhf"
     is similar to existing symbol "trhf".
:[font = input; preserveAspect; fontSize = 10]
strhf[ lb1_ ] := d /;  lb1 == 0
:[font = text; inactive; preserveAspect; fontSize = 10]
L=0 or 2 for the omega pi from the b1 decay
:[font = input; preserveAspect; fontSize = 10; startGroup]
Clear[tb1L0,tb1L2,tb1f,a,b]
:[font = message; inactive; preserveAspect]
General::spell1: 
   Possible spelling error: new symbol name "tb1L0"
     is similar to existing symbol "stb1L0".
:[font = message; inactive; preserveAspect]
General::spell1: 
   Possible spelling error: new symbol name "tb1L2"
     is similar to existing symbol "stb1L2".
:[font = message; inactive; preserveAspect]
General::spell1: 
   Possible spelling error: new symbol name "tb1f"
     is similar to existing symbol "stb1f".
:[font = message; inactive; preserveAspect; endGroup]
General::stop: 
   Further output of General::spell1
     will be suppressed during this calculation.
:[font = input; preserveAspect; fontSize = 10; startGroup]
tb1L0 =( Table[ ClebschGordan[ {0,0},  {1,lw}, {1,lw} ] *
                ClebschGordan[ {1,lw}, {0,0},  {1,lw} ],
                {lw,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; fontSize = 10; endGroup]
{1, 1, 1}
;[o]
{1, 1, 1}
:[font = input; preserveAspect; fontSize = 10; startGroup]
tb1L2 =( Table[ ClebschGordan[ {2,0},  {1,lw}, {1,lw} ] *
                ClebschGordan[ {1,lw},{ 0,0},  {1,lw} ],
                {lw,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; fontSize = 10; endGroup]
{10^(-1/2), -(2/5)^(1/2), 10^(-1/2)}
;[o]
    1            2      1
{--------, -Sqrt[-], --------}
 Sqrt[10]        5   Sqrt[10]
:[font = input; preserveAspect; fontSize = 10]
tb1f[ lw_ ] := a /; (lw == 1) || (lw == -1)
:[font = input; preserveAspect; fontSize = 10]
tb1f[ lw_ ] := b /;  lw == 0
:[font = input; preserveAspect; fontSize = 10; startGroup]
stb1L0 =( Table[ ClebschGordan[ {0,0},  {1,-lw}, {1,-lw} ] *
                 ClebschGordan[ {0,0},  {1,-lw}, {1,-lw} ],
                {lw,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{1, 1, 1}
;[o]
{1, 1, 1}
:[font = input; preserveAspect; fontSize = 10; startGroup]
stb1L2 =( Table[ ClebschGordan[ {2,0},  {1,-lw}, {1,-lw} ] *
                 ClebschGordan[ {0,0},  {1,-lw}, {1,-lw} ],
                {lw,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{10^(-1/2), -(2/5)^(1/2), 10^(-1/2)}
;[o]
    1            2      1
{--------, -Sqrt[-], --------}
 Sqrt[10]        5   Sqrt[10]
:[font = input; preserveAspect; fontSize = 10]
stb1f[ lw_ ] := a /; (lw == 1) || (lw == -1)
:[font = input; preserveAspect; fontSize = 10]
stb1f[ lw_ ] := b /;  lw == 0
:[font = text; inactive; preserveAspect; fontSize = 10]
L=1 for the gamma pi0 from the omega decay
:[font = input; preserveAspect; fontSize = 10]
Clear[tw,twf]
:[font = input; preserveAspect; fontSize = 10; startGroup]
tw =( Table[ ClebschGordan[ {1,0}, {1,lg}, {1,lg} ] *
             ClebschGordan[ {1,lg},{0,0},  {1,lg} ],
             {lg,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; fontSize = 10; endGroup]
{-2^(-1/2), 0, 2^(-1/2)}
;[o]
      1            1
{-(-------), 0, -------}
   Sqrt[2]      Sqrt[2]
:[font = input; preserveAspect; fontSize = 10]
twf[ lg_ ] := tw[[ 2-lg ]]
:[font = input; preserveAspect; fontSize = 10; startGroup]
stw =( Table[ ClebschGordan[ {1,0}, {1,-lg}, {1,-lg} ] *
              ClebschGordan[ {0,0}, {1,-lg}, {1,-lg} ],
              {lg,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; fontSize = 10; endGroup]
{2^(-1/2), 0, -2^(-1/2)}
;[o]
    1             1
{-------, 0, -(-------)}
 Sqrt[2]       Sqrt[2]
:[font = input; preserveAspect; fontSize = 10; startGroup]
stwf[ lg_ ] := stw[[ 2-lg ]]
:[font = message; inactive; preserveAspect; endGroup]
General::spell: 
   Possible spelling error: new symbol name "stwf"
     is similar to existing symbols {stw, twf}.
:[font = input; preserveAspect; fontSize = 10]
Clear[ amplitude, a1, Ds, astar, q,r,s,t,u,v,y,z]
:[font = input; preserveAspect; fontSize = 10]
amplitude =(
 Table[ Sum[ tpbpf[ lrh ]                    Sqrt[1/(4Pi)]*
             trhf[ lb1 ]  Ds[1,lrh,lb1, s,t] Sqrt[3/(4Pi)]*
             tb1f[ lw ]   Ds[1,lb1,lw,  u,v] Sqrt[3/(4Pi)]*
             twf[ lg ]    Ds[1,lw,lg,   y,z] Sqrt[3/(4Pi)],
             {lrh,1,-1,-1},{lb1,1,-1,-1},{lw,1,-1,-1} ],
        {lg,1,-1,-1} ] ) ;
:[font = input; preserveAspect; fontSize = 10]
samplitude =(
 Table[ Sum[ stpbpf[ lrh ]                    Sqrt[1/(4Pi)]*
             strhf[ lb1 ]  Ds[1,lrh,lb1, s,t] Sqrt[3/(4Pi)]*
             stb1f[ lw ]   Ds[1,lb1,lw,  u,v] Sqrt[3/(4Pi)]*
             stwf[ lg ]    Ds[1,lw,lg,   y,z] Sqrt[3/(4Pi)],
             {lrh,1,-1,-1},{lb1,1,-1,-1},{lw,1,-1,-1} ],
        {lg,1,-1,-1} ] ) ;
:[font = input; preserveAspect; startGroup]
amplitude+samplitude
:[font = output; output; inactive; preserveAspect; endGroup]
{0, 0, 0}
;[o]
{0, 0, 0}
:[font = text; inactive; preserveAspect]
So, SPIN's amplitude will be the negative of mine.
;[s]
2:0,0;33,1;50,-1;
2:1,0,0 ,times,0,12,0,0,0;1,0,0 ,times,1,12,0,0,0;
:[font = input; preserveAspect]
Expand[%]
:[font = input; preserveAspect; fontSize = 10]
<<Trigonometry.m
:[font = input; preserveAspect; fontSize = 10]
<<Dfunc.m
:[font = input; preserveAspect; fontSize = 10]
a1 = Simplify[ ExpandAll[ TrigReduce[ ComplexToTrig[ amplitude]]]]
:[font = input; preserveAspect; fontSize = 10; startGroup]
Factor[%]
:[font = output; output; inactive; preserveAspect; fontSize = 10; endGroup]
{(3*(a*c*Cos[u]*Cos[v]*Cos[y]*Cos[z]*Sin[s] + 
 
       a*d*Cos[s]*Cos[y]*Cos[z]*Sin[u] + I*a*c*Cos[z]*Sin[s]*Sin[v] + 
 
       b*d*Cos[s]*Cos[u]*Sin[y] - b*c*Cos[v]*Sin[s]*Sin[u]*Sin[y] + 
 
       I*a*c*Cos[u]*Cos[v]*Sin[s]*Sin[z] + I*a*d*Cos[s]*Sin[u]*Sin[z] - 
 
       a*c*Cos[y]*Sin[s]*Sin[v]*Sin[z]))/(32*Pi^2), 0, 
 
  (3*(a*c*Cos[u]*Cos[v]*Cos[y]*Cos[z]*Sin[s] + 
 
       a*d*Cos[s]*Cos[y]*Cos[z]*Sin[u] - I*a*c*Cos[z]*Sin[s]*Sin[v] + 
 
       b*d*Cos[s]*Cos[u]*Sin[y] - b*c*Cos[v]*Sin[s]*Sin[u]*Sin[y] - 
 
       I*a*c*Cos[u]*Cos[v]*Sin[s]*Sin[z] - I*a*d*Cos[s]*Sin[u]*Sin[z] - 
 
       a*c*Cos[y]*Sin[s]*Sin[v]*Sin[z]))/(32*Pi^2)}
;[o]
{(3 (a c Cos[u] Cos[v] Cos[y] Cos[z] Sin[s] + 
 
       a d Cos[s] Cos[y] Cos[z] Sin[u] + I a c Cos[z] Sin[s] Sin[v] + 
 
       b d Cos[s] Cos[u] Sin[y] - b c Cos[v] Sin[s] Sin[u] Sin[y] + 
 
       I a c Cos[u] Cos[v] Sin[s] Sin[z] + I a d Cos[s] Sin[u] Sin[z] - 
 
                                                 2
       a c Cos[y] Sin[s] Sin[v] Sin[z])) / (32 Pi ), 0, 
 
  (3 (a c Cos[u] Cos[v] Cos[y] Cos[z] Sin[s] + 
 
       a d Cos[s] Cos[y] Cos[z] Sin[u] - I a c Cos[z] Sin[s] Sin[v] + 
 
       b d Cos[s] Cos[u] Sin[y] - b c Cos[v] Sin[s] Sin[u] Sin[y] - 
 
       I a c Cos[u] Cos[v] Sin[s] Sin[z] - I a d Cos[s] Sin[u] Sin[z] - 
 
                                                 2
       a c Cos[y] Sin[s] Sin[v] Sin[z])) / (32 Pi )}
:[font = text; inactive; preserveAspect; fontSize = 10]
Check normalization:
:[font = input; preserveAspect; fontSize = 10]
Clear[ asa, wt ]
:[font = input; preserveAspect; fontSize = 10]
<<conj_rules.ma
:[font = input; preserveAspect; fontSize = 10]
astar=((Conjugate[ a1 ] //. {conjsum,conjprod})
      /. {conjsin,conjcos}) ;
:[font = input; preserveAspect; fontSize = 10]
asa = a1 astar ;
:[font = input; preserveAspect; fontSize = 10]
wt=Sum[ asa[[2-lg]], {lg,1,-1,-1}]
:[font = input; preserveAspect; fontSize = 10; endGroup]
(Integrate[ wt Sin[y] Sin[u] Sin[s],
            {Cos[q],1,-1}, {r,0,2Pi},
            {s,0,Pi},      {t,0,2Pi},
            {u,0,Pi},      {v,0,2Pi},
            {y,0,Pi},      {z,0,2Pi} ])
:[font = section; inactive; preserveAspect; fontSize = 10; startGroup]
pbar p (3P1) -> rhohat pi, rhohat -> b1 pi, b1 -> omega pi
:[font = text; inactive; preserveAspect; fontSize = 10]
L=0 for the rhohat pi system
:[font = input; preserveAspect; fontSize = 10]
Clear[ tpbp, tpbpf ]
:[font = input; preserveAspect; fontSize = 10; startGroup]
tpbp =( Table[ ClebschGordan[ {0,0},  {1,lrh}, {1,lrh} ] *
               ClebschGordan[ {1,lrh},{0,0},   {1,lrh} ],
               {lrh,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; fontSize = 10; endGroup]
{1, 1, 1}
;[o]
{1, 1, 1}
:[font = input; preserveAspect; fontSize = 10]
tpbpf[ lrh_ ] := tpbp[[ 2-lrh ]]
:[font = input; preserveAspect; fontSize = 10; startGroup]
stpbp =( Table[ ClebschGordan[ {0,0},  {1,-lrh}, {1,-lrh} ] *
                ClebschGordan[ {0,0},  {1,-lrh}, {1,-lrh} ],
               {lrh,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; fontSize = 10; endGroup]
{1, 1, 1}
;[o]
{1, 1, 1}
:[font = input; preserveAspect; fontSize = 10]
stpbpf[ lrh_ ] := stpbp[[ 2-lrh ]]
:[font = text; inactive; preserveAspect; fontSize = 10]
L=0 or 2 for the b1 pi from the rhohat decay
:[font = input; preserveAspect; fontSize = 10; startGroup]
Clear[trhL0,trhL2,trhfc,d]
:[font = message; inactive; preserveAspect; fontSize = 10; endGroup]
General::spell1: 
   Possible spelling error: new symbol name "trhfc"
     is similar to existing symbol "trhf".
:[font = input; preserveAspect; fontSize = 10; startGroup]
trhL0 =( Table[ ClebschGordan[ {0,0},  {1,lb1}, {1,lb1} ] *
                ClebschGordan[ {1,lb1},{0,0},   {1,lb1} ],
                {lb1,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; fontSize = 10; endGroup]
{1, 1, 1}
;[o]
{1, 1, 1}
:[font = input; preserveAspect; fontSize = 10; startGroup]
trhL2 =( Table[ ClebschGordan[ {2,0},  {1,lb1}, {1,lb1} ] *
                ClebschGordan[ {1,lb1},{0,0},   {1,lb1} ],
                {lb1,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; fontSize = 10; endGroup]
{10^(-1/2), -(2/5)^(1/2), 10^(-1/2)}
;[o]
    1            2      1
{--------, -Sqrt[-], --------}
 Sqrt[10]        5   Sqrt[10]
:[font = input; preserveAspect; fontSize = 10]
trhf[ lb1_ ] := c /; (lb1 == 1) || (lb1 == -1)
:[font = input; preserveAspect; fontSize = 10]
trhf[ lb1_ ] := d /;  lb1 == 0
:[font = input; preserveAspect; fontSize = 10; startGroup]
strhL0 =( Table[ ClebschGordan[ {0,0},  {1,-lb1}, {1,-lb1} ] *
                 ClebschGordan[ {0,0},  {1,-lb1}, {1,-lb1} ],
                {lb1,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{1, 1, 1}
;[o]
{1, 1, 1}
:[font = input; preserveAspect; fontSize = 10; startGroup]
strhL2 =( Table[ ClebschGordan[ {2,0},  {1,-lb1}, {1,-lb1} ] *
                 ClebschGordan[ {0,0},  {1,-lb1}, {1,-lb1} ],
                {lb1,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{10^(-1/2), -(2/5)^(1/2), 10^(-1/2)}
;[o]
    1            2      1
{--------, -Sqrt[-], --------}
 Sqrt[10]        5   Sqrt[10]
:[font = input; preserveAspect; fontSize = 10]
strhf[ lb1_ ] := c /; (lb1 == 1) || (lb1 == -1)
:[font = input; preserveAspect; fontSize = 10]
strhf[ lb1_ ] := d /;  lb1 == 0
:[font = text; inactive; preserveAspect; fontSize = 10]
L=0 or 2 for the omega pi from the b1 decay
:[font = input; preserveAspect; fontSize = 10]
Clear[tb1L0,tb1L2,tb1f,a,b]
:[font = input; preserveAspect; fontSize = 10; startGroup]
tb1L0 =( Table[ ClebschGordan[ {0,0},  {1,lw}, {1,lw} ] *
                ClebschGordan[ {1,lw}, {0,0},  {1,lw} ],
                {lw,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; fontSize = 10; endGroup]
{1, 1, 1}
;[o]
{1, 1, 1}
:[font = input; preserveAspect; fontSize = 10; startGroup]
tb1L2 =( Table[ ClebschGordan[ {2,0},  {1,lw}, {1,lw} ] *
                ClebschGordan[ {1,lw},{ 0,0},  {1,lw} ],
                {lw,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; fontSize = 10; endGroup]
{10^(-1/2), -(2/5)^(1/2), 10^(-1/2)}
;[o]
    1            2      1
{--------, -Sqrt[-], --------}
 Sqrt[10]        5   Sqrt[10]
:[font = input; preserveAspect; fontSize = 10]
tb1f[ lw_ ] := a /; (lw == 1) || (lw == -1)
:[font = input; preserveAspect; fontSize = 10]
tb1f[ lw_ ] := b /;  lw == 0
:[font = input; preserveAspect; fontSize = 10; startGroup]
stb1L0 =( Table[ ClebschGordan[ {0,0},  {1,-lw}, {1,-lw} ] *
                 ClebschGordan[ {0,0},  {1,-lw}, {1,-lw} ],
                 {lw,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{1, 1, 1}
;[o]
{1, 1, 1}
:[font = input; preserveAspect; fontSize = 10; startGroup]
stb1L2 =( Table[ ClebschGordan[ {2,0},  {1,-lw}, {1,-lw} ] *
                 ClebschGordan[ {0,0},  {1,-lw}, {1,-lw} ],
                 {lw,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{10^(-1/2), -(2/5)^(1/2), 10^(-1/2)}
;[o]
    1            2      1
{--------, -Sqrt[-], --------}
 Sqrt[10]        5   Sqrt[10]
:[font = input; preserveAspect; fontSize = 10]
stb1f[ lw_ ] := a /; (lw == 1) || (lw == -1)
:[font = input; preserveAspect; fontSize = 10]
stb1f[ lw_ ] := b /;  lw == 0
:[font = text; inactive; preserveAspect; fontSize = 10]
L=1 for the gamma pi0 from the omega decay
:[font = input; preserveAspect; fontSize = 10]
Clear[tw,twf]
:[font = input; preserveAspect; fontSize = 10; startGroup]
tw =( Table[ ClebschGordan[ {1,0}, {1,lg}, {1,lg} ] *
             ClebschGordan[ {1,lg},{0,0},  {1,lg} ],
             {lg,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; fontSize = 10; endGroup]
{-2^(-1/2), 0, 2^(-1/2)}
;[o]
      1            1
{-(-------), 0, -------}
   Sqrt[2]      Sqrt[2]
:[font = input; preserveAspect; fontSize = 10]
twf[ lg_ ] := tw[[ 2-lg ]]
:[font = input; preserveAspect; fontSize = 10; startGroup]
stw =( Table[ ClebschGordan[ {1,0}, {1,-lg}, {1,-lg} ] *
             ClebschGordan[  {0,0}, {1,-lg}, {1,-lg} ],
             {lg,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; fontSize = 10; endGroup]
{2^(-1/2), 0, -2^(-1/2)}
;[o]
    1             1
{-------, 0, -(-------)}
 Sqrt[2]       Sqrt[2]
:[font = input; preserveAspect; fontSize = 10]
stwf[ lg_ ] := stw[[ 2-lg ]]
:[font = input; preserveAspect; fontSize = 10]
Clear[ amplitude, astar, a1, Ds]
:[font = input; preserveAspect; fontSize = 10]
amplitude =(
 Table[ Sum[ tpbpf[ lrh ] Ds[1, m,   lrh, q,r] Sqrt[1/(4Pi)]*
             trhf[ lb1 ]  Ds[1, lrh, lb1, s,t] Sqrt[1/(4Pi)]*
             tb1f[ lw ]   Ds[1, lb1, lw,  u,v] Sqrt[1/(4Pi)]*
             twf[ lg ]    Ds[1, lw,  lg,  y,z] Sqrt[1/(4Pi)],
             {lrh,1,-1,-1},{lb1,1,-1,-1},{lw,1,-1,-1} ],
        {lg,1,-1,-1}, {m,1,-1,-1} ] ) ;
:[font = input; preserveAspect; fontSize = 10]
samplitude =(
 Table[ Sum[ stpbpf[ lrh ] Ds[1, m,   lrh, q,r] Sqrt[1/(4Pi)]*
             strhf[ lb1 ]  Ds[1, lrh, lb1, s,t] Sqrt[1/(4Pi)]*
             stb1f[ lw ]   Ds[1, lb1, lw,  u,v] Sqrt[1/(4Pi)]*
             stwf[ lg ]    Ds[1, lw,  lg,  y,z] Sqrt[1/(4Pi)],
             {lrh,1,-1,-1},{lb1,1,-1,-1},{lw,1,-1,-1} ],
        {lg,1,-1,-1}, {m,1,-1,-1} ] ) ;
:[font = input; preserveAspect; startGroup]
amplitude + samplitude
:[font = output; output; inactive; preserveAspect; endGroup]
{{0, 0, 0}, {0, 0, 0}, {0, 0, 0}}
;[o]
{{0, 0, 0}, {0, 0, 0}, {0, 0, 0}}
:[font = input; preserveAspect; fontSize = 10]
<<Trigonometry.m
:[font = input; preserveAspect; fontSize = 10]
<<Dfunc.m
:[font = input; preserveAspect; fontSize = 10]
a1 = ComplexToTrig[ amplitude ];
:[font = input; preserveAspect; fontSize = 10]
a2 = TrigReduce[ a1 ];
:[font = input; preserveAspect; fontSize = 10]
a3 = ExpandAll[ a2 ];
:[font = input; preserveAspect; fontSize = 10]
a4 = Simplify[ a3 ]
:[font = input; preserveAspect; fontSize = 10; startGroup]
a5 = Factor[ a4 ]
:[font = output; output; inactive; preserveAspect; fontSize = 10; endGroup]
{{((-I*Cos[r] + Sin[r])*(-I*a*c*Cos[t]*Cos[v]*Cos[z] - 
 
        I*a*c*Cos[q]*Cos[s]*Cos[t]*Cos[u]*Cos[v]*Cos[y]*Cos[z] + 
 
        I*a*c*Cos[u]*Cos[v]*Cos[y]*Cos[z]*Sin[q]*Sin[s] + 
 
        a*c*Cos[q]*Cos[v]*Cos[z]*Sin[t] + 
 
        a*c*Cos[s]*Cos[u]*Cos[v]*Cos[y]*Cos[z]*Sin[t] + 
 
        I*a*d*Cos[s]*Cos[y]*Cos[z]*Sin[q]*Sin[u] + 
 
        I*a*d*Cos[q]*Cos[t]*Cos[y]*Cos[z]*Sin[s]*Sin[u] - 
 
        a*d*Cos[y]*Cos[z]*Sin[s]*Sin[t]*Sin[u] + 
 
        a*c*Cos[q]*Cos[s]*Cos[t]*Cos[z]*Sin[v] + 
 
        a*c*Cos[t]*Cos[u]*Cos[y]*Cos[z]*Sin[v] - 
 
        a*c*Cos[z]*Sin[q]*Sin[s]*Sin[v] + 
 
        I*a*c*Cos[s]*Cos[z]*Sin[t]*Sin[v] + 
 
        I*a*c*Cos[q]*Cos[u]*Cos[y]*Cos[z]*Sin[t]*Sin[v] + 
 
        I*b*d*Cos[s]*Cos[u]*Sin[q]*Sin[y] + 
 
        I*b*d*Cos[q]*Cos[t]*Cos[u]*Sin[s]*Sin[y] - 
 
        b*d*Cos[u]*Sin[s]*Sin[t]*Sin[y] + 
 
        I*b*c*Cos[q]*Cos[s]*Cos[t]*Cos[v]*Sin[u]*Sin[y] - 
 
        I*b*c*Cos[v]*Sin[q]*Sin[s]*Sin[u]*Sin[y] - 
 
        b*c*Cos[s]*Cos[v]*Sin[t]*Sin[u]*Sin[y] - 
 
        b*c*Cos[t]*Sin[u]*Sin[v]*Sin[y] - 
 
        I*b*c*Cos[q]*Sin[t]*Sin[u]*Sin[v]*Sin[y] + 
 
        a*c*Cos[q]*Cos[s]*Cos[t]*Cos[u]*Cos[v]*Sin[z] + 
 
        a*c*Cos[t]*Cos[v]*Cos[y]*Sin[z] - 
 
        a*c*Cos[u]*Cos[v]*Sin[q]*Sin[s]*Sin[z] + 
 
        I*a*c*Cos[s]*Cos[u]*Cos[v]*Sin[t]*Sin[z] + 
 
        I*a*c*Cos[q]*Cos[v]*Cos[y]*Sin[t]*Sin[z] - 
 
        a*d*Cos[s]*Sin[q]*Sin[u]*Sin[z] - 
 
        a*d*Cos[q]*Cos[t]*Sin[s]*Sin[u]*Sin[z] - 
 
        I*a*d*Sin[s]*Sin[t]*Sin[u]*Sin[z] + 
 
        I*a*c*Cos[t]*Cos[u]*Sin[v]*Sin[z] + 
 
        I*a*c*Cos[q]*Cos[s]*Cos[t]*Cos[y]*Sin[v]*Sin[z] - 
 
        I*a*c*Cos[y]*Sin[q]*Sin[s]*Sin[v]*Sin[z] - 
 
        a*c*Cos[q]*Cos[u]*Sin[t]*Sin[v]*Sin[z] - 
 
        a*c*Cos[s]*Cos[y]*Sin[t]*Sin[v]*Sin[z]))/(32*2^(1/2)*Pi^2), 
 
   (-(a*c*Cos[s]*Cos[t]*Cos[u]*Cos[v]*Cos[y]*Cos[z]*Sin[q]) - 
 
      a*c*Cos[q]*Cos[u]*Cos[v]*Cos[y]*Cos[z]*Sin[s] - 
 
      I*a*c*Cos[v]*Cos[z]*Sin[q]*Sin[t] - 
 
      a*d*Cos[q]*Cos[s]*Cos[y]*Cos[z]*Sin[u] + 
 
      a*d*Cos[t]*Cos[y]*Cos[z]*Sin[q]*Sin[s]*Sin[u] - 
 
      I*a*c*Cos[s]*Cos[t]*Cos[z]*Sin[q]*Sin[v] - 
 
      I*a*c*Cos[q]*Cos[z]*Sin[s]*Sin[v] + 
 
      a*c*Cos[u]*Cos[y]*Cos[z]*Sin[q]*Sin[t]*Sin[v] - 
 
      b*d*Cos[q]*Cos[s]*Cos[u]*Sin[y] + 
 
      b*d*Cos[t]*Cos[u]*Sin[q]*Sin[s]*Sin[y] + 
 
      b*c*Cos[s]*Cos[t]*Cos[v]*Sin[q]*Sin[u]*Sin[y] + 
 
      b*c*Cos[q]*Cos[v]*Sin[s]*Sin[u]*Sin[y] - 
 
      b*c*Sin[q]*Sin[t]*Sin[u]*Sin[v]*Sin[y] - 
 
      I*a*c*Cos[s]*Cos[t]*Cos[u]*Cos[v]*Sin[q]*Sin[z] - 
 
      I*a*c*Cos[q]*Cos[u]*Cos[v]*Sin[s]*Sin[z] + 
 
      a*c*Cos[v]*Cos[y]*Sin[q]*Sin[t]*Sin[z] - 
 
      I*a*d*Cos[q]*Cos[s]*Sin[u]*Sin[z] + 
 
      I*a*d*Cos[t]*Sin[q]*Sin[s]*Sin[u]*Sin[z] + 
 
      a*c*Cos[s]*Cos[t]*Cos[y]*Sin[q]*Sin[v]*Sin[z] + 
 
      a*c*Cos[q]*Cos[y]*Sin[s]*Sin[v]*Sin[z] + 
 
      I*a*c*Cos[u]*Sin[q]*Sin[t]*Sin[v]*Sin[z])/(32*Pi^2), 
 
   ((I*Cos[r] + Sin[r])*(I*a*c*Cos[t]*Cos[v]*Cos[z] - 
 
        I*a*c*Cos[q]*Cos[s]*Cos[t]*Cos[u]*Cos[v]*Cos[y]*Cos[z] + 
 
        I*a*c*Cos[u]*Cos[v]*Cos[y]*Cos[z]*Sin[q]*Sin[s] + 
 
        a*c*Cos[q]*Cos[v]*Cos[z]*Sin[t] - 
 
        a*c*Cos[s]*Cos[u]*Cos[v]*Cos[y]*Cos[z]*Sin[t] + 
 
        I*a*d*Cos[s]*Cos[y]*Cos[z]*Sin[q]*Sin[u] + 
 
        I*a*d*Cos[q]*Cos[t]*Cos[y]*Cos[z]*Sin[s]*Sin[u] + 
 
        a*d*Cos[y]*Cos[z]*Sin[s]*Sin[t]*Sin[u] + 
 
        a*c*Cos[q]*Cos[s]*Cos[t]*Cos[z]*Sin[v] - 
 
        a*c*Cos[t]*Cos[u]*Cos[y]*Cos[z]*Sin[v] - 
 
        a*c*Cos[z]*Sin[q]*Sin[s]*Sin[v] - 
 
        I*a*c*Cos[s]*Cos[z]*Sin[t]*Sin[v] + 
 
        I*a*c*Cos[q]*Cos[u]*Cos[y]*Cos[z]*Sin[t]*Sin[v] + 
 
        I*b*d*Cos[s]*Cos[u]*Sin[q]*Sin[y] + 
 
        I*b*d*Cos[q]*Cos[t]*Cos[u]*Sin[s]*Sin[y] + 
 
        b*d*Cos[u]*Sin[s]*Sin[t]*Sin[y] + 
 
        I*b*c*Cos[q]*Cos[s]*Cos[t]*Cos[v]*Sin[u]*Sin[y] - 
 
        I*b*c*Cos[v]*Sin[q]*Sin[s]*Sin[u]*Sin[y] + 
 
        b*c*Cos[s]*Cos[v]*Sin[t]*Sin[u]*Sin[y] + 
 
        b*c*Cos[t]*Sin[u]*Sin[v]*Sin[y] - 
 
        I*b*c*Cos[q]*Sin[t]*Sin[u]*Sin[v]*Sin[y] + 
 
        a*c*Cos[q]*Cos[s]*Cos[t]*Cos[u]*Cos[v]*Sin[z] - 
 
        a*c*Cos[t]*Cos[v]*Cos[y]*Sin[z] - 
 
        a*c*Cos[u]*Cos[v]*Sin[q]*Sin[s]*Sin[z] - 
 
        I*a*c*Cos[s]*Cos[u]*Cos[v]*Sin[t]*Sin[z] + 
 
        I*a*c*Cos[q]*Cos[v]*Cos[y]*Sin[t]*Sin[z] - 
 
        a*d*Cos[s]*Sin[q]*Sin[u]*Sin[z] - 
 
        a*d*Cos[q]*Cos[t]*Sin[s]*Sin[u]*Sin[z] + 
 
        I*a*d*Sin[s]*Sin[t]*Sin[u]*Sin[z] - 
 
        I*a*c*Cos[t]*Cos[u]*Sin[v]*Sin[z] + 
 
        I*a*c*Cos[q]*Cos[s]*Cos[t]*Cos[y]*Sin[v]*Sin[z] - 
 
        I*a*c*Cos[y]*Sin[q]*Sin[s]*Sin[v]*Sin[z] - 
 
        a*c*Cos[q]*Cos[u]*Sin[t]*Sin[v]*Sin[z] + 
 
        a*c*Cos[s]*Cos[y]*Sin[t]*Sin[v]*Sin[z]))/(32*2^(1/2)*Pi^2)}, 
 
  {0, 0, 0}, {((-I*Cos[r] + Sin[r])*
 
      (I*a*c*Cos[t]*Cos[v]*Cos[z] - 
 
        I*a*c*Cos[q]*Cos[s]*Cos[t]*Cos[u]*Cos[v]*Cos[y]*Cos[z] + 
 
        I*a*c*Cos[u]*Cos[v]*Cos[y]*Cos[z]*Sin[q]*Sin[s] - 
 
        a*c*Cos[q]*Cos[v]*Cos[z]*Sin[t] + 
 
        a*c*Cos[s]*Cos[u]*Cos[v]*Cos[y]*Cos[z]*Sin[t] + 
 
        I*a*d*Cos[s]*Cos[y]*Cos[z]*Sin[q]*Sin[u] + 
 
        I*a*d*Cos[q]*Cos[t]*Cos[y]*Cos[z]*Sin[s]*Sin[u] - 
 
        a*d*Cos[y]*Cos[z]*Sin[s]*Sin[t]*Sin[u] - 
 
        a*c*Cos[q]*Cos[s]*Cos[t]*Cos[z]*Sin[v] + 
 
        a*c*Cos[t]*Cos[u]*Cos[y]*Cos[z]*Sin[v] + 
 
        a*c*Cos[z]*Sin[q]*Sin[s]*Sin[v] - 
 
        I*a*c*Cos[s]*Cos[z]*Sin[t]*Sin[v] + 
 
        I*a*c*Cos[q]*Cos[u]*Cos[y]*Cos[z]*Sin[t]*Sin[v] + 
 
        I*b*d*Cos[s]*Cos[u]*Sin[q]*Sin[y] + 
 
        I*b*d*Cos[q]*Cos[t]*Cos[u]*Sin[s]*Sin[y] - 
 
        b*d*Cos[u]*Sin[s]*Sin[t]*Sin[y] + 
 
        I*b*c*Cos[q]*Cos[s]*Cos[t]*Cos[v]*Sin[u]*Sin[y] - 
 
        I*b*c*Cos[v]*Sin[q]*Sin[s]*Sin[u]*Sin[y] - 
 
        b*c*Cos[s]*Cos[v]*Sin[t]*Sin[u]*Sin[y] - 
 
        b*c*Cos[t]*Sin[u]*Sin[v]*Sin[y] - 
 
        I*b*c*Cos[q]*Sin[t]*Sin[u]*Sin[v]*Sin[y] - 
 
        a*c*Cos[q]*Cos[s]*Cos[t]*Cos[u]*Cos[v]*Sin[z] + 
 
        a*c*Cos[t]*Cos[v]*Cos[y]*Sin[z] + 
 
        a*c*Cos[u]*Cos[v]*Sin[q]*Sin[s]*Sin[z] - 
 
        I*a*c*Cos[s]*Cos[u]*Cos[v]*Sin[t]*Sin[z] + 
 
        I*a*c*Cos[q]*Cos[v]*Cos[y]*Sin[t]*Sin[z] + 
 
        a*d*Cos[s]*Sin[q]*Sin[u]*Sin[z] + 
 
        a*d*Cos[q]*Cos[t]*Sin[s]*Sin[u]*Sin[z] + 
 
        I*a*d*Sin[s]*Sin[t]*Sin[u]*Sin[z] - 
 
        I*a*c*Cos[t]*Cos[u]*Sin[v]*Sin[z] + 
 
        I*a*c*Cos[q]*Cos[s]*Cos[t]*Cos[y]*Sin[v]*Sin[z] - 
 
        I*a*c*Cos[y]*Sin[q]*Sin[s]*Sin[v]*Sin[z] + 
 
        a*c*Cos[q]*Cos[u]*Sin[t]*Sin[v]*Sin[z] - 
 
        a*c*Cos[s]*Cos[y]*Sin[t]*Sin[v]*Sin[z]))/(32*2^(1/2)*Pi^2), 
 
   (-(a*c*Cos[s]*Cos[t]*Cos[u]*Cos[v]*Cos[y]*Cos[z]*Sin[q]) - 
 
      a*c*Cos[q]*Cos[u]*Cos[v]*Cos[y]*Cos[z]*Sin[s] + 
 
      I*a*c*Cos[v]*Cos[z]*Sin[q]*Sin[t] - 
 
      a*d*Cos[q]*Cos[s]*Cos[y]*Cos[z]*Sin[u] + 
 
      a*d*Cos[t]*Cos[y]*Cos[z]*Sin[q]*Sin[s]*Sin[u] + 
 
      I*a*c*Cos[s]*Cos[t]*Cos[z]*Sin[q]*Sin[v] + 
 
      I*a*c*Cos[q]*Cos[z]*Sin[s]*Sin[v] + 
 
      a*c*Cos[u]*Cos[y]*Cos[z]*Sin[q]*Sin[t]*Sin[v] - 
 
      b*d*Cos[q]*Cos[s]*Cos[u]*Sin[y] + 
 
      b*d*Cos[t]*Cos[u]*Sin[q]*Sin[s]*Sin[y] + 
 
      b*c*Cos[s]*Cos[t]*Cos[v]*Sin[q]*Sin[u]*Sin[y] + 
 
      b*c*Cos[q]*Cos[v]*Sin[s]*Sin[u]*Sin[y] - 
 
      b*c*Sin[q]*Sin[t]*Sin[u]*Sin[v]*Sin[y] + 
 
      I*a*c*Cos[s]*Cos[t]*Cos[u]*Cos[v]*Sin[q]*Sin[z] + 
 
      I*a*c*Cos[q]*Cos[u]*Cos[v]*Sin[s]*Sin[z] + 
 
      a*c*Cos[v]*Cos[y]*Sin[q]*Sin[t]*Sin[z] + 
 
      I*a*d*Cos[q]*Cos[s]*Sin[u]*Sin[z] - 
 
      I*a*d*Cos[t]*Sin[q]*Sin[s]*Sin[u]*Sin[z] + 
 
      a*c*Cos[s]*Cos[t]*Cos[y]*Sin[q]*Sin[v]*Sin[z] + 
 
      a*c*Cos[q]*Cos[y]*Sin[s]*Sin[v]*Sin[z] - 
 
      I*a*c*Cos[u]*Sin[q]*Sin[t]*Sin[v]*Sin[z])/(32*Pi^2), 
 
   ((I*Cos[r] + Sin[r])*(-I*a*c*Cos[t]*Cos[v]*Cos[z] - 
 
        I*a*c*Cos[q]*Cos[s]*Cos[t]*Cos[u]*Cos[v]*Cos[y]*Cos[z] + 
 
        I*a*c*Cos[u]*Cos[v]*Cos[y]*Cos[z]*Sin[q]*Sin[s] - 
 
        a*c*Cos[q]*Cos[v]*Cos[z]*Sin[t] - 
 
        a*c*Cos[s]*Cos[u]*Cos[v]*Cos[y]*Cos[z]*Sin[t] + 
 
        I*a*d*Cos[s]*Cos[y]*Cos[z]*Sin[q]*Sin[u] + 
 
        I*a*d*Cos[q]*Cos[t]*Cos[y]*Cos[z]*Sin[s]*Sin[u] + 
 
        a*d*Cos[y]*Cos[z]*Sin[s]*Sin[t]*Sin[u] - 
 
        a*c*Cos[q]*Cos[s]*Cos[t]*Cos[z]*Sin[v] - 
 
        a*c*Cos[t]*Cos[u]*Cos[y]*Cos[z]*Sin[v] + 
 
        a*c*Cos[z]*Sin[q]*Sin[s]*Sin[v] + 
 
        I*a*c*Cos[s]*Cos[z]*Sin[t]*Sin[v] + 
 
        I*a*c*Cos[q]*Cos[u]*Cos[y]*Cos[z]*Sin[t]*Sin[v] + 
 
        I*b*d*Cos[s]*Cos[u]*Sin[q]*Sin[y] + 
 
        I*b*d*Cos[q]*Cos[t]*Cos[u]*Sin[s]*Sin[y] + 
 
        b*d*Cos[u]*Sin[s]*Sin[t]*Sin[y] + 
 
        I*b*c*Cos[q]*Cos[s]*Cos[t]*Cos[v]*Sin[u]*Sin[y] - 
 
        I*b*c*Cos[v]*Sin[q]*Sin[s]*Sin[u]*Sin[y] + 
 
        b*c*Cos[s]*Cos[v]*Sin[t]*Sin[u]*Sin[y] + 
 
        b*c*Cos[t]*Sin[u]*Sin[v]*Sin[y] - 
 
        I*b*c*Cos[q]*Sin[t]*Sin[u]*Sin[v]*Sin[y] - 
 
        a*c*Cos[q]*Cos[s]*Cos[t]*Cos[u]*Cos[v]*Sin[z] - 
 
        a*c*Cos[t]*Cos[v]*Cos[y]*Sin[z] + 
 
        a*c*Cos[u]*Cos[v]*Sin[q]*Sin[s]*Sin[z] + 
 
        I*a*c*Cos[s]*Cos[u]*Cos[v]*Sin[t]*Sin[z] + 
 
        I*a*c*Cos[q]*Cos[v]*Cos[y]*Sin[t]*Sin[z] + 
 
        a*d*Cos[s]*Sin[q]*Sin[u]*Sin[z] + 
 
        a*d*Cos[q]*Cos[t]*Sin[s]*Sin[u]*Sin[z] - 
 
        I*a*d*Sin[s]*Sin[t]*Sin[u]*Sin[z] + 
 
        I*a*c*Cos[t]*Cos[u]*Sin[v]*Sin[z] + 
 
        I*a*c*Cos[q]*Cos[s]*Cos[t]*Cos[y]*Sin[v]*Sin[z] - 
 
        I*a*c*Cos[y]*Sin[q]*Sin[s]*Sin[v]*Sin[z] + 
 
        a*c*Cos[q]*Cos[u]*Sin[t]*Sin[v]*Sin[z] + 
 
        a*c*Cos[s]*Cos[y]*Sin[t]*Sin[v]*Sin[z]))/(32*2^(1/2)*Pi^2)}}
;[o]
{{((-I Cos[r] + Sin[r]) (-I a c Cos[t] Cos[v] Cos[z] - 
 
        I a c Cos[q] Cos[s] Cos[t] Cos[u] Cos[v] Cos[y] Cos[z] + 
 
        I a c Cos[u] Cos[v] Cos[y] Cos[z] Sin[q] Sin[s] + 
 
        a c Cos[q] Cos[v] Cos[z] Sin[t] + 
 
        a c Cos[s] Cos[u] Cos[v] Cos[y] Cos[z] Sin[t] + 
 
        I a d Cos[s] Cos[y] Cos[z] Sin[q] Sin[u] + 
 
        I a d Cos[q] Cos[t] Cos[y] Cos[z] Sin[s] Sin[u] - 
 
        a d Cos[y] Cos[z] Sin[s] Sin[t] Sin[u] + 
 
        a c Cos[q] Cos[s] Cos[t] Cos[z] Sin[v] + 
 
        a c Cos[t] Cos[u] Cos[y] Cos[z] Sin[v] - 
 
        a c Cos[z] Sin[q] Sin[s] Sin[v] + 
 
        I a c Cos[s] Cos[z] Sin[t] Sin[v] + 
 
        I a c Cos[q] Cos[u] Cos[y] Cos[z] Sin[t] Sin[v] + 
 
        I b d Cos[s] Cos[u] Sin[q] Sin[y] + 
 
        I b d Cos[q] Cos[t] Cos[u] Sin[s] Sin[y] - 
 
        b d Cos[u] Sin[s] Sin[t] Sin[y] + 
 
        I b c Cos[q] Cos[s] Cos[t] Cos[v] Sin[u] Sin[y] - 
 
        I b c Cos[v] Sin[q] Sin[s] Sin[u] Sin[y] - 
 
        b c Cos[s] Cos[v] Sin[t] Sin[u] Sin[y] - 
 
        b c Cos[t] Sin[u] Sin[v] Sin[y] - 
 
        I b c Cos[q] Sin[t] Sin[u] Sin[v] Sin[y] + 
 
        a c Cos[q] Cos[s] Cos[t] Cos[u] Cos[v] Sin[z] + 
 
        a c Cos[t] Cos[v] Cos[y] Sin[z] - 
 
        a c Cos[u] Cos[v] Sin[q] Sin[s] Sin[z] + 
 
        I a c Cos[s] Cos[u] Cos[v] Sin[t] Sin[z] + 
 
        I a c Cos[q] Cos[v] Cos[y] Sin[t] Sin[z] - 
 
        a d Cos[s] Sin[q] Sin[u] Sin[z] - 
 
        a d Cos[q] Cos[t] Sin[s] Sin[u] Sin[z] - 
 
        I a d Sin[s] Sin[t] Sin[u] Sin[z] + 
 
        I a c Cos[t] Cos[u] Sin[v] Sin[z] + 
 
        I a c Cos[q] Cos[s] Cos[t] Cos[y] Sin[v] Sin[z] - 
 
        I a c Cos[y] Sin[q] Sin[s] Sin[v] Sin[z] - 
 
        a c Cos[q] Cos[u] Sin[t] Sin[v] Sin[z] - 
 
                                                                 2
        a c Cos[s] Cos[y] Sin[t] Sin[v] Sin[z])) / (32 Sqrt[2] Pi ), 
 
   (-(a c Cos[s] Cos[t] Cos[u] Cos[v] Cos[y] Cos[z] Sin[q]) - 
 
      a c Cos[q] Cos[u] Cos[v] Cos[y] Cos[z] Sin[s] - 
 
      I a c Cos[v] Cos[z] Sin[q] Sin[t] - 
 
      a d Cos[q] Cos[s] Cos[y] Cos[z] Sin[u] + 
 
      a d Cos[t] Cos[y] Cos[z] Sin[q] Sin[s] Sin[u] - 
 
      I a c Cos[s] Cos[t] Cos[z] Sin[q] Sin[v] - 
 
      I a c Cos[q] Cos[z] Sin[s] Sin[v] + 
 
      a c Cos[u] Cos[y] Cos[z] Sin[q] Sin[t] Sin[v] - 
 
      b d Cos[q] Cos[s] Cos[u] Sin[y] + 
 
      b d Cos[t] Cos[u] Sin[q] Sin[s] Sin[y] + 
 
      b c Cos[s] Cos[t] Cos[v] Sin[q] Sin[u] Sin[y] + 
 
      b c Cos[q] Cos[v] Sin[s] Sin[u] Sin[y] - 
 
      b c Sin[q] Sin[t] Sin[u] Sin[v] Sin[y] - 
 
      I a c Cos[s] Cos[t] Cos[u] Cos[v] Sin[q] Sin[z] - 
 
      I a c Cos[q] Cos[u] Cos[v] Sin[s] Sin[z] + 
 
      a c Cos[v] Cos[y] Sin[q] Sin[t] Sin[z] - 
 
      I a d Cos[q] Cos[s] Sin[u] Sin[z] + 
 
      I a d Cos[t] Sin[q] Sin[s] Sin[u] Sin[z] + 
 
      a c Cos[s] Cos[t] Cos[y] Sin[q] Sin[v] Sin[z] + 
 
      a c Cos[q] Cos[y] Sin[s] Sin[v] Sin[z] + 
 
                                                        2
      I a c Cos[u] Sin[q] Sin[t] Sin[v] Sin[z]) / (32 Pi ), 
 
   ((I Cos[r] + Sin[r]) (I a c Cos[t] Cos[v] Cos[z] - 
 
        I a c Cos[q] Cos[s] Cos[t] Cos[u] Cos[v] Cos[y] Cos[z] + 
 
        I a c Cos[u] Cos[v] Cos[y] Cos[z] Sin[q] Sin[s] + 
 
        a c Cos[q] Cos[v] Cos[z] Sin[t] - 
 
        a c Cos[s] Cos[u] Cos[v] Cos[y] Cos[z] Sin[t] + 
 
        I a d Cos[s] Cos[y] Cos[z] Sin[q] Sin[u] + 
 
        I a d Cos[q] Cos[t] Cos[y] Cos[z] Sin[s] Sin[u] + 
 
        a d Cos[y] Cos[z] Sin[s] Sin[t] Sin[u] + 
 
        a c Cos[q] Cos[s] Cos[t] Cos[z] Sin[v] - 
 
        a c Cos[t] Cos[u] Cos[y] Cos[z] Sin[v] - 
 
        a c Cos[z] Sin[q] Sin[s] Sin[v] - 
 
        I a c Cos[s] Cos[z] Sin[t] Sin[v] + 
 
        I a c Cos[q] Cos[u] Cos[y] Cos[z] Sin[t] Sin[v] + 
 
        I b d Cos[s] Cos[u] Sin[q] Sin[y] + 
 
        I b d Cos[q] Cos[t] Cos[u] Sin[s] Sin[y] + 
 
        b d Cos[u] Sin[s] Sin[t] Sin[y] + 
 
        I b c Cos[q] Cos[s] Cos[t] Cos[v] Sin[u] Sin[y] - 
 
        I b c Cos[v] Sin[q] Sin[s] Sin[u] Sin[y] + 
 
        b c Cos[s] Cos[v] Sin[t] Sin[u] Sin[y] + 
 
        b c Cos[t] Sin[u] Sin[v] Sin[y] - 
 
        I b c Cos[q] Sin[t] Sin[u] Sin[v] Sin[y] + 
 
        a c Cos[q] Cos[s] Cos[t] Cos[u] Cos[v] Sin[z] - 
 
        a c Cos[t] Cos[v] Cos[y] Sin[z] - 
 
        a c Cos[u] Cos[v] Sin[q] Sin[s] Sin[z] - 
 
        I a c Cos[s] Cos[u] Cos[v] Sin[t] Sin[z] + 
 
        I a c Cos[q] Cos[v] Cos[y] Sin[t] Sin[z] - 
 
        a d Cos[s] Sin[q] Sin[u] Sin[z] - 
 
        a d Cos[q] Cos[t] Sin[s] Sin[u] Sin[z] + 
 
        I a d Sin[s] Sin[t] Sin[u] Sin[z] - 
 
        I a c Cos[t] Cos[u] Sin[v] Sin[z] + 
 
        I a c Cos[q] Cos[s] Cos[t] Cos[y] Sin[v] Sin[z] - 
 
        I a c Cos[y] Sin[q] Sin[s] Sin[v] Sin[z] - 
 
        a c Cos[q] Cos[u] Sin[t] Sin[v] Sin[z] + 
 
                                                                 2
        a c Cos[s] Cos[y] Sin[t] Sin[v] Sin[z])) / (32 Sqrt[2] Pi )}, 
 
  {0, 0, 0}, {((-I Cos[r] + Sin[r]) 
 
      (I a c Cos[t] Cos[v] Cos[z] - 
 
        I a c Cos[q] Cos[s] Cos[t] Cos[u] Cos[v] Cos[y] Cos[z] + 
 
        I a c Cos[u] Cos[v] Cos[y] Cos[z] Sin[q] Sin[s] - 
 
        a c Cos[q] Cos[v] Cos[z] Sin[t] + 
 
        a c Cos[s] Cos[u] Cos[v] Cos[y] Cos[z] Sin[t] + 
 
        I a d Cos[s] Cos[y] Cos[z] Sin[q] Sin[u] + 
 
        I a d Cos[q] Cos[t] Cos[y] Cos[z] Sin[s] Sin[u] - 
 
        a d Cos[y] Cos[z] Sin[s] Sin[t] Sin[u] - 
 
        a c Cos[q] Cos[s] Cos[t] Cos[z] Sin[v] + 
 
        a c Cos[t] Cos[u] Cos[y] Cos[z] Sin[v] + 
 
        a c Cos[z] Sin[q] Sin[s] Sin[v] - 
 
        I a c Cos[s] Cos[z] Sin[t] Sin[v] + 
 
        I a c Cos[q] Cos[u] Cos[y] Cos[z] Sin[t] Sin[v] + 
 
        I b d Cos[s] Cos[u] Sin[q] Sin[y] + 
 
        I b d Cos[q] Cos[t] Cos[u] Sin[s] Sin[y] - 
 
        b d Cos[u] Sin[s] Sin[t] Sin[y] + 
 
        I b c Cos[q] Cos[s] Cos[t] Cos[v] Sin[u] Sin[y] - 
 
        I b c Cos[v] Sin[q] Sin[s] Sin[u] Sin[y] - 
 
        b c Cos[s] Cos[v] Sin[t] Sin[u] Sin[y] - 
 
        b c Cos[t] Sin[u] Sin[v] Sin[y] - 
 
        I b c Cos[q] Sin[t] Sin[u] Sin[v] Sin[y] - 
 
        a c Cos[q] Cos[s] Cos[t] Cos[u] Cos[v] Sin[z] + 
 
        a c Cos[t] Cos[v] Cos[y] Sin[z] + 
 
        a c Cos[u] Cos[v] Sin[q] Sin[s] Sin[z] - 
 
        I a c Cos[s] Cos[u] Cos[v] Sin[t] Sin[z] + 
 
        I a c Cos[q] Cos[v] Cos[y] Sin[t] Sin[z] + 
 
        a d Cos[s] Sin[q] Sin[u] Sin[z] + 
 
        a d Cos[q] Cos[t] Sin[s] Sin[u] Sin[z] + 
 
        I a d Sin[s] Sin[t] Sin[u] Sin[z] - 
 
        I a c Cos[t] Cos[u] Sin[v] Sin[z] + 
 
        I a c Cos[q] Cos[s] Cos[t] Cos[y] Sin[v] Sin[z] - 
 
        I a c Cos[y] Sin[q] Sin[s] Sin[v] Sin[z] + 
 
        a c Cos[q] Cos[u] Sin[t] Sin[v] Sin[z] - 
 
                                                                 2
        a c Cos[s] Cos[y] Sin[t] Sin[v] Sin[z])) / (32 Sqrt[2] Pi ), 
 
   (-(a c Cos[s] Cos[t] Cos[u] Cos[v] Cos[y] Cos[z] Sin[q]) - 
 
      a c Cos[q] Cos[u] Cos[v] Cos[y] Cos[z] Sin[s] + 
 
      I a c Cos[v] Cos[z] Sin[q] Sin[t] - 
 
      a d Cos[q] Cos[s] Cos[y] Cos[z] Sin[u] + 
 
      a d Cos[t] Cos[y] Cos[z] Sin[q] Sin[s] Sin[u] + 
 
      I a c Cos[s] Cos[t] Cos[z] Sin[q] Sin[v] + 
 
      I a c Cos[q] Cos[z] Sin[s] Sin[v] + 
 
      a c Cos[u] Cos[y] Cos[z] Sin[q] Sin[t] Sin[v] - 
 
      b d Cos[q] Cos[s] Cos[u] Sin[y] + 
 
      b d Cos[t] Cos[u] Sin[q] Sin[s] Sin[y] + 
 
      b c Cos[s] Cos[t] Cos[v] Sin[q] Sin[u] Sin[y] + 
 
      b c Cos[q] Cos[v] Sin[s] Sin[u] Sin[y] - 
 
      b c Sin[q] Sin[t] Sin[u] Sin[v] Sin[y] + 
 
      I a c Cos[s] Cos[t] Cos[u] Cos[v] Sin[q] Sin[z] + 
 
      I a c Cos[q] Cos[u] Cos[v] Sin[s] Sin[z] + 
 
      a c Cos[v] Cos[y] Sin[q] Sin[t] Sin[z] + 
 
      I a d Cos[q] Cos[s] Sin[u] Sin[z] - 
 
      I a d Cos[t] Sin[q] Sin[s] Sin[u] Sin[z] + 
 
      a c Cos[s] Cos[t] Cos[y] Sin[q] Sin[v] Sin[z] + 
 
      a c Cos[q] Cos[y] Sin[s] Sin[v] Sin[z] - 
 
                                                        2
      I a c Cos[u] Sin[q] Sin[t] Sin[v] Sin[z]) / (32 Pi ), 
 
   ((I Cos[r] + Sin[r]) (-I a c Cos[t] Cos[v] Cos[z] - 
 
        I a c Cos[q] Cos[s] Cos[t] Cos[u] Cos[v] Cos[y] Cos[z] + 
 
        I a c Cos[u] Cos[v] Cos[y] Cos[z] Sin[q] Sin[s] - 
 
        a c Cos[q] Cos[v] Cos[z] Sin[t] - 
 
        a c Cos[s] Cos[u] Cos[v] Cos[y] Cos[z] Sin[t] + 
 
        I a d Cos[s] Cos[y] Cos[z] Sin[q] Sin[u] + 
 
        I a d Cos[q] Cos[t] Cos[y] Cos[z] Sin[s] Sin[u] + 
 
        a d Cos[y] Cos[z] Sin[s] Sin[t] Sin[u] - 
 
        a c Cos[q] Cos[s] Cos[t] Cos[z] Sin[v] - 
 
        a c Cos[t] Cos[u] Cos[y] Cos[z] Sin[v] + 
 
        a c Cos[z] Sin[q] Sin[s] Sin[v] + 
 
        I a c Cos[s] Cos[z] Sin[t] Sin[v] + 
 
        I a c Cos[q] Cos[u] Cos[y] Cos[z] Sin[t] Sin[v] + 
 
        I b d Cos[s] Cos[u] Sin[q] Sin[y] + 
 
        I b d Cos[q] Cos[t] Cos[u] Sin[s] Sin[y] + 
 
        b d Cos[u] Sin[s] Sin[t] Sin[y] + 
 
        I b c Cos[q] Cos[s] Cos[t] Cos[v] Sin[u] Sin[y] - 
 
        I b c Cos[v] Sin[q] Sin[s] Sin[u] Sin[y] + 
 
        b c Cos[s] Cos[v] Sin[t] Sin[u] Sin[y] + 
 
        b c Cos[t] Sin[u] Sin[v] Sin[y] - 
 
        I b c Cos[q] Sin[t] Sin[u] Sin[v] Sin[y] - 
 
        a c Cos[q] Cos[s] Cos[t] Cos[u] Cos[v] Sin[z] - 
 
        a c Cos[t] Cos[v] Cos[y] Sin[z] + 
 
        a c Cos[u] Cos[v] Sin[q] Sin[s] Sin[z] + 
 
        I a c Cos[s] Cos[u] Cos[v] Sin[t] Sin[z] + 
 
        I a c Cos[q] Cos[v] Cos[y] Sin[t] Sin[z] + 
 
        a d Cos[s] Sin[q] Sin[u] Sin[z] + 
 
        a d Cos[q] Cos[t] Sin[s] Sin[u] Sin[z] - 
 
        I a d Sin[s] Sin[t] Sin[u] Sin[z] + 
 
        I a c Cos[t] Cos[u] Sin[v] Sin[z] + 
 
        I a c Cos[q] Cos[s] Cos[t] Cos[y] Sin[v] Sin[z] - 
 
        I a c Cos[y] Sin[q] Sin[s] Sin[v] Sin[z] + 
 
        a c Cos[q] Cos[u] Sin[t] Sin[v] Sin[z] + 
 
                                                                 2
        a c Cos[s] Cos[y] Sin[t] Sin[v] Sin[z])) / (32 Sqrt[2] Pi )}}
:[font = input; preserveAspect; fontSize = 10; startGroup]
a1 = Simplify[ ExpandAll[ TrigReduce[ ComplexToTrig[ amplitude]]]]
:[font = output; output; inactive; preserveAspect; fontSize = 10; endGroup]
$Aborted
;[o]
$Aborted
:[font = text; inactive; preserveAspect; fontSize = 10]
Check normalization:
:[font = input; preserveAspect; fontSize = 10]
Clear[ asa, angdist, wt ]
:[font = input; preserveAspect; fontSize = 10]
astar=((Conjugate[ a1 ] //. {conjsum,conjprod})
      /. {conjsin,conjcos}) ;
:[font = input; preserveAspect; fontSize = 10]
asa = a1 astar ;
:[font = input; preserveAspect; fontSize = 10]
angdist = Table[ Sum[ asa[[2-lg,2-m]], {lg,1,-1,-1} ], {m,1,-1,-1} ];
:[font = input; preserveAspect; fontSize = 10]
wt=Sum[ angdist[2-m]], {m,1,-1,-1}] ;
:[font = input; preserveAspect; fontSize = 10; endGroup]
(Integrate[ wt Sin[y] Sin[u] Sin[s] Sin[q],
            {q,0,Pi}, {r,0,2Pi},
            {s,0,Pi}, {t,0,2Pi},
            {u,0,Pi}, {v,0,2Pi},
            {y,0,Pi}, {z,0,2Pi} ])
:[font = section; inactive; preserveAspect; fontSize = 10; startGroup]
pbar p (3S1) -> rhohat pi, rhohat -> b1 pi, b1 -> omega pi
:[font = text; inactive; preserveAspect; fontSize = 10]
L=1 for the rhohat pi system
:[font = input; preserveAspect; fontSize = 10]
Clear[ tpbp, tpbpf ]
:[font = input; preserveAspect; fontSize = 10; startGroup]
tpbp =( Table[ ClebschGordan[ {1,0},  {1,lrh}, {1,lrh} ] *
               ClebschGordan[ {1,lrh},{0,0},   {1,lrh} ],
               {lrh,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; fontSize = 10; endGroup]
{-2^(-1/2), 0, 2^(-1/2)}
;[o]
      1            1
{-(-------), 0, -------}
   Sqrt[2]      Sqrt[2]
:[font = input; preserveAspect; fontSize = 10]
tpbpf[ lrh_ ] := tpbp[[ 2-lrh ]]
:[font = input; preserveAspect; fontSize = 10; startGroup]
stpbp =( Table[ ClebschGordan[ {1,0}, {1,-lrh}, {1,-lrh} ] *
                ClebschGordan[ {0,0}, {1,-lrh}, {1,-lrh} ],
                {lrh,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; fontSize = 10; endGroup]
{2^(-1/2), 0, -2^(-1/2)}
;[o]
    1             1
{-------, 0, -(-------)}
 Sqrt[2]       Sqrt[2]
:[font = input; preserveAspect; fontSize = 10]
stpbpf[ lrh_ ] := stpbp[[ 2-lrh ]]
:[font = text; inactive; preserveAspect; fontSize = 10]
L=0 or 2 for the b1 pi from the rhohat decay
:[font = input; preserveAspect; fontSize = 10]
Clear[trhL0,trhL2,trhfc,d]
:[font = input; preserveAspect; fontSize = 10; startGroup]
trhL0 =( Table[ ClebschGordan[ {0,0},  {1,lb1}, {1,lb1} ] *
                ClebschGordan[ {1,lb1},{0,0},   {1,lb1} ],
                {lb1,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; fontSize = 10; endGroup]
{1, 1, 1}
;[o]
{1, 1, 1}
:[font = input; preserveAspect; fontSize = 10; startGroup]
trhL2 =( Table[ ClebschGordan[ {2,0},  {1,lb1}, {1,lb1} ] *
                ClebschGordan[ {1,lb1},{0,0},   {1,lb1} ],
                {lb1,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; fontSize = 10; endGroup]
{10^(-1/2), -(2/5)^(1/2), 10^(-1/2)}
;[o]
    1            2      1
{--------, -Sqrt[-], --------}
 Sqrt[10]        5   Sqrt[10]
:[font = input; preserveAspect; fontSize = 10]
trhf[ lb1_ ] := c /; (lb1 == 1) || (lb1 == -1)
:[font = input; preserveAspect; fontSize = 10]
trhf[ lb1_ ] := d /;  lb1 == 0
:[font = input; preserveAspect; fontSize = 10; startGroup]
strhL2 =( Table[ ClebschGordan[ {2,0}, {1,-lb1}, {1,-lb1} ] *
                 ClebschGordan[ {0,0}, {1,-lb1}, {1,-lb1} ],
                 {lb1,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; fontSize = 10; endGroup]
{10^(-1/2), -(2/5)^(1/2), 10^(-1/2)}
;[o]
    1            2      1
{--------, -Sqrt[-], --------}
 Sqrt[10]        5   Sqrt[10]
:[font = input; preserveAspect; fontSize = 10]
strhf[ lb1_ ] := c /; (lb1 == 1) || (lb1 == -1)
:[font = input; preserveAspect; fontSize = 10]
strhf[ lb1_ ] := d /;  lb1 == 0
:[font = text; inactive; preserveAspect; fontSize = 10]
L=0 or 2 for the omega pi from the b1 decay
:[font = input; preserveAspect; fontSize = 10]
Clear[tb1L0,tb1L2,tb1f,a,b]
:[font = input; preserveAspect; fontSize = 10; startGroup]
tb1L0 =( Table[ ClebschGordan[ {0,0},  {1,lw}, {1,lw} ] *
                ClebschGordan[ {1,lw}, {0,0},  {1,lw} ],
                {lw,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; fontSize = 10; endGroup]
{1, 1, 1}
;[o]
{1, 1, 1}
:[font = input; preserveAspect; fontSize = 10; startGroup]
tb1L2 =( Table[ ClebschGordan[ {2,0},  {1,lw}, {1,lw} ] *
                ClebschGordan[ {1,lw},{ 0,0},  {1,lw} ],
                {lw,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; fontSize = 10; endGroup]
{10^(-1/2), -(2/5)^(1/2), 10^(-1/2)}
;[o]
    1            2      1
{--------, -Sqrt[-], --------}
 Sqrt[10]        5   Sqrt[10]
:[font = input; preserveAspect; fontSize = 10]
tb1f[ lw_ ] := a /; (lw == 1) || (lw == -1)
:[font = input; preserveAspect; fontSize = 10]
tb1f[ lw_ ] := b /;  lw == 0
:[font = input; preserveAspect; fontSize = 10]
stb1f[ lw_ ] := a /; (lw == 1) || (lw == -1)
:[font = input; preserveAspect; fontSize = 10]
stb1f[ lw_ ] := b /;  lw == 0
:[font = text; inactive; preserveAspect; fontSize = 10]
L=1 for the gamma pi0 from the omega decay
:[font = input; preserveAspect; fontSize = 10]
Clear[tw,twf]
:[font = input; preserveAspect; fontSize = 10; startGroup]
tw =( Table[ ClebschGordan[ {1,0}, {1,lg}, {1,lg} ] *
             ClebschGordan[ {1,lg},{0,0},  {1,lg} ],
             {lg,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; fontSize = 10; endGroup]
{-2^(-1/2), 0, 2^(-1/2)}
;[o]
      1            1
{-(-------), 0, -------}
   Sqrt[2]      Sqrt[2]
:[font = input; preserveAspect; fontSize = 10]
twf[ lg_ ] := tw[[ 2-lg ]]
:[font = input; preserveAspect; fontSize = 10; startGroup]
stw =( Table[ ClebschGordan[ {1,0}, {1,-lg}, {1,-lg} ] *
              ClebschGordan[ {0,0}, {1,-lg}, {1,-lg} ],
              {lg,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; fontSize = 10; endGroup]
{2^(-1/2), 0, -2^(-1/2)}
;[o]
    1             1
{-------, 0, -(-------)}
 Sqrt[2]       Sqrt[2]
:[font = input; preserveAspect; fontSize = 10]
stwf[ lg_ ] := stw[[ 2-lg ]]
:[font = input; preserveAspect; fontSize = 10]
Clear[ amplitude, astar, a1, Ds]
:[font = input; preserveAspect; fontSize = 10]
amplitude =(
 Table[ Sum[ tpbpf[ lrh ] Ds[1, m,   lrh, q,r] Sqrt[3/(4Pi)]*
             trhf[ lb1 ]  Ds[1, lrh, lb1, s,t] Sqrt[3/(4Pi)]*
             tb1f[ lw ]   Ds[1, lb1, lw,  u,v] Sqrt[3/(4Pi)]*
             twf[ lg ]    Ds[1, lw,  lg,  y,z] Sqrt[3/(4Pi)],
             {lrh,1,-1,-1},{lb1,1,-1,-1},{lw,1,-1,-1} ],
        {lg,1,-1,-1}, {m,1,-1,-1} ] ) ;
:[font = input; preserveAspect; fontSize = 10]
samplitude =(
 Table[ Sum[ stpbpf[ lrh ] Ds[1, m,   lrh, q,r] Sqrt[3/(4Pi)]*
             strhf[ lb1 ]  Ds[1, lrh, lb1, s,t] Sqrt[3/(4Pi)]*
             stb1f[ lw ]   Ds[1, lb1, lw,  u,v] Sqrt[3/(4Pi)]*
             stwf[ lg ]    Ds[1, lw,  lg,  y,z] Sqrt[3/(4Pi)],
             {lrh,1,-1,-1},{lb1,1,-1,-1},{lw,1,-1,-1} ],
        {lg,1,-1,-1}, {m,1,-1,-1} ] ) ;
:[font = input; preserveAspect; startGroup]
amplitude-samplitude
:[font = output; output; inactive; preserveAspect; endGroup]
{{0, 0, 0}, {0, 0, 0}, {0, 0, 0}}
;[o]
{{0, 0, 0}, {0, 0, 0}, {0, 0, 0}}
:[font = input; preserveAspect; fontSize = 10; startGroup]
<<Trigonometry.m
:[font = message; inactive; preserveAspect]
SetDelayed::write: 
   Tag TrigCanonical in TrigCanonical[e_] is Protected.
:[font = message; inactive; preserveAspect]
SetDelayed::write: Tag TrigExpand in TrigExpand[___] is Protected.
:[font = message; inactive; preserveAspect]
SetDelayed::write: Tag TrigExpand in TrigExpand[e_] is Protected.
:[font = message; inactive; preserveAspect]
General::stop: 
   Further output of SetDelayed::write
     will be suppressed during this calculation.
:[font = message; inactive; preserveAspect]
Set::wrsym: Symbol TrigFactorRel is Protected.
:[font = message; inactive; preserveAspect; endGroup]
Set::wrsym: Symbol TrigFactorRel is Protected.
:[font = input; preserveAspect; fontSize = 10]
<<Dfunc.m
:[font = text; inactive; preserveAspect]
Originally:
:[font = input; preserveAspect; fontSize = 10]
a1 = ComplexToTrig[ amplitude ];
:[font = input; preserveAspect; fontSize = 10]
a2 = TrigReduce[ a1 ];
:[font = input; preserveAspect; fontSize = 10]
a3 = ExpandAll[ a2 ];
:[font = input; preserveAspect; fontSize = 10]
a4 = Simplify[ a3 ]
:[font = input; preserveAspect; fontSize = 10; startGroup]
a5 = Factor[ a4 ]
:[font = output; output; inactive; preserveAspect; endGroup]
{{(9*(-I*Cos[r] + Sin[r])*(I*a*c*Cos[q]*Cos[t]*Cos[v]*Cos[z] + 
 
        I*a*c*Cos[s]*Cos[t]*Cos[u]*Cos[v]*Cos[y]*Cos[z] - 
 
        a*c*Cos[v]*Cos[z]*Sin[t] - 
 
        a*c*Cos[q]*Cos[s]*Cos[u]*Cos[v]*Cos[y]*Cos[z]*Sin[t] - 
 
        I*a*d*Cos[t]*Cos[y]*Cos[z]*Sin[s]*Sin[u] + 
 
        a*d*Cos[q]*Cos[y]*Cos[z]*Sin[s]*Sin[t]*Sin[u] - 
 
        a*c*Cos[s]*Cos[t]*Cos[z]*Sin[v] - 
 
        a*c*Cos[q]*Cos[t]*Cos[u]*Cos[y]*Cos[z]*Sin[v] - 
 
        I*a*c*Cos[q]*Cos[s]*Cos[z]*Sin[t]*Sin[v] - 
 
        I*a*c*Cos[u]*Cos[y]*Cos[z]*Sin[t]*Sin[v] - 
 
        I*b*d*Cos[t]*Cos[u]*Sin[s]*Sin[y] + 
 
        b*d*Cos[q]*Cos[u]*Sin[s]*Sin[t]*Sin[y] - 
 
        I*b*c*Cos[s]*Cos[t]*Cos[v]*Sin[u]*Sin[y] + 
 
        b*c*Cos[q]*Cos[s]*Cos[v]*Sin[t]*Sin[u]*Sin[y] + 
 
        b*c*Cos[q]*Cos[t]*Sin[u]*Sin[v]*Sin[y] + 
 
        I*b*c*Sin[t]*Sin[u]*Sin[v]*Sin[y] - 
 
        a*c*Cos[s]*Cos[t]*Cos[u]*Cos[v]*Sin[z] - 
 
        a*c*Cos[q]*Cos[t]*Cos[v]*Cos[y]*Sin[z] - 
 
        I*a*c*Cos[q]*Cos[s]*Cos[u]*Cos[v]*Sin[t]*Sin[z] - 
 
        I*a*c*Cos[v]*Cos[y]*Sin[t]*Sin[z] + 
 
        a*d*Cos[t]*Sin[s]*Sin[u]*Sin[z] + 
 
        I*a*d*Cos[q]*Sin[s]*Sin[t]*Sin[u]*Sin[z] - 
 
        I*a*c*Cos[q]*Cos[t]*Cos[u]*Sin[v]*Sin[z] - 
 
        I*a*c*Cos[s]*Cos[t]*Cos[y]*Sin[v]*Sin[z] + 
 
        a*c*Cos[u]*Sin[t]*Sin[v]*Sin[z] + 
 
        a*c*Cos[q]*Cos[s]*Cos[y]*Sin[t]*Sin[v]*Sin[z]))/(64*Pi^2)\
 
    , (9*Sin[q]*(a*c*Cos[t]*Cos[v]*Cos[z] + 
 
        I*a*c*Cos[s]*Cos[u]*Cos[v]*Cos[y]*Cos[z]*Sin[t] - 
 
        I*a*d*Cos[y]*Cos[z]*Sin[s]*Sin[t]*Sin[u] + 
 
        I*a*c*Cos[t]*Cos[u]*Cos[y]*Cos[z]*Sin[v] - 
 
        a*c*Cos[s]*Cos[z]*Sin[t]*Sin[v] - 
 
        I*b*d*Cos[u]*Sin[s]*Sin[t]*Sin[y] - 
 
        I*b*c*Cos[s]*Cos[v]*Sin[t]*Sin[u]*Sin[y] - 
 
        I*b*c*Cos[t]*Sin[u]*Sin[v]*Sin[y] + 
 
        I*a*c*Cos[t]*Cos[v]*Cos[y]*Sin[z] - 
 
        a*c*Cos[s]*Cos[u]*Cos[v]*Sin[t]*Sin[z] + 
 
        a*d*Sin[s]*Sin[t]*Sin[u]*Sin[z] - 
 
        a*c*Cos[t]*Cos[u]*Sin[v]*Sin[z] - 
 
        I*a*c*Cos[s]*Cos[y]*Sin[t]*Sin[v]*Sin[z]))/
 
    (32*2^(1/2)*Pi^2), (9*(I*Cos[r] + Sin[r])*
 
      (I*a*c*Cos[q]*Cos[t]*Cos[v]*Cos[z] - 
 
        I*a*c*Cos[s]*Cos[t]*Cos[u]*Cos[v]*Cos[y]*Cos[z] + 
 
        a*c*Cos[v]*Cos[z]*Sin[t] - 
 
        a*c*Cos[q]*Cos[s]*Cos[u]*Cos[v]*Cos[y]*Cos[z]*Sin[t] + 
 
        I*a*d*Cos[t]*Cos[y]*Cos[z]*Sin[s]*Sin[u] + 
 
        a*d*Cos[q]*Cos[y]*Cos[z]*Sin[s]*Sin[t]*Sin[u] + 
 
        a*c*Cos[s]*Cos[t]*Cos[z]*Sin[v] - 
 
        a*c*Cos[q]*Cos[t]*Cos[u]*Cos[y]*Cos[z]*Sin[v] - 
 
        I*a*c*Cos[q]*Cos[s]*Cos[z]*Sin[t]*Sin[v] + 
 
        I*a*c*Cos[u]*Cos[y]*Cos[z]*Sin[t]*Sin[v] + 
 
        I*b*d*Cos[t]*Cos[u]*Sin[s]*Sin[y] + 
 
        b*d*Cos[q]*Cos[u]*Sin[s]*Sin[t]*Sin[y] + 
 
        I*b*c*Cos[s]*Cos[t]*Cos[v]*Sin[u]*Sin[y] + 
 
        b*c*Cos[q]*Cos[s]*Cos[v]*Sin[t]*Sin[u]*Sin[y] + 
 
        b*c*Cos[q]*Cos[t]*Sin[u]*Sin[v]*Sin[y] - 
 
        I*b*c*Sin[t]*Sin[u]*Sin[v]*Sin[y] + 
 
        a*c*Cos[s]*Cos[t]*Cos[u]*Cos[v]*Sin[z] - 
 
        a*c*Cos[q]*Cos[t]*Cos[v]*Cos[y]*Sin[z] - 
 
        I*a*c*Cos[q]*Cos[s]*Cos[u]*Cos[v]*Sin[t]*Sin[z] + 
 
        I*a*c*Cos[v]*Cos[y]*Sin[t]*Sin[z] - 
 
        a*d*Cos[t]*Sin[s]*Sin[u]*Sin[z] + 
 
        I*a*d*Cos[q]*Sin[s]*Sin[t]*Sin[u]*Sin[z] - 
 
        I*a*c*Cos[q]*Cos[t]*Cos[u]*Sin[v]*Sin[z] + 
 
        I*a*c*Cos[s]*Cos[t]*Cos[y]*Sin[v]*Sin[z] - 
 
        a*c*Cos[u]*Sin[t]*Sin[v]*Sin[z] + 
 
        a*c*Cos[q]*Cos[s]*Cos[y]*Sin[t]*Sin[v]*Sin[z]))/(64*Pi^2)}
 
   , {0, 0, 0}, {(9*(-I*Cos[r] + Sin[r])*
 
      (-I*a*c*Cos[q]*Cos[t]*Cos[v]*Cos[z] + 
 
        I*a*c*Cos[s]*Cos[t]*Cos[u]*Cos[v]*Cos[y]*Cos[z] + 
 
        a*c*Cos[v]*Cos[z]*Sin[t] - 
 
        a*c*Cos[q]*Cos[s]*Cos[u]*Cos[v]*Cos[y]*Cos[z]*Sin[t] - 
 
        I*a*d*Cos[t]*Cos[y]*Cos[z]*Sin[s]*Sin[u] + 
 
        a*d*Cos[q]*Cos[y]*Cos[z]*Sin[s]*Sin[t]*Sin[u] + 
 
        a*c*Cos[s]*Cos[t]*Cos[z]*Sin[v] - 
 
        a*c*Cos[q]*Cos[t]*Cos[u]*Cos[y]*Cos[z]*Sin[v] + 
 
        I*a*c*Cos[q]*Cos[s]*Cos[z]*Sin[t]*Sin[v] - 
 
        I*a*c*Cos[u]*Cos[y]*Cos[z]*Sin[t]*Sin[v] - 
 
        I*b*d*Cos[t]*Cos[u]*Sin[s]*Sin[y] + 
 
        b*d*Cos[q]*Cos[u]*Sin[s]*Sin[t]*Sin[y] - 
 
        I*b*c*Cos[s]*Cos[t]*Cos[v]*Sin[u]*Sin[y] + 
 
        b*c*Cos[q]*Cos[s]*Cos[v]*Sin[t]*Sin[u]*Sin[y] + 
 
        b*c*Cos[q]*Cos[t]*Sin[u]*Sin[v]*Sin[y] + 
 
        I*b*c*Sin[t]*Sin[u]*Sin[v]*Sin[y] + 
 
        a*c*Cos[s]*Cos[t]*Cos[u]*Cos[v]*Sin[z] - 
 
        a*c*Cos[q]*Cos[t]*Cos[v]*Cos[y]*Sin[z] + 
 
        I*a*c*Cos[q]*Cos[s]*Cos[u]*Cos[v]*Sin[t]*Sin[z] - 
 
        I*a*c*Cos[v]*Cos[y]*Sin[t]*Sin[z] - 
 
        a*d*Cos[t]*Sin[s]*Sin[u]*Sin[z] - 
 
        I*a*d*Cos[q]*Sin[s]*Sin[t]*Sin[u]*Sin[z] + 
 
        I*a*c*Cos[q]*Cos[t]*Cos[u]*Sin[v]*Sin[z] - 
 
        I*a*c*Cos[s]*Cos[t]*Cos[y]*Sin[v]*Sin[z] - 
 
        a*c*Cos[u]*Sin[t]*Sin[v]*Sin[z] + 
 
        a*c*Cos[q]*Cos[s]*Cos[y]*Sin[t]*Sin[v]*Sin[z]))/(64*Pi^2)\
 
    , (9*Sin[q]*(-(a*c*Cos[t]*Cos[v]*Cos[z]) + 
 
        I*a*c*Cos[s]*Cos[u]*Cos[v]*Cos[y]*Cos[z]*Sin[t] - 
 
        I*a*d*Cos[y]*Cos[z]*Sin[s]*Sin[t]*Sin[u] + 
 
        I*a*c*Cos[t]*Cos[u]*Cos[y]*Cos[z]*Sin[v] + 
 
        a*c*Cos[s]*Cos[z]*Sin[t]*Sin[v] - 
 
        I*b*d*Cos[u]*Sin[s]*Sin[t]*Sin[y] - 
 
        I*b*c*Cos[s]*Cos[v]*Sin[t]*Sin[u]*Sin[y] - 
 
        I*b*c*Cos[t]*Sin[u]*Sin[v]*Sin[y] + 
 
        I*a*c*Cos[t]*Cos[v]*Cos[y]*Sin[z] + 
 
        a*c*Cos[s]*Cos[u]*Cos[v]*Sin[t]*Sin[z] - 
 
        a*d*Sin[s]*Sin[t]*Sin[u]*Sin[z] + 
 
        a*c*Cos[t]*Cos[u]*Sin[v]*Sin[z] - 
 
        I*a*c*Cos[s]*Cos[y]*Sin[t]*Sin[v]*Sin[z]))/
 
    (32*2^(1/2)*Pi^2), (9*(I*Cos[r] + Sin[r])*
 
      (-I*a*c*Cos[q]*Cos[t]*Cos[v]*Cos[z] - 
 
        I*a*c*Cos[s]*Cos[t]*Cos[u]*Cos[v]*Cos[y]*Cos[z] - 
 
        a*c*Cos[v]*Cos[z]*Sin[t] - 
 
        a*c*Cos[q]*Cos[s]*Cos[u]*Cos[v]*Cos[y]*Cos[z]*Sin[t] + 
 
        I*a*d*Cos[t]*Cos[y]*Cos[z]*Sin[s]*Sin[u] + 
 
        a*d*Cos[q]*Cos[y]*Cos[z]*Sin[s]*Sin[t]*Sin[u] - 
 
        a*c*Cos[s]*Cos[t]*Cos[z]*Sin[v] - 
 
        a*c*Cos[q]*Cos[t]*Cos[u]*Cos[y]*Cos[z]*Sin[v] + 
 
        I*a*c*Cos[q]*Cos[s]*Cos[z]*Sin[t]*Sin[v] + 
 
        I*a*c*Cos[u]*Cos[y]*Cos[z]*Sin[t]*Sin[v] + 
 
        I*b*d*Cos[t]*Cos[u]*Sin[s]*Sin[y] + 
 
        b*d*Cos[q]*Cos[u]*Sin[s]*Sin[t]*Sin[y] + 
 
        I*b*c*Cos[s]*Cos[t]*Cos[v]*Sin[u]*Sin[y] + 
 
        b*c*Cos[q]*Cos[s]*Cos[v]*Sin[t]*Sin[u]*Sin[y] + 
 
        b*c*Cos[q]*Cos[t]*Sin[u]*Sin[v]*Sin[y] - 
 
        I*b*c*Sin[t]*Sin[u]*Sin[v]*Sin[y] - 
 
        a*c*Cos[s]*Cos[t]*Cos[u]*Cos[v]*Sin[z] - 
 
        a*c*Cos[q]*Cos[t]*Cos[v]*Cos[y]*Sin[z] + 
 
        I*a*c*Cos[q]*Cos[s]*Cos[u]*Cos[v]*Sin[t]*Sin[z] + 
 
        I*a*c*Cos[v]*Cos[y]*Sin[t]*Sin[z] + 
 
        a*d*Cos[t]*Sin[s]*Sin[u]*Sin[z] - 
 
        I*a*d*Cos[q]*Sin[s]*Sin[t]*Sin[u]*Sin[z] + 
 
        I*a*c*Cos[q]*Cos[t]*Cos[u]*Sin[v]*Sin[z] + 
 
        I*a*c*Cos[s]*Cos[t]*Cos[y]*Sin[v]*Sin[z] + 
 
        a*c*Cos[u]*Sin[t]*Sin[v]*Sin[z] + 
 
        a*c*Cos[q]*Cos[s]*Cos[y]*Sin[t]*Sin[v]*Sin[z]))/(64*Pi^2)}
 
   }
;[o]
{{(9 (-I Cos[r] + Sin[r]) (I a c Cos[q] Cos[t] Cos[v] Cos[z] + 
 
        I a c Cos[s] Cos[t] Cos[u] Cos[v] Cos[y] Cos[z] - 
 
        a c Cos[v] Cos[z] Sin[t] - 
 
        a c Cos[q] Cos[s] Cos[u] Cos[v] Cos[y] Cos[z] Sin[t] - 
 
        I a d Cos[t] Cos[y] Cos[z] Sin[s] Sin[u] + 
 
        a d Cos[q] Cos[y] Cos[z] Sin[s] Sin[t] Sin[u] - 
 
        a c Cos[s] Cos[t] Cos[z] Sin[v] - 
 
        a c Cos[q] Cos[t] Cos[u] Cos[y] Cos[z] Sin[v] - 
 
        I a c Cos[q] Cos[s] Cos[z] Sin[t] Sin[v] - 
 
        I a c Cos[u] Cos[y] Cos[z] Sin[t] Sin[v] - 
 
        I b d Cos[t] Cos[u] Sin[s] Sin[y] + 
 
        b d Cos[q] Cos[u] Sin[s] Sin[t] Sin[y] - 
 
        I b c Cos[s] Cos[t] Cos[v] Sin[u] Sin[y] + 
 
        b c Cos[q] Cos[s] Cos[v] Sin[t] Sin[u] Sin[y] + 
 
        b c Cos[q] Cos[t] Sin[u] Sin[v] Sin[y] + 
 
        I b c Sin[t] Sin[u] Sin[v] Sin[y] - 
 
        a c Cos[s] Cos[t] Cos[u] Cos[v] Sin[z] - 
 
        a c Cos[q] Cos[t] Cos[v] Cos[y] Sin[z] - 
 
        I a c Cos[q] Cos[s] Cos[u] Cos[v] Sin[t] Sin[z] - 
 
        I a c Cos[v] Cos[y] Sin[t] Sin[z] + 
 
        a d Cos[t] Sin[s] Sin[u] Sin[z] + 
 
        I a d Cos[q] Sin[s] Sin[t] Sin[u] Sin[z] - 
 
        I a c Cos[q] Cos[t] Cos[u] Sin[v] Sin[z] - 
 
        I a c Cos[s] Cos[t] Cos[y] Sin[v] Sin[z] + 
 
        a c Cos[u] Sin[t] Sin[v] Sin[z] + 
 
                                                                2
        a c Cos[q] Cos[s] Cos[y] Sin[t] Sin[v] Sin[z])) / (64 Pi )
 
    , (9 Sin[q] (a c Cos[t] Cos[v] Cos[z] + 
 
        I a c Cos[s] Cos[u] Cos[v] Cos[y] Cos[z] Sin[t] - 
 
        I a d Cos[y] Cos[z] Sin[s] Sin[t] Sin[u] + 
 
        I a c Cos[t] Cos[u] Cos[y] Cos[z] Sin[v] - 
 
        a c Cos[s] Cos[z] Sin[t] Sin[v] - 
 
        I b d Cos[u] Sin[s] Sin[t] Sin[y] - 
 
        I b c Cos[s] Cos[v] Sin[t] Sin[u] Sin[y] - 
 
        I b c Cos[t] Sin[u] Sin[v] Sin[y] + 
 
        I a c Cos[t] Cos[v] Cos[y] Sin[z] - 
 
        a c Cos[s] Cos[u] Cos[v] Sin[t] Sin[z] + 
 
        a d Sin[s] Sin[t] Sin[u] Sin[z] - 
 
        a c Cos[t] Cos[u] Sin[v] Sin[z] - 
 
        I a c Cos[s] Cos[y] Sin[t] Sin[v] Sin[z])) / 
 
                  2
    (32 Sqrt[2] Pi ), (9 (I Cos[r] + Sin[r]) 
 
      (I a c Cos[q] Cos[t] Cos[v] Cos[z] - 
 
        I a c Cos[s] Cos[t] Cos[u] Cos[v] Cos[y] Cos[z] + 
 
        a c Cos[v] Cos[z] Sin[t] - 
 
        a c Cos[q] Cos[s] Cos[u] Cos[v] Cos[y] Cos[z] Sin[t] + 
 
        I a d Cos[t] Cos[y] Cos[z] Sin[s] Sin[u] + 
 
        a d Cos[q] Cos[y] Cos[z] Sin[s] Sin[t] Sin[u] + 
 
        a c Cos[s] Cos[t] Cos[z] Sin[v] - 
 
        a c Cos[q] Cos[t] Cos[u] Cos[y] Cos[z] Sin[v] - 
 
        I a c Cos[q] Cos[s] Cos[z] Sin[t] Sin[v] + 
 
        I a c Cos[u] Cos[y] Cos[z] Sin[t] Sin[v] + 
 
        I b d Cos[t] Cos[u] Sin[s] Sin[y] + 
 
        b d Cos[q] Cos[u] Sin[s] Sin[t] Sin[y] + 
 
        I b c Cos[s] Cos[t] Cos[v] Sin[u] Sin[y] + 
 
        b c Cos[q] Cos[s] Cos[v] Sin[t] Sin[u] Sin[y] + 
 
        b c Cos[q] Cos[t] Sin[u] Sin[v] Sin[y] - 
 
        I b c Sin[t] Sin[u] Sin[v] Sin[y] + 
 
        a c Cos[s] Cos[t] Cos[u] Cos[v] Sin[z] - 
 
        a c Cos[q] Cos[t] Cos[v] Cos[y] Sin[z] - 
 
        I a c Cos[q] Cos[s] Cos[u] Cos[v] Sin[t] Sin[z] + 
 
        I a c Cos[v] Cos[y] Sin[t] Sin[z] - 
 
        a d Cos[t] Sin[s] Sin[u] Sin[z] + 
 
        I a d Cos[q] Sin[s] Sin[t] Sin[u] Sin[z] - 
 
        I a c Cos[q] Cos[t] Cos[u] Sin[v] Sin[z] + 
 
        I a c Cos[s] Cos[t] Cos[y] Sin[v] Sin[z] - 
 
        a c Cos[u] Sin[t] Sin[v] Sin[z] + 
 
                                                                2
        a c Cos[q] Cos[s] Cos[y] Sin[t] Sin[v] Sin[z])) / (64 Pi )
 
    }, {0, 0, 0}, {(9 (-I Cos[r] + Sin[r]) 
 
      (-I a c Cos[q] Cos[t] Cos[v] Cos[z] + 
 
        I a c Cos[s] Cos[t] Cos[u] Cos[v] Cos[y] Cos[z] + 
 
        a c Cos[v] Cos[z] Sin[t] - 
 
        a c Cos[q] Cos[s] Cos[u] Cos[v] Cos[y] Cos[z] Sin[t] - 
 
        I a d Cos[t] Cos[y] Cos[z] Sin[s] Sin[u] + 
 
        a d Cos[q] Cos[y] Cos[z] Sin[s] Sin[t] Sin[u] + 
 
        a c Cos[s] Cos[t] Cos[z] Sin[v] - 
 
        a c Cos[q] Cos[t] Cos[u] Cos[y] Cos[z] Sin[v] + 
 
        I a c Cos[q] Cos[s] Cos[z] Sin[t] Sin[v] - 
 
        I a c Cos[u] Cos[y] Cos[z] Sin[t] Sin[v] - 
 
        I b d Cos[t] Cos[u] Sin[s] Sin[y] + 
 
        b d Cos[q] Cos[u] Sin[s] Sin[t] Sin[y] - 
 
        I b c Cos[s] Cos[t] Cos[v] Sin[u] Sin[y] + 
 
        b c Cos[q] Cos[s] Cos[v] Sin[t] Sin[u] Sin[y] + 
 
        b c Cos[q] Cos[t] Sin[u] Sin[v] Sin[y] + 
 
        I b c Sin[t] Sin[u] Sin[v] Sin[y] + 
 
        a c Cos[s] Cos[t] Cos[u] Cos[v] Sin[z] - 
 
        a c Cos[q] Cos[t] Cos[v] Cos[y] Sin[z] + 
 
        I a c Cos[q] Cos[s] Cos[u] Cos[v] Sin[t] Sin[z] - 
 
        I a c Cos[v] Cos[y] Sin[t] Sin[z] - 
 
        a d Cos[t] Sin[s] Sin[u] Sin[z] - 
 
        I a d Cos[q] Sin[s] Sin[t] Sin[u] Sin[z] + 
 
        I a c Cos[q] Cos[t] Cos[u] Sin[v] Sin[z] - 
 
        I a c Cos[s] Cos[t] Cos[y] Sin[v] Sin[z] - 
 
        a c Cos[u] Sin[t] Sin[v] Sin[z] + 
 
                                                                2
        a c Cos[q] Cos[s] Cos[y] Sin[t] Sin[v] Sin[z])) / (64 Pi )
 
    , (9 Sin[q] (-(a c Cos[t] Cos[v] Cos[z]) + 
 
        I a c Cos[s] Cos[u] Cos[v] Cos[y] Cos[z] Sin[t] - 
 
        I a d Cos[y] Cos[z] Sin[s] Sin[t] Sin[u] + 
 
        I a c Cos[t] Cos[u] Cos[y] Cos[z] Sin[v] + 
 
        a c Cos[s] Cos[z] Sin[t] Sin[v] - 
 
        I b d Cos[u] Sin[s] Sin[t] Sin[y] - 
 
        I b c Cos[s] Cos[v] Sin[t] Sin[u] Sin[y] - 
 
        I b c Cos[t] Sin[u] Sin[v] Sin[y] + 
 
        I a c Cos[t] Cos[v] Cos[y] Sin[z] + 
 
        a c Cos[s] Cos[u] Cos[v] Sin[t] Sin[z] - 
 
        a d Sin[s] Sin[t] Sin[u] Sin[z] + 
 
        a c Cos[t] Cos[u] Sin[v] Sin[z] - 
 
        I a c Cos[s] Cos[y] Sin[t] Sin[v] Sin[z])) / 
 
                  2
    (32 Sqrt[2] Pi ), (9 (I Cos[r] + Sin[r]) 
 
      (-I a c Cos[q] Cos[t] Cos[v] Cos[z] - 
 
        I a c Cos[s] Cos[t] Cos[u] Cos[v] Cos[y] Cos[z] - 
 
        a c Cos[v] Cos[z] Sin[t] - 
 
        a c Cos[q] Cos[s] Cos[u] Cos[v] Cos[y] Cos[z] Sin[t] + 
 
        I a d Cos[t] Cos[y] Cos[z] Sin[s] Sin[u] + 
 
        a d Cos[q] Cos[y] Cos[z] Sin[s] Sin[t] Sin[u] - 
 
        a c Cos[s] Cos[t] Cos[z] Sin[v] - 
 
        a c Cos[q] Cos[t] Cos[u] Cos[y] Cos[z] Sin[v] + 
 
        I a c Cos[q] Cos[s] Cos[z] Sin[t] Sin[v] + 
 
        I a c Cos[u] Cos[y] Cos[z] Sin[t] Sin[v] + 
 
        I b d Cos[t] Cos[u] Sin[s] Sin[y] + 
 
        b d Cos[q] Cos[u] Sin[s] Sin[t] Sin[y] + 
 
        I b c Cos[s] Cos[t] Cos[v] Sin[u] Sin[y] + 
 
        b c Cos[q] Cos[s] Cos[v] Sin[t] Sin[u] Sin[y] + 
 
        b c Cos[q] Cos[t] Sin[u] Sin[v] Sin[y] - 
 
        I b c Sin[t] Sin[u] Sin[v] Sin[y] - 
 
        a c Cos[s] Cos[t] Cos[u] Cos[v] Sin[z] - 
 
        a c Cos[q] Cos[t] Cos[v] Cos[y] Sin[z] + 
 
        I a c Cos[q] Cos[s] Cos[u] Cos[v] Sin[t] Sin[z] + 
 
        I a c Cos[v] Cos[y] Sin[t] Sin[z] + 
 
        a d Cos[t] Sin[s] Sin[u] Sin[z] - 
 
        I a d Cos[q] Sin[s] Sin[t] Sin[u] Sin[z] + 
 
        I a c Cos[q] Cos[t] Cos[u] Sin[v] Sin[z] + 
 
        I a c Cos[s] Cos[t] Cos[y] Sin[v] Sin[z] + 
 
        a c Cos[u] Sin[t] Sin[v] Sin[z] + 
 
                                                                2
        a c Cos[q] Cos[s] Cos[y] Sin[t] Sin[v] Sin[z])) / (64 Pi )
 
    }}
:[font = text; inactive; preserveAspect]
Another try:
:[font = input; preserveAspect; startGroup]
amp1=Simplify[ a1, Trig->True ]
:[font = output; output; inactive; preserveAspect; endGroup]
$Aborted
;[o]
$Aborted
:[font = text; inactive; preserveAspect; fontSize = 10]
Check normalization:
:[font = input; preserveAspect; fontSize = 10]
Clear[ asa, angdist, wt ]
:[font = input; preserveAspect; fontSize = 10]
astar=((Conjugate[ a1 ] //. {conjsum,conjprod})
      /. {conjsin,conjcos}) ;
:[font = input; preserveAspect; fontSize = 10]
asa = a1 astar ;
:[font = input; preserveAspect; fontSize = 10]
angdist = Table[ Sum[ asa[[2-lg,2-m]], {lg,1,-1,-1} ], {m,1,-1,-1} ];
:[font = input; preserveAspect; fontSize = 10]
wt=Sum[ angdist[2-m]], {m,1,-1,-1}] ;
:[font = input; preserveAspect; fontSize = 10; endGroup]
(Integrate[ wt Sin[y] Sin[u] Sin[s] Sin[q],
            {q,0,Pi}, {r,0,2Pi},
            {s,0,Pi}, {t,0,2Pi},
            {u,0,Pi}, {v,0,2Pi},
            {y,0,Pi}, {z,0,2Pi} ])
^*)