(*^

::[	Information =

	"This is a Mathematica Notebook file.  It contains ASCII text, and can be
	transferred by email, ftp, or other text-file transfer utility.  It should
	be read or edited using a copy of Mathematica or MathReader.  If you 
	received this as email, use your mail application or copy/paste to save 
	everything from the line containing (*^ down to the line containing ^*)
	into a plain text file.  On some systems you may have to give the file a 
	name ending with ".ma" to allow Mathematica to recognize it as a Notebook.
	The line below identifies what version of Mathematica created this file,
	but it can be opened using any other version as well.";

	FrontEndVersion = "X Window System Mathematica Notebook Front End Version 2.2";

	X11StandardFontEncoding; 
	
	fontset = title, inactive, noPageBreakBelow, noPageBreakInGroup, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e8,  24, fontName, "times";
	fontset = subtitle, inactive, noPageBreakBelow, noPageBreakInGroup, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e6,  18, fontName, "times";
	fontset = subsubtitle, inactive, noPageBreakBelow, noPageBreakInGroup, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, e6,  14, fontName, "times";
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, a20,  18, fontName, "times";
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, a15,  14, fontName, "times";
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, a12,  12, fontName, "times";
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, fontName, "times";
	fontset = input, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold,  12, fontName, "courier";
	fontset = output, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, fontName, "courier";
	fontset = message, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23,  12, fontName, "courier";
	fontset = print, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23,  12, fontName, "courier";
	fontset = info, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23,  12, fontName, "courier";
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287,  12, fontName, "courier";
	fontset = name, inactive, noPageBreakInGroup, nohscroll, preserveAspect, M7, italic, B65535,  10, fontName, "times";
	fontset = header, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic,  12, fontName, "times";
	fontset = leftheader,  12, fontName, "times";
	fontset = footer, inactive, nohscroll, noKeepOnOnePage, preserveAspect, center, M7, italic,  12, fontName, "times";
	fontset = leftfooter,  12, fontName, "times";
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "courier";
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";paletteColors = 128; automaticGrouping; currentKernel; 
]
:[font = title; inactive; preserveAspect; startGroup]
pbarp(1S0) -> omega omega;
 omega1-> rho pi;  omega2 -> pi0 gamma
:[font = text; inactive; preserveAspect]
For L=1:
:[font = input; preserveAspect]
s=0;
:[font = input; preserveAspect; startGroup]
Clear[ tpbp ];
tpbp = Table[ ClebschGordan[ {1,0},  {s,lomg-lw}, {0,lomg-lw} ]
            * ClebschGordan[ {1,lomg},{1,-lw},    {s,lomg-lw} ],
              {lomg,1,-1,-1}, {lw,1,-1,-1} ]
:[font = output; output; inactive; preserveAspect; endGroup]
{{0, 0, 0}, {0, 0, 0}, {0, 0, 0}}
;[o]
{{0, 0, 0}, {0, 0, 0}, {0, 0, 0}}
:[font = input; preserveAspect]
s=1;
:[font = input; preserveAspect; startGroup]
Clear[ tpbp ];
tpbp = Table[ ClebschGordan[ {1,0},  {s,lomg-lw}, {0,lomg-lw} ]
            * ClebschGordan[ {1,lomg},{1,-lw},    {s,lomg-lw} ],
              {lomg,1,-1,-1}, {lw,1,-1,-1} ]
:[font = output; output; inactive; preserveAspect; endGroup]
{{-6^(-1/2), 0, 0}, {0, 0, 0}, {0, 0, 6^(-1/2)}}
;[o]
       1                                  1
{{-(-------), 0, 0}, {0, 0, 0}, {0, 0, -------}}
    Sqrt[6]                            Sqrt[6]
:[font = input; preserveAspect]
s=2;
:[font = input; preserveAspect; startGroup]
Clear[ tpbp ];
tpbp = Table[ ClebschGordan[ {1,0},  {s,lomg-lw}, {0,lomg-lw} ]
            * ClebschGordan[ {1,lomg},{1,-lw},    {s,lomg-lw} ],
              {lomg,1,-1,-1}, {lw,1,-1,-1} ]
:[font = output; output; inactive; preserveAspect; endGroup]
{{0, 0, 0}, {0, 0, 0}, {0, 0, 0}}
;[o]
{{0, 0, 0}, {0, 0, 0}, {0, 0, 0}}
:[font = text; inactive; preserveAspect]
For L=3:
:[font = input; preserveAspect]
s=0;
:[font = input; preserveAspect; startGroup]
Clear[ tpbp ];
tpbp = Table[ ClebschGordan[ {3,0},  {s,lomg-lw}, {0,lomg-lw} ]
            * ClebschGordan[ {1,lomg},{1,-lw},    {s,lomg-lw} ],
              {lomg,1,-1,-1}, {lw,1,-1,-1} ]
:[font = output; output; inactive; preserveAspect; endGroup]
{{0, 0, 0}, {0, 0, 0}, {0, 0, 0}}
;[o]
{{0, 0, 0}, {0, 0, 0}, {0, 0, 0}}
:[font = input; preserveAspect]
s=1;
:[font = input; preserveAspect; startGroup]
Clear[ tpbp ];
tpbp = Table[ ClebschGordan[ {3,0},  {s,lomg-lw}, {0,lomg-lw} ]
            * ClebschGordan[ {1,lomg},{1,-lw},    {s,lomg-lw} ],
              {lomg,1,-1,-1}, {lw,1,-1,-1} ]
:[font = output; output; inactive; preserveAspect; endGroup]
{{0, 0, 0}, {0, 0, 0}, {0, 0, 0}}
;[o]
{{0, 0, 0}, {0, 0, 0}, {0, 0, 0}}
:[font = input; preserveAspect]
s=2;
:[font = input; preserveAspect; startGroup]
Clear[ tpbp ];
tpbp = Table[ ClebschGordan[ {3,0},  {s,lomg-lw}, {0,lomg-lw} ]
            * ClebschGordan[ {1,lomg},{1,-lw},    {s,lomg-lw} ],
              {lomg,1,-1,-1}, {lw,1,-1,-1} ]
:[font = output; output; inactive; preserveAspect; endGroup]
{{0, 0, 0}, {0, 0, 0}, {0, 0, 0}}
;[o]
{{0, 0, 0}, {0, 0, 0}, {0, 0, 0}}
:[font = text; inactive; preserveAspect]
This is the only way: s=1, L=1 for the omega omega system.
:[font = input; preserveAspect]
s=1;
:[font = input; preserveAspect; startGroup]
Clear[ tpbp, tpbpf ];
tpbp = Table[ ClebschGordan[ {1,0},  {s,lomg-lw}, {0,lomg-lw} ]
            * ClebschGordan[ {1,lomg},{1,-lw},    {s,lomg-lw} ],
              {lomg,1,-1,-1}, {lw,1,-1,-1} ]
:[font = message; inactive; preserveAspect]
ClebschGordan::phy: ThreeJSymbol[{1, 0}, {1, 1}, {0, -1}] is not physical.
:[font = message; inactive; preserveAspect]
ClebschGordan::phy: ThreeJSymbol[{1, 0}, {1, 2}, {0, -2}] is not physical.
:[font = message; inactive; preserveAspect]
ClebschGordan::phy: ThreeJSymbol[{1, 1}, {1, 1}, {1, -2}] is not physical.
:[font = message; inactive; preserveAspect]
General::stop: Further output of ClebschGordan::phy
     will be suppressed during this calculation.
:[font = output; output; inactive; preserveAspect; endGroup]
{{-6^(-1/2), 0, 0}, {0, 0, 0}, {0, 0, 6^(-1/2)}}
;[o]
       1                                  1
{{-(-------), 0, 0}, {0, 0, 0}, {0, 0, -------}}
    Sqrt[6]                            Sqrt[6]
:[font = input; preserveAspect]
tpbpf[ lomg_, lw_ ] := tpbp[[ 2-lomg, 2-lw ]]
:[font = text; inactive; preserveAspect]
For omega 1 -> rho pi:
:[font = input; preserveAspect]
Clear[ tw1, tw1f ]
:[font = input; preserveAspect; startGroup]
tomg = Table[ ClebschGordan[{1,0}, {1,lrho}, {1,lrho} ] *
              ClebschGordan[{1,lrho}, {0,0}, {1,lrho} ],
              {lrho,1,-1,-1} ]
:[font = output; output; inactive; preserveAspect; endGroup]
{-2^(-1/2), 0, 2^(-1/2)}
;[o]
      1            1
{-(-------), 0, -------}
   Sqrt[2]      Sqrt[2]
:[font = input; preserveAspect]
tomgf[ lrho_ ] := tomg[[ 2-lrho ]]
:[font = input; preserveAspect]
Clear[ trhof ]
:[font = input; preserveAspect]
trhof = 1;
:[font = input; preserveAspect]
Clear[ tw, twf ];
:[font = input; preserveAspect; startGroup]
tw = Table[ ClebschGordan[{1,0},{1,l1},{1,l1}] *
             ClebschGordan[{1,l1},{0,0},{1,l1}],
             {l1,1,-1,-1} ]
:[font = output; output; inactive; preserveAspect; endGroup]
{-2^(-1/2), 0, 2^(-1/2)}
;[o]
      1            1
{-(-------), 0, -------}
   Sqrt[2]      Sqrt[2]
:[font = input; preserveAspect]
twf[ lg_ ] := tw[[ 2-lg ]]
:[font = input; preserveAspect]
Clear[ Ds, amplitude, s,t,u,v,y,z ]
:[font = input; preserveAspect]
amplitude =
 Table[ Sum[ tpbpf[ lomg, lw ] *
             tomgf[   lrho   ] * Ds[1, lomg, lrho, s,t ] *
             trhof             * Ds[1, lrho, 0,   u,v ] *
               twf[    lg    ] * Ds[1, lw, lg,   y,z ],
             {lomg,1,-1,-1}, {lw,1,-1,-1}, {lrho,1,-1,-1} ],
        {lg,1,-1,-1} ] ;
:[font = input; preserveAspect]
If[ Dimensions[Attributes[TrigReduce]] == {0}, Get["Trigonometry.m"] ]
:[font = input; preserveAspect]
<<Dfunc.m
:[font = input; preserveAspect]
a1 = Expand[ ComplexToTrig[ TrigReduce[ amplitude ] ],Trig->True ];
:[font = input; preserveAspect; startGroup]
a2 = Simplify[ a1, Trig->True ]
:[font = output; output; inactive; preserveAspect]
{(Sin[u]*(Cos[s - t - v - y - z] - Cos[s - t + v - y - z] + 
 
       Cos[s - t - v + y - z] - Cos[s - t + v + y - z] + 2*Cos[t - v - y + z] - 
 
       Cos[s + t - v - y + z] + 2*Cos[t + v - y + z] + Cos[s + t + v - y + z] + 
 
       2*Cos[t - v + y + z] - Cos[s + t - v + y + z] + 2*Cos[t + v + y + z] + 
 
       Cos[s + t + v + y + z] - 2*I*Sin[s - t - v - z] + 2*I*Sin[s - t + v - z] + 
 
       4*I*Sin[t - v + z] - 2*I*Sin[s + t - v + z] + 4*I*Sin[t + v + z] + 
 
       2*I*Sin[s + t + v + z]))/(32*3^(1/2)), 0, 
 
  (Sin[u]*(Cos[s - t - v - y - z] - Cos[s - t + v - y - z] + 
 
       Cos[s - t - v + y - z] - Cos[s - t + v + y - z] + 2*Cos[t - v - y + z] - 
 
       Cos[s + t - v - y + z] + 2*Cos[t + v - y + z] + Cos[s + t + v - y + z] + 
 
       2*Cos[t - v + y + z] - Cos[s + t - v + y + z] + 2*Cos[t + v + y + z] + 
 
       Cos[s + t + v + y + z] + 2*I*Sin[s - t - v - z] - 2*I*Sin[s - t + v - z] - 
 
       4*I*Sin[t - v + z] + 2*I*Sin[s + t - v + z] - 4*I*Sin[t + v + z] - 
 
       2*I*Sin[s + t + v + z]))/(32*3^(1/2))}
;[o]
{(Sin[u] (Cos[s - t - v - y - z] - Cos[s - t + v - y - z] + 
 
       Cos[s - t - v + y - z] - Cos[s - t + v + y - z] + 2 Cos[t - v - y + z] - 
 
       Cos[s + t - v - y + z] + 2 Cos[t + v - y + z] + Cos[s + t + v - y + z] + 
 
       2 Cos[t - v + y + z] - Cos[s + t - v + y + z] + 2 Cos[t + v + y + z] + 
 
       Cos[s + t + v + y + z] - 2 I Sin[s - t - v - z] + 2 I Sin[s - t + v - z] + 
 
       4 I Sin[t - v + z] - 2 I Sin[s + t - v + z] + 4 I Sin[t + v + z] + 
 
       2 I Sin[s + t + v + z])) / (32 Sqrt[3]), 0, 
 
  (Sin[u] (Cos[s - t - v - y - z] - Cos[s - t + v - y - z] + 
 
       Cos[s - t - v + y - z] - Cos[s - t + v + y - z] + 2 Cos[t - v - y + z] - 
 
       Cos[s + t - v - y + z] + 2 Cos[t + v - y + z] + Cos[s + t + v - y + z] + 
 
       2 Cos[t - v + y + z] - Cos[s + t - v + y + z] + 2 Cos[t + v + y + z] + 
 
       Cos[s + t + v + y + z] + 2 I Sin[s - t - v - z] - 2 I Sin[s - t + v - z] - 
 
       4 I Sin[t - v + z] + 2 I Sin[s + t - v + z] - 4 I Sin[t + v + z] - 
 
       2 I Sin[s + t + v + z])) / (32 Sqrt[3])}
:[font = output; output; inactive; preserveAspect; endGroup]
{(Sin[u]*(Cos[s - t - v - y - z] - Cos[s - t + v - y - z] + 
 
       Cos[s - t - v + y - z] - Cos[s - t + v + y - z] + 2*Cos[t - v - y + z] - 
 
       Cos[s + t - v - y + z] + 2*Cos[t + v - y + z] + Cos[s + t + v - y + z] + 
 
       2*Cos[t - v + y + z] - Cos[s + t - v + y + z] + 2*Cos[t + v + y + z] + 
 
       Cos[s + t + v + y + z] - 2*I*Sin[s - t - v - z] + 
 
       2*I*Sin[s - t + v - z] + 4*I*Sin[t - v + z] - 2*I*Sin[s + t - v + z] + 
 
       4*I*Sin[t + v + z] + 2*I*Sin[s + t + v + z]))/(32*3^(1/2)), 0, 
 
  (Sin[u]*(Cos[s - t - v - y - z] - Cos[s - t + v - y - z] + 
 
       Cos[s - t - v + y - z] - Cos[s - t + v + y - z] + 2*Cos[t - v - y + z] - 
 
       Cos[s + t - v - y + z] + 2*Cos[t + v - y + z] + Cos[s + t + v - y + z] + 
 
       2*Cos[t - v + y + z] - Cos[s + t - v + y + z] + 2*Cos[t + v + y + z] + 
 
       Cos[s + t + v + y + z] + 2*I*Sin[s - t - v - z] - 
 
       2*I*Sin[s - t + v - z] - 4*I*Sin[t - v + z] + 2*I*Sin[s + t - v + z] - 
 
       4*I*Sin[t + v + z] - 2*I*Sin[s + t + v + z]))/(32*3^(1/2))}
;[o]
{(Sin[u] (Cos[s - t - v - y - z] - Cos[s - t + v - y - z] + 
 
       Cos[s - t - v + y - z] - Cos[s - t + v + y - z] + 2 Cos[t - v - y + z] - 
 
       Cos[s + t - v - y + z] + 2 Cos[t + v - y + z] + Cos[s + t + v - y + z] + 
 
       2 Cos[t - v + y + z] - Cos[s + t - v + y + z] + 2 Cos[t + v + y + z] + 
 
       Cos[s + t + v + y + z] - 2 I Sin[s - t - v - z] + 
 
       2 I Sin[s - t + v - z] + 4 I Sin[t - v + z] - 2 I Sin[s + t - v + z] + 
 
       4 I Sin[t + v + z] + 2 I Sin[s + t + v + z])) / (32 Sqrt[3]), 0, 
 
  (Sin[u] (Cos[s - t - v - y - z] - Cos[s - t + v - y - z] + 
 
       Cos[s - t - v + y - z] - Cos[s - t + v + y - z] + 2 Cos[t - v - y + z] - 
 
       Cos[s + t - v - y + z] + 2 Cos[t + v - y + z] + Cos[s + t + v - y + z] + 
 
       2 Cos[t - v + y + z] - Cos[s + t - v + y + z] + 2 Cos[t + v + y + z] + 
 
       Cos[s + t + v + y + z] + 2 I Sin[s - t - v - z] - 
 
       2 I Sin[s - t + v - z] - 4 I Sin[t - v + z] + 2 I Sin[s + t - v + z] - 
 
       4 I Sin[t + v + z] - 2 I Sin[s + t + v + z])) / (32 Sqrt[3])}
:[font = input; preserveAspect]
<<conj_rules.ma
:[font = input; preserveAspect]
as = (Conjugate[amplitude] //. {conjsum,conjprod} ) /. {conjDs};
:[font = input; preserveAspect]
<<Dfunc.m
:[font = input; preserveAspect]
wt = amplitude . as ;
:[font = input; preserveAspect; startGroup]
n = Integrate[ wt*Sin[s]*Sin[u]*Sin[y],
 {Cos[q],1,-1},{r,0,2Pi},{s,0,Pi},{t,0,2Pi},{u,0,Pi},{v,0,2Pi},{y,0,Pi},{z,0,2Pi} ]
:[font = output; output; inactive; preserveAspect; endGroup]
(-256*Pi^4)/81
;[o]
       4
-256 Pi
--------
   81
:[font = subsection; inactive; preserveAspect; startGroup]
Spin's method
:[font = text; inactive; preserveAspect]
This is the only way: s=1, L=1 for the omega omega system.
:[font = input; preserveAspect]
s=1;
:[font = input; preserveAspect; startGroup]
Clear[ tpbp, tpbpf ];
tpbp = Table[ ClebschGordan[ {1,0},  {s,lw-lomg}, {0,lw-lomg} ]
            * ClebschGordan[ {1,lw}, {1,-lomg},   {s,lw-lomg} ],
              {lw,1,-1,-1}, {lomg,1,-1,-1} ]
:[font = message; inactive; preserveAspect]
ClebschGordan::phy: ThreeJSymbol[{1, 0}, {1, 1}, {0, -1}] is not physical.
:[font = message; inactive; preserveAspect]
ClebschGordan::phy: ThreeJSymbol[{1, 0}, {1, 2}, {0, -2}] is not physical.
:[font = message; inactive; preserveAspect]
ClebschGordan::phy: ThreeJSymbol[{1, 1}, {1, 1}, {1, -2}] is not physical.
:[font = message; inactive; preserveAspect]
General::stop: Further output of ClebschGordan::phy
     will be suppressed during this calculation.
:[font = output; output; inactive; preserveAspect; endGroup]
{{-6^(-1/2), 0, 0}, {0, 0, 0}, {0, 0, 6^(-1/2)}}
;[o]
       1                                  1
{{-(-------), 0, 0}, {0, 0, 0}, {0, 0, -------}}
    Sqrt[6]                            Sqrt[6]
:[font = input; preserveAspect]
tpbpf[ lw_, lomg_ ] := tpbp[[ 2-lw, 2-lomg ]]
:[font = text; inactive; preserveAspect]
For omega 1 -> rho pi:
:[font = input; preserveAspect]
Clear[ tw1, tw1f ]
:[font = input; preserveAspect; startGroup]
tomg = Table[ ClebschGordan[{1,0}, {1,lrho}, {1,lrho} ] *
              ClebschGordan[{1,lrho}, {0,0}, {1,lrho} ],
              {lrho,1,-1,-1} ]
:[font = output; output; inactive; preserveAspect; endGroup]
{-2^(-1/2), 0, 2^(-1/2)}
;[o]
      1            1
{-(-------), 0, -------}
   Sqrt[2]      Sqrt[2]
:[font = input; preserveAspect]
tomgf[ lrho_ ] := tomg[[ 2-lrho ]]
:[font = input; preserveAspect]
Clear[ trhof ]
:[font = input; preserveAspect]
trhof = 1;
:[font = input; preserveAspect]
Clear[ tw, twf ];
:[font = input; preserveAspect; startGroup]
tw = Table[ ClebschGordan[{1,0},{1,l1},{1,l1}] *
             ClebschGordan[{1,l1},{0,0},{1,l1}],
             {l1,1,-1,-1} ]
:[font = output; output; inactive; preserveAspect; endGroup]
{-2^(-1/2), 0, 2^(-1/2)}
;[o]
      1            1
{-(-------), 0, -------}
   Sqrt[2]      Sqrt[2]
:[font = input; preserveAspect]
twf[ lg_ ] := tw[[ 2-lg ]]
:[font = input; preserveAspect]
Clear[ Ds, samplitude, s,t,u,v,y,z ]
:[font = input; preserveAspect]
samplitude =
 Table[ Sum[ tpbpf[ lw, lomg ] *
             tomgf[   lrho   ] * Ds[1, lomg, lrho, s,t ] *
             trhof             * Ds[1, lrho, 0,   u,v ] *
               twf[    lg    ] * Ds[1, lw, lg,   y,z ],
             {lomg,1,-1,-1}, {lw,1,-1,-1}, {lrho,1,-1,-1} ],
        {lg,1,-1,-1} ] ;
:[font = input; preserveAspect; startGroup]
amplitude-samplitude
:[font = output; output; inactive; preserveAspect; endGroup]
{0, 0, 0}
;[o]
{0, 0, 0}
:[font = text; inactive; preserveAspect; endGroup; endGroup]
So, my amplitude should be the same as SPIN's
^*)