(*^

::[	Information =

	"This is a Mathematica Notebook file.  It contains ASCII text, and can be
	transferred by email, ftp, or other text-file transfer utility.  It should
	be read or edited using a copy of Mathematica or MathReader.  If you 
	received this as email, use your mail application or copy/paste to save 
	everything from the line containing (*^ down to the line containing ^*)
	into a plain text file.  On some systems you may have to give the file a 
	name ending with ".ma" to allow Mathematica to recognize it as a Notebook.
	The line below identifies what version of Mathematica created this file,
	but it can be opened using any other version as well.";

	FrontEndVersion = "X Window System Mathematica Notebook Front End Version 2.2";

	X11StandardFontEncoding; 
	
	fontset = title, inactive, noPageBreakBelow, noPageBreakInGroup, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e8,  24, fontName, "times";
	fontset = subtitle, inactive, noPageBreakBelow, noPageBreakInGroup, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e6,  18, fontName, "times";
	fontset = subsubtitle, inactive, noPageBreakBelow, noPageBreakInGroup, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, e6,  14, fontName, "times";
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, a20,  18, fontName, "times";
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, a15,  14, fontName, "times";
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, a12,  12, fontName, "times";
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, fontName, "times";
	fontset = input, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold,  12, fontName, "courier";
	fontset = output, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, fontName, "courier";
	fontset = message, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23,  12, fontName, "courier";
	fontset = print, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23,  12, fontName, "courier";
	fontset = info, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23,  12, fontName, "courier";
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287,  12, fontName, "courier";
	fontset = name, inactive, noPageBreakInGroup, nohscroll, preserveAspect, M7, italic, B65535,  10, fontName, "times";
	fontset = header, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic,  12, fontName, "times";
	fontset = leftheader,  12, fontName, "times";
	fontset = footer, inactive, nohscroll, noKeepOnOnePage, preserveAspect, center, M7, italic,  12, fontName, "times";
	fontset = leftfooter,  12, fontName, "times";
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "courier";
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";paletteColors = 128; automaticGrouping; currentKernel; 
]
:[font = input; preserveAspect; startGroup]
TrigReduce[Ds[1,1,1, t,f]]
:[font = output; output; inactive; preserveAspect; endGroup]
(E^(I*f)*(1 + Cos[t]))/2
;[o]
 I f
E    (1 + Cos[t])
-----------------
        2
:[font = input; preserveAspect; startGroup]
TrigReduce[Ds[1,1,0,t,f]]
:[font = output; output; inactive; preserveAspect; endGroup]
-((E^(I*f)*Sin[t])/2^(1/2))
;[o]
   I f
  E    Sin[t]
-(-----------)
    Sqrt[2]
:[font = input; preserveAspect; startGroup]
TrigReduce[Ds[1,1,-1,t,f]]
:[font = output; output; inactive; preserveAspect; endGroup]
(E^(I*f)*(1 - Cos[t]))/2
;[o]
 I f
E    (1 - Cos[t])
-----------------
        2
:[font = input; preserveAspect; startGroup]
TrigReduce[Ds[1,0,1,t,f]]
:[font = output; output; inactive; preserveAspect; endGroup]
Sin[t]/2^(1/2)
;[o]
Sin[t]
-------
Sqrt[2]
:[font = input; preserveAspect; startGroup]
Simplify[TrigReduce[Ds[1,0,0,t,f]]]
:[font = output; output; inactive; preserveAspect; endGroup]
Cos[t]
;[o]
Cos[t]
:[font = input; preserveAspect; startGroup]
TrigReduce[Ds[1,0,-1,t,f]]
:[font = output; output; inactive; preserveAspect; endGroup]
-(Sin[t]/2^(1/2))
;[o]
  Sin[t]
-(-------)
  Sqrt[2]
:[font = input; preserveAspect; startGroup]
TrigReduce[Ds[1,-1,1,t,f]]
:[font = output; output; inactive; preserveAspect; endGroup]
(E^(-I*f)*(1 - Cos[t]))/2
;[o]
 -I f
E     (1 - Cos[t])
------------------
        2
:[font = input; preserveAspect; startGroup]
TrigReduce[Ds[1,-1,0,t,f]]
:[font = output; output; inactive; preserveAspect; endGroup]
(E^(-I*f)*Sin[t])/2^(1/2)
;[o]
 -I f
E     Sin[t]
------------
  Sqrt[2]
:[font = input; preserveAspect; startGroup]
TrigReduce[Ds[1,-1,-1,t,f]]
:[font = output; output; inactive; preserveAspect; endGroup]
(E^(-I*f)*(1 + Cos[t]))/2
;[o]
 -I f
E     (1 + Cos[t])
------------------
        2
^*)