(*^

::[	Information =

	"This is a Mathematica Notebook file.  It contains ASCII text, and can be
	transferred by email, ftp, or other text-file transfer utility.  It should
	be read or edited using a copy of Mathematica or MathReader.  If you 
	received this as email, use your mail application or copy/paste to save 
	everything from the line containing (*^ down to the line containing ^*)
	into a plain text file.  On some systems you may have to give the file a 
	name ending with ".ma" to allow Mathematica to recognize it as a Notebook.
	The line below identifies what version of Mathematica created this file,
	but it can be opened using any other version as well.";

	FrontEndVersion = "X Window System Mathematica Notebook Front End Version 2.2";

	X11StandardFontEncoding; 
	
	fontset = title, inactive, noPageBreakBelow, noPageBreakInGroup, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e8,  24, fontName, "times";
	fontset = subtitle, inactive, noPageBreakBelow, noPageBreakInGroup, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e6,  18, fontName, "times";
	fontset = subsubtitle, inactive, noPageBreakBelow, noPageBreakInGroup, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, e6,  14, fontName, "times";
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, a20,  18, fontName, "times";
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, a15,  14, fontName, "times";
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, a12,  12, fontName, "times";
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, fontName, "times";
	fontset = input, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold,  12, fontName, "courier";
	fontset = output, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, fontName, "courier";
	fontset = message, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23,  12, fontName, "courier";
	fontset = print, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23,  12, fontName, "courier";
	fontset = info, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23,  12, fontName, "courier";
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287,  12, fontName, "courier";
	fontset = name, inactive, noPageBreakInGroup, nohscroll, preserveAspect, M7, italic, B65535,  10, fontName, "times";
	fontset = header, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic,  12, fontName, "times";
	fontset = leftheader,  12, fontName, "times";
	fontset = footer, inactive, nohscroll, noKeepOnOnePage, preserveAspect, center, M7, italic,  12, fontName, "times";
	fontset = leftfooter,  12, fontName, "times";
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "courier";
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";paletteColors = 128; automaticGrouping; currentKernel; 
]
:[font = section; inactive; preserveAspect; startGroup]
a1(1260) omega from 3S1
:[font = input; preserveAspect]
Clear[tpbp,tpbpf]
:[font = text; inactive; preserveAspect]
For pbar p (3s1) -> a1 omega, L=0, s=1
:[font = input; preserveAspect; startGroup]
tpbp =( Table[ ClebschGordan[ {0,0},  {1,la1-lw},{1,la1-lw} ] *
               ClebschGordan[ {1,la1},{1,-lw},  {1,la1-lw} ],
               {la1,1,-1,-1},{lw,1,-1,-1} ] )
:[font = message; inactive; preserveAspect]
ClebschGordan::phy: 
   ThreeJSymbol[{0, 0}, {1, 2}, {1, -2}] is not physical.
:[font = message; inactive; preserveAspect]
ClebschGordan::phy: 
   ThreeJSymbol[{1, 1}, {1, 1}, {1, -2}] is not physical.
:[font = message; inactive; preserveAspect]
ClebschGordan::phy: 
   ThreeJSymbol[{0, 0}, {1, -2}, {1, 2}] is not physical.
:[font = message; inactive; preserveAspect]
General::stop: 
   Further output of ClebschGordan::phy
     will be suppressed during this calculation.
:[font = output; output; inactive; preserveAspect; endGroup]
{{2^(-1/2), 2^(-1/2), 0}, {2^(-1/2), 0, -2^(-1/2)}, 
 
  {0, -2^(-1/2), -2^(-1/2)}}
;[o]
     1        1             1             1
{{-------, -------, 0}, {-------, 0, -(-------)}, 
  Sqrt[2]  Sqrt[2]       Sqrt[2]       Sqrt[2]
 
           1           1
  {0, -(-------), -(-------)}}
        Sqrt[2]     Sqrt[2]
:[font = input; preserveAspect]
tpbpf[ la1_, lw_ ] := tpbp[[ 2 - la1, 2-lw ]]
:[font = input; preserveAspect]
Clear[ta1L0,ta1L2,ta1f]
:[font = text; inactive; preserveAspect]
L=0 or 2, rho0 pi0 not allowed by C parity
:[font = input; preserveAspect; startGroup]
ta1L0 =( Table[ ClebschGordan[ {0,0},   {1,lrho},{1,lrho} ] *
                ClebschGordan[ {1,lrho},{0,0},   {1,lrho} ],
                {lrho,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{1, 1, 1}
;[o]
{1, 1, 1}
:[font = input; preserveAspect; startGroup]
ta1L2 =( Table[ ClebschGordan[ {2,0},   {1,lrho},{1,lrho} ] *
                ClebschGordan[ {1,lrho},{0,0},   {1,lrho} ],
                {lrho,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{10^(-1/2), -(2/5)^(1/2), 10^(-1/2)}
;[o]
    1            2      1
{--------, -Sqrt[-], --------}
 Sqrt[10]        5   Sqrt[10]
:[font = input; preserveAspect]
ta1f[ lrho_ ] := a /; lrho == 1 || lrho == -1
ta1f[ lrho_ ] := b /; lrho == 0
:[font = text; inactive; preserveAspect]
Set up the coefficients for the omega decay.
:[font = input; preserveAspect]
Clear[ tw, twf ]
:[font = input; preserveAspect; startGroup]
tw = ( Table[ ClebschGordan[{1,0},{1,lg},{1,lg}] *
              ClebschGordan[{1,lg},{0,0},{1,lg}],
              {lg,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{-2^(-1/2), 0, 2^(-1/2)}
;[o]
      1            1
{-(-------), 0, -------}
   Sqrt[2]      Sqrt[2]
:[font = input; preserveAspect]
twf[lg_] := tw[[2-lg]]
:[font = text; inactive; preserveAspect]
Set up the coefficients for the rho decay.
:[font = input; preserveAspect; startGroup]
Clear[ trho ]
:[font = message; inactive; preserveAspect; endGroup]
General::spell1: 
   Possible spelling error: new symbol name "trho"
     is similar to existing symbol "lrho".
:[font = input; preserveAspect; startGroup]
trho =( ClebschGordan[ {1,0}, {0,0}, {1,0} ] *
        ClebschGordan[ {0,0}, {0,0}, {0,0} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
1
;[o]
1
:[font = text; inactive; preserveAspect]
Compute the amplitude for each gamma helicity and initial m :
:[font = input; preserveAspect]
Clear[Ds, amplitude, a1, a2, q,r,s,t,u,v,y,z]
:[font = input; preserveAspect]
amplitude =( Table[ Sum[ tpbpf[ la1, lw ] * Ds[1,m,    la1-lw,  q,r] *
                         ta1f[ lrho ]     * Ds[1,la1,  lrho,    s,t] *
                         trho             * Ds[1,lrho, 0,       u,v] *
                         twf[ lg ]        * Ds[1,lw,   lg,      y,z],
                         {la1,1,-1,-1},{lw,1,-1,-1},{lrho,1,-1,-1}],
                    {lg,1,-1,-1},{m,1,-1,-1} ] ) ;
:[font = input; preserveAspect]

:[font = input; preserveAspect]
If[ Dimensions[Attributes[TrigReduce]] == {0}, Get["Trigonometry.m"] ]
:[font = input; preserveAspect]
<<Dfunc.m
:[font = input; preserveAspect]
a1= Expand[TrigReduce[ComplexToTrig[amplitude]]]
:[font = input; preserveAspect]
a2=Simplify[a1,Trig->True]
:[font = input; preserveAspect; startGroup]
a3=Factor[a2]
:[font = output; output; inactive; preserveAspect; endGroup; endGroup]
{{((-I*Cos[r] + Sin[r])*(I*b*Cos[q]*Cos[s]*Cos[u]*Cos[z] - 
 
        I*b*Cos[s]*Cos[u]*Cos[y]*Cos[z] - 
 
        I*b*Cos[t]*Cos[u]*Cos[z]*Sin[q]*Sin[s] + 
 
        b*Cos[u]*Cos[y]*Cos[z]*Sin[q]*Sin[s]*Sin[t] - 
 
        I*a*Cos[s]*Cos[t]*Cos[v]*Cos[z]*Sin[q]*Sin[u] - 
 
        I*a*Cos[q]*Cos[v]*Cos[z]*Sin[s]*Sin[u] + 
 
        I*a*Cos[v]*Cos[y]*Cos[z]*Sin[s]*Sin[u] + 
 
        a*Cos[s]*Cos[v]*Cos[y]*Cos[z]*Sin[q]*Sin[t]*Sin[u] + 
 
        a*Cos[t]*Cos[y]*Cos[z]*Sin[q]*Sin[u]*Sin[v] + 
 
        I*a*Cos[z]*Sin[q]*Sin[t]*Sin[u]*Sin[v] + 
 
        I*b*Cos[t]*Cos[u]*Sin[s]*Sin[y] - 
 
        b*Cos[q]*Cos[u]*Sin[s]*Sin[t]*Sin[y] + 
 
        I*a*Cos[s]*Cos[t]*Cos[v]*Sin[u]*Sin[y] - 
 
        a*Cos[q]*Cos[s]*Cos[v]*Sin[t]*Sin[u]*Sin[y] - 
 
        a*Cos[q]*Cos[t]*Sin[u]*Sin[v]*Sin[y] - 
 
        I*a*Sin[t]*Sin[u]*Sin[v]*Sin[y] + 
 
        b*Cos[s]*Cos[u]*Sin[z] - 
 
        b*Cos[q]*Cos[s]*Cos[u]*Cos[y]*Sin[z] + 
 
        b*Cos[t]*Cos[u]*Cos[y]*Sin[q]*Sin[s]*Sin[z] + 
 
        I*b*Cos[u]*Sin[q]*Sin[s]*Sin[t]*Sin[z] + 
 
        a*Cos[s]*Cos[t]*Cos[v]*Cos[y]*Sin[q]*Sin[u]*Sin[z] - 
 
        a*Cos[v]*Sin[s]*Sin[u]*Sin[z] + 
 
        a*Cos[q]*Cos[v]*Cos[y]*Sin[s]*Sin[u]*Sin[z] + 
 
        I*a*Cos[s]*Cos[v]*Sin[q]*Sin[t]*Sin[u]*Sin[z] + 
 
        I*a*Cos[t]*Sin[q]*Sin[u]*Sin[v]*Sin[z] - 
 
        a*Cos[y]*Sin[q]*Sin[t]*Sin[u]*Sin[v]*Sin[z]))/4, 
 
   (b*Cos[s]*Cos[u]*Cos[z]*Sin[q] + 
 
      b*Cos[q]*Cos[t]*Cos[u]*Cos[z]*Sin[s] + 
 
      I*b*Cos[q]*Cos[u]*Cos[y]*Cos[z]*Sin[s]*Sin[t] + 
 
      a*Cos[q]*Cos[s]*Cos[t]*Cos[v]*Cos[z]*Sin[u] - 
 
      a*Cos[v]*Cos[z]*Sin[q]*Sin[s]*Sin[u] + 
 
      I*a*Cos[q]*Cos[s]*Cos[v]*Cos[y]*Cos[z]*Sin[t]*Sin[u] + 
 
      I*a*Cos[q]*Cos[t]*Cos[y]*Cos[z]*Sin[u]*Sin[v] - 
 
      a*Cos[q]*Cos[z]*Sin[t]*Sin[u]*Sin[v] + 
 
      I*b*Cos[u]*Sin[q]*Sin[s]*Sin[t]*Sin[y] + 
 
      I*a*Cos[s]*Cos[v]*Sin[q]*Sin[t]*Sin[u]*Sin[y] + 
 
      I*a*Cos[t]*Sin[q]*Sin[u]*Sin[v]*Sin[y] + 
 
      I*b*Cos[s]*Cos[u]*Cos[y]*Sin[q]*Sin[z] + 
 
      I*b*Cos[q]*Cos[t]*Cos[u]*Cos[y]*Sin[s]*Sin[z] - 
 
      b*Cos[q]*Cos[u]*Sin[s]*Sin[t]*Sin[z] + 
 
      I*a*Cos[q]*Cos[s]*Cos[t]*Cos[v]*Cos[y]*Sin[u]*Sin[z] - 
 
      I*a*Cos[v]*Cos[y]*Sin[q]*Sin[s]*Sin[u]*Sin[z] - 
 
      a*Cos[q]*Cos[s]*Cos[v]*Sin[t]*Sin[u]*Sin[z] - 
 
      a*Cos[q]*Cos[t]*Sin[u]*Sin[v]*Sin[z] - 
 
      I*a*Cos[q]*Cos[y]*Sin[t]*Sin[u]*Sin[v]*Sin[z])/(2*2^(1/2))\
 
    , ((I*Cos[r] + Sin[r])*
 
      (I*b*Cos[q]*Cos[s]*Cos[u]*Cos[z] + 
 
        I*b*Cos[s]*Cos[u]*Cos[y]*Cos[z] - 
 
        I*b*Cos[t]*Cos[u]*Cos[z]*Sin[q]*Sin[s] + 
 
        b*Cos[u]*Cos[y]*Cos[z]*Sin[q]*Sin[s]*Sin[t] - 
 
        I*a*Cos[s]*Cos[t]*Cos[v]*Cos[z]*Sin[q]*Sin[u] - 
 
        I*a*Cos[q]*Cos[v]*Cos[z]*Sin[s]*Sin[u] - 
 
        I*a*Cos[v]*Cos[y]*Cos[z]*Sin[s]*Sin[u] + 
 
        a*Cos[s]*Cos[v]*Cos[y]*Cos[z]*Sin[q]*Sin[t]*Sin[u] + 
 
        a*Cos[t]*Cos[y]*Cos[z]*Sin[q]*Sin[u]*Sin[v] + 
 
        I*a*Cos[z]*Sin[q]*Sin[t]*Sin[u]*Sin[v] - 
 
        I*b*Cos[t]*Cos[u]*Sin[s]*Sin[y] - 
 
        b*Cos[q]*Cos[u]*Sin[s]*Sin[t]*Sin[y] - 
 
        I*a*Cos[s]*Cos[t]*Cos[v]*Sin[u]*Sin[y] - 
 
        a*Cos[q]*Cos[s]*Cos[v]*Sin[t]*Sin[u]*Sin[y] - 
 
        a*Cos[q]*Cos[t]*Sin[u]*Sin[v]*Sin[y] + 
 
        I*a*Sin[t]*Sin[u]*Sin[v]*Sin[y] - 
 
        b*Cos[s]*Cos[u]*Sin[z] - 
 
        b*Cos[q]*Cos[s]*Cos[u]*Cos[y]*Sin[z] + 
 
        b*Cos[t]*Cos[u]*Cos[y]*Sin[q]*Sin[s]*Sin[z] + 
 
        I*b*Cos[u]*Sin[q]*Sin[s]*Sin[t]*Sin[z] + 
 
        a*Cos[s]*Cos[t]*Cos[v]*Cos[y]*Sin[q]*Sin[u]*Sin[z] + 
 
        a*Cos[v]*Sin[s]*Sin[u]*Sin[z] + 
 
        a*Cos[q]*Cos[v]*Cos[y]*Sin[s]*Sin[u]*Sin[z] + 
 
        I*a*Cos[s]*Cos[v]*Sin[q]*Sin[t]*Sin[u]*Sin[z] + 
 
        I*a*Cos[t]*Sin[q]*Sin[u]*Sin[v]*Sin[z] - 
 
        a*Cos[y]*Sin[q]*Sin[t]*Sin[u]*Sin[v]*Sin[z]))/4}, 
 
  {0, 0, 0}, {((-I*Cos[r] + Sin[r])*
 
      (-I*b*Cos[q]*Cos[s]*Cos[u]*Cos[z] - 
 
        I*b*Cos[s]*Cos[u]*Cos[y]*Cos[z] + 
 
        I*b*Cos[t]*Cos[u]*Cos[z]*Sin[q]*Sin[s] + 
 
        b*Cos[u]*Cos[y]*Cos[z]*Sin[q]*Sin[s]*Sin[t] + 
 
        I*a*Cos[s]*Cos[t]*Cos[v]*Cos[z]*Sin[q]*Sin[u] + 
 
        I*a*Cos[q]*Cos[v]*Cos[z]*Sin[s]*Sin[u] + 
 
        I*a*Cos[v]*Cos[y]*Cos[z]*Sin[s]*Sin[u] + 
 
        a*Cos[s]*Cos[v]*Cos[y]*Cos[z]*Sin[q]*Sin[t]*Sin[u] + 
 
        a*Cos[t]*Cos[y]*Cos[z]*Sin[q]*Sin[u]*Sin[v] - 
 
        I*a*Cos[z]*Sin[q]*Sin[t]*Sin[u]*Sin[v] + 
 
        I*b*Cos[t]*Cos[u]*Sin[s]*Sin[y] - 
 
        b*Cos[q]*Cos[u]*Sin[s]*Sin[t]*Sin[y] + 
 
        I*a*Cos[s]*Cos[t]*Cos[v]*Sin[u]*Sin[y] - 
 
        a*Cos[q]*Cos[s]*Cos[v]*Sin[t]*Sin[u]*Sin[y] - 
 
        a*Cos[q]*Cos[t]*Sin[u]*Sin[v]*Sin[y] - 
 
        I*a*Sin[t]*Sin[u]*Sin[v]*Sin[y] - 
 
        b*Cos[s]*Cos[u]*Sin[z] - 
 
        b*Cos[q]*Cos[s]*Cos[u]*Cos[y]*Sin[z] + 
 
        b*Cos[t]*Cos[u]*Cos[y]*Sin[q]*Sin[s]*Sin[z] - 
 
        I*b*Cos[u]*Sin[q]*Sin[s]*Sin[t]*Sin[z] + 
 
        a*Cos[s]*Cos[t]*Cos[v]*Cos[y]*Sin[q]*Sin[u]*Sin[z] + 
 
        a*Cos[v]*Sin[s]*Sin[u]*Sin[z] + 
 
        a*Cos[q]*Cos[v]*Cos[y]*Sin[s]*Sin[u]*Sin[z] - 
 
        I*a*Cos[s]*Cos[v]*Sin[q]*Sin[t]*Sin[u]*Sin[z] - 
 
        I*a*Cos[t]*Sin[q]*Sin[u]*Sin[v]*Sin[z] - 
 
        a*Cos[y]*Sin[q]*Sin[t]*Sin[u]*Sin[v]*Sin[z]))/4, 
 
   (-(b*Cos[s]*Cos[u]*Cos[z]*Sin[q]) - 
 
      b*Cos[q]*Cos[t]*Cos[u]*Cos[z]*Sin[s] + 
 
      I*b*Cos[q]*Cos[u]*Cos[y]*Cos[z]*Sin[s]*Sin[t] - 
 
      a*Cos[q]*Cos[s]*Cos[t]*Cos[v]*Cos[z]*Sin[u] + 
 
      a*Cos[v]*Cos[z]*Sin[q]*Sin[s]*Sin[u] + 
 
      I*a*Cos[q]*Cos[s]*Cos[v]*Cos[y]*Cos[z]*Sin[t]*Sin[u] + 
 
      I*a*Cos[q]*Cos[t]*Cos[y]*Cos[z]*Sin[u]*Sin[v] + 
 
      a*Cos[q]*Cos[z]*Sin[t]*Sin[u]*Sin[v] + 
 
      I*b*Cos[u]*Sin[q]*Sin[s]*Sin[t]*Sin[y] + 
 
      I*a*Cos[s]*Cos[v]*Sin[q]*Sin[t]*Sin[u]*Sin[y] + 
 
      I*a*Cos[t]*Sin[q]*Sin[u]*Sin[v]*Sin[y] + 
 
      I*b*Cos[s]*Cos[u]*Cos[y]*Sin[q]*Sin[z] + 
 
      I*b*Cos[q]*Cos[t]*Cos[u]*Cos[y]*Sin[s]*Sin[z] + 
 
      b*Cos[q]*Cos[u]*Sin[s]*Sin[t]*Sin[z] + 
 
      I*a*Cos[q]*Cos[s]*Cos[t]*Cos[v]*Cos[y]*Sin[u]*Sin[z] - 
 
      I*a*Cos[v]*Cos[y]*Sin[q]*Sin[s]*Sin[u]*Sin[z] + 
 
      a*Cos[q]*Cos[s]*Cos[v]*Sin[t]*Sin[u]*Sin[z] + 
 
      a*Cos[q]*Cos[t]*Sin[u]*Sin[v]*Sin[z] - 
 
      I*a*Cos[q]*Cos[y]*Sin[t]*Sin[u]*Sin[v]*Sin[z])/(2*2^(1/2))\
 
    , ((I*Cos[r] + Sin[r])*
 
      (-I*b*Cos[q]*Cos[s]*Cos[u]*Cos[z] + 
 
        I*b*Cos[s]*Cos[u]*Cos[y]*Cos[z] + 
 
        I*b*Cos[t]*Cos[u]*Cos[z]*Sin[q]*Sin[s] + 
 
        b*Cos[u]*Cos[y]*Cos[z]*Sin[q]*Sin[s]*Sin[t] + 
 
        I*a*Cos[s]*Cos[t]*Cos[v]*Cos[z]*Sin[q]*Sin[u] + 
 
        I*a*Cos[q]*Cos[v]*Cos[z]*Sin[s]*Sin[u] - 
 
        I*a*Cos[v]*Cos[y]*Cos[z]*Sin[s]*Sin[u] + 
 
        a*Cos[s]*Cos[v]*Cos[y]*Cos[z]*Sin[q]*Sin[t]*Sin[u] + 
 
        a*Cos[t]*Cos[y]*Cos[z]*Sin[q]*Sin[u]*Sin[v] - 
 
        I*a*Cos[z]*Sin[q]*Sin[t]*Sin[u]*Sin[v] - 
 
        I*b*Cos[t]*Cos[u]*Sin[s]*Sin[y] - 
 
        b*Cos[q]*Cos[u]*Sin[s]*Sin[t]*Sin[y] - 
 
        I*a*Cos[s]*Cos[t]*Cos[v]*Sin[u]*Sin[y] - 
 
        a*Cos[q]*Cos[s]*Cos[v]*Sin[t]*Sin[u]*Sin[y] - 
 
        a*Cos[q]*Cos[t]*Sin[u]*Sin[v]*Sin[y] + 
 
        I*a*Sin[t]*Sin[u]*Sin[v]*Sin[y] + 
 
        b*Cos[s]*Cos[u]*Sin[z] - 
 
        b*Cos[q]*Cos[s]*Cos[u]*Cos[y]*Sin[z] + 
 
        b*Cos[t]*Cos[u]*Cos[y]*Sin[q]*Sin[s]*Sin[z] - 
 
        I*b*Cos[u]*Sin[q]*Sin[s]*Sin[t]*Sin[z] + 
 
        a*Cos[s]*Cos[t]*Cos[v]*Cos[y]*Sin[q]*Sin[u]*Sin[z] - 
 
        a*Cos[v]*Sin[s]*Sin[u]*Sin[z] + 
 
        a*Cos[q]*Cos[v]*Cos[y]*Sin[s]*Sin[u]*Sin[z] - 
 
        I*a*Cos[s]*Cos[v]*Sin[q]*Sin[t]*Sin[u]*Sin[z] - 
 
        I*a*Cos[t]*Sin[q]*Sin[u]*Sin[v]*Sin[z] - 
 
        a*Cos[y]*Sin[q]*Sin[t]*Sin[u]*Sin[v]*Sin[z]))/4}}
;[o]
{{((-I Cos[r] + Sin[r]) (I b Cos[q] Cos[s] Cos[u] Cos[z] - 
 
        I b Cos[s] Cos[u] Cos[y] Cos[z] - 
 
        I b Cos[t] Cos[u] Cos[z] Sin[q] Sin[s] + 
 
        b Cos[u] Cos[y] Cos[z] Sin[q] Sin[s] Sin[t] - 
 
        I a Cos[s] Cos[t] Cos[v] Cos[z] Sin[q] Sin[u] - 
 
        I a Cos[q] Cos[v] Cos[z] Sin[s] Sin[u] + 
 
        I a Cos[v] Cos[y] Cos[z] Sin[s] Sin[u] + 
 
        a Cos[s] Cos[v] Cos[y] Cos[z] Sin[q] Sin[t] Sin[u] + 
 
        a Cos[t] Cos[y] Cos[z] Sin[q] Sin[u] Sin[v] + 
 
        I a Cos[z] Sin[q] Sin[t] Sin[u] Sin[v] + 
 
        I b Cos[t] Cos[u] Sin[s] Sin[y] - 
 
        b Cos[q] Cos[u] Sin[s] Sin[t] Sin[y] + 
 
        I a Cos[s] Cos[t] Cos[v] Sin[u] Sin[y] - 
 
        a Cos[q] Cos[s] Cos[v] Sin[t] Sin[u] Sin[y] - 
 
        a Cos[q] Cos[t] Sin[u] Sin[v] Sin[y] - 
 
        I a Sin[t] Sin[u] Sin[v] Sin[y] + 
 
        b Cos[s] Cos[u] Sin[z] - 
 
        b Cos[q] Cos[s] Cos[u] Cos[y] Sin[z] + 
 
        b Cos[t] Cos[u] Cos[y] Sin[q] Sin[s] Sin[z] + 
 
        I b Cos[u] Sin[q] Sin[s] Sin[t] Sin[z] + 
 
        a Cos[s] Cos[t] Cos[v] Cos[y] Sin[q] Sin[u] Sin[z] - 
 
        a Cos[v] Sin[s] Sin[u] Sin[z] + 
 
        a Cos[q] Cos[v] Cos[y] Sin[s] Sin[u] Sin[z] + 
 
        I a Cos[s] Cos[v] Sin[q] Sin[t] Sin[u] Sin[z] + 
 
        I a Cos[t] Sin[q] Sin[u] Sin[v] Sin[z] - 
 
        a Cos[y] Sin[q] Sin[t] Sin[u] Sin[v] Sin[z])) / 4, 
 
   (b Cos[s] Cos[u] Cos[z] Sin[q] + 
 
      b Cos[q] Cos[t] Cos[u] Cos[z] Sin[s] + 
 
      I b Cos[q] Cos[u] Cos[y] Cos[z] Sin[s] Sin[t] + 
 
      a Cos[q] Cos[s] Cos[t] Cos[v] Cos[z] Sin[u] - 
 
      a Cos[v] Cos[z] Sin[q] Sin[s] Sin[u] + 
 
      I a Cos[q] Cos[s] Cos[v] Cos[y] Cos[z] Sin[t] Sin[u] + 
 
      I a Cos[q] Cos[t] Cos[y] Cos[z] Sin[u] Sin[v] - 
 
      a Cos[q] Cos[z] Sin[t] Sin[u] Sin[v] + 
 
      I b Cos[u] Sin[q] Sin[s] Sin[t] Sin[y] + 
 
      I a Cos[s] Cos[v] Sin[q] Sin[t] Sin[u] Sin[y] + 
 
      I a Cos[t] Sin[q] Sin[u] Sin[v] Sin[y] + 
 
      I b Cos[s] Cos[u] Cos[y] Sin[q] Sin[z] + 
 
      I b Cos[q] Cos[t] Cos[u] Cos[y] Sin[s] Sin[z] - 
 
      b Cos[q] Cos[u] Sin[s] Sin[t] Sin[z] + 
 
      I a Cos[q] Cos[s] Cos[t] Cos[v] Cos[y] Sin[u] Sin[z] - 
 
      I a Cos[v] Cos[y] Sin[q] Sin[s] Sin[u] Sin[z] - 
 
      a Cos[q] Cos[s] Cos[v] Sin[t] Sin[u] Sin[z] - 
 
      a Cos[q] Cos[t] Sin[u] Sin[v] Sin[z] - 
 
      I a Cos[q] Cos[y] Sin[t] Sin[u] Sin[v] Sin[z]) / 
 
    (2 Sqrt[2]), ((I Cos[r] + Sin[r]) 
 
      (I b Cos[q] Cos[s] Cos[u] Cos[z] + 
 
        I b Cos[s] Cos[u] Cos[y] Cos[z] - 
 
        I b Cos[t] Cos[u] Cos[z] Sin[q] Sin[s] + 
 
        b Cos[u] Cos[y] Cos[z] Sin[q] Sin[s] Sin[t] - 
 
        I a Cos[s] Cos[t] Cos[v] Cos[z] Sin[q] Sin[u] - 
 
        I a Cos[q] Cos[v] Cos[z] Sin[s] Sin[u] - 
 
        I a Cos[v] Cos[y] Cos[z] Sin[s] Sin[u] + 
 
        a Cos[s] Cos[v] Cos[y] Cos[z] Sin[q] Sin[t] Sin[u] + 
 
        a Cos[t] Cos[y] Cos[z] Sin[q] Sin[u] Sin[v] + 
 
        I a Cos[z] Sin[q] Sin[t] Sin[u] Sin[v] - 
 
        I b Cos[t] Cos[u] Sin[s] Sin[y] - 
 
        b Cos[q] Cos[u] Sin[s] Sin[t] Sin[y] - 
 
        I a Cos[s] Cos[t] Cos[v] Sin[u] Sin[y] - 
 
        a Cos[q] Cos[s] Cos[v] Sin[t] Sin[u] Sin[y] - 
 
        a Cos[q] Cos[t] Sin[u] Sin[v] Sin[y] + 
 
        I a Sin[t] Sin[u] Sin[v] Sin[y] - 
 
        b Cos[s] Cos[u] Sin[z] - 
 
        b Cos[q] Cos[s] Cos[u] Cos[y] Sin[z] + 
 
        b Cos[t] Cos[u] Cos[y] Sin[q] Sin[s] Sin[z] + 
 
        I b Cos[u] Sin[q] Sin[s] Sin[t] Sin[z] + 
 
        a Cos[s] Cos[t] Cos[v] Cos[y] Sin[q] Sin[u] Sin[z] + 
 
        a Cos[v] Sin[s] Sin[u] Sin[z] + 
 
        a Cos[q] Cos[v] Cos[y] Sin[s] Sin[u] Sin[z] + 
 
        I a Cos[s] Cos[v] Sin[q] Sin[t] Sin[u] Sin[z] + 
 
        I a Cos[t] Sin[q] Sin[u] Sin[v] Sin[z] - 
 
        a Cos[y] Sin[q] Sin[t] Sin[u] Sin[v] Sin[z])) / 4}, 
 
  {0, 0, 0}, {((-I Cos[r] + Sin[r]) 
 
      (-I b Cos[q] Cos[s] Cos[u] Cos[z] - 
 
        I b Cos[s] Cos[u] Cos[y] Cos[z] + 
 
        I b Cos[t] Cos[u] Cos[z] Sin[q] Sin[s] + 
 
        b Cos[u] Cos[y] Cos[z] Sin[q] Sin[s] Sin[t] + 
 
        I a Cos[s] Cos[t] Cos[v] Cos[z] Sin[q] Sin[u] + 
 
        I a Cos[q] Cos[v] Cos[z] Sin[s] Sin[u] + 
 
        I a Cos[v] Cos[y] Cos[z] Sin[s] Sin[u] + 
 
        a Cos[s] Cos[v] Cos[y] Cos[z] Sin[q] Sin[t] Sin[u] + 
 
        a Cos[t] Cos[y] Cos[z] Sin[q] Sin[u] Sin[v] - 
 
        I a Cos[z] Sin[q] Sin[t] Sin[u] Sin[v] + 
 
        I b Cos[t] Cos[u] Sin[s] Sin[y] - 
 
        b Cos[q] Cos[u] Sin[s] Sin[t] Sin[y] + 
 
        I a Cos[s] Cos[t] Cos[v] Sin[u] Sin[y] - 
 
        a Cos[q] Cos[s] Cos[v] Sin[t] Sin[u] Sin[y] - 
 
        a Cos[q] Cos[t] Sin[u] Sin[v] Sin[y] - 
 
        I a Sin[t] Sin[u] Sin[v] Sin[y] - 
 
        b Cos[s] Cos[u] Sin[z] - 
 
        b Cos[q] Cos[s] Cos[u] Cos[y] Sin[z] + 
 
        b Cos[t] Cos[u] Cos[y] Sin[q] Sin[s] Sin[z] - 
 
        I b Cos[u] Sin[q] Sin[s] Sin[t] Sin[z] + 
 
        a Cos[s] Cos[t] Cos[v] Cos[y] Sin[q] Sin[u] Sin[z] + 
 
        a Cos[v] Sin[s] Sin[u] Sin[z] + 
 
        a Cos[q] Cos[v] Cos[y] Sin[s] Sin[u] Sin[z] - 
 
        I a Cos[s] Cos[v] Sin[q] Sin[t] Sin[u] Sin[z] - 
 
        I a Cos[t] Sin[q] Sin[u] Sin[v] Sin[z] - 
 
        a Cos[y] Sin[q] Sin[t] Sin[u] Sin[v] Sin[z])) / 4, 
 
   (-(b Cos[s] Cos[u] Cos[z] Sin[q]) - 
 
      b Cos[q] Cos[t] Cos[u] Cos[z] Sin[s] + 
 
      I b Cos[q] Cos[u] Cos[y] Cos[z] Sin[s] Sin[t] - 
 
      a Cos[q] Cos[s] Cos[t] Cos[v] Cos[z] Sin[u] + 
 
      a Cos[v] Cos[z] Sin[q] Sin[s] Sin[u] + 
 
      I a Cos[q] Cos[s] Cos[v] Cos[y] Cos[z] Sin[t] Sin[u] + 
 
      I a Cos[q] Cos[t] Cos[y] Cos[z] Sin[u] Sin[v] + 
 
      a Cos[q] Cos[z] Sin[t] Sin[u] Sin[v] + 
 
      I b Cos[u] Sin[q] Sin[s] Sin[t] Sin[y] + 
 
      I a Cos[s] Cos[v] Sin[q] Sin[t] Sin[u] Sin[y] + 
 
      I a Cos[t] Sin[q] Sin[u] Sin[v] Sin[y] + 
 
      I b Cos[s] Cos[u] Cos[y] Sin[q] Sin[z] + 
 
      I b Cos[q] Cos[t] Cos[u] Cos[y] Sin[s] Sin[z] + 
 
      b Cos[q] Cos[u] Sin[s] Sin[t] Sin[z] + 
 
      I a Cos[q] Cos[s] Cos[t] Cos[v] Cos[y] Sin[u] Sin[z] - 
 
      I a Cos[v] Cos[y] Sin[q] Sin[s] Sin[u] Sin[z] + 
 
      a Cos[q] Cos[s] Cos[v] Sin[t] Sin[u] Sin[z] + 
 
      a Cos[q] Cos[t] Sin[u] Sin[v] Sin[z] - 
 
      I a Cos[q] Cos[y] Sin[t] Sin[u] Sin[v] Sin[z]) / 
 
    (2 Sqrt[2]), ((I Cos[r] + Sin[r]) 
 
      (-I b Cos[q] Cos[s] Cos[u] Cos[z] + 
 
        I b Cos[s] Cos[u] Cos[y] Cos[z] + 
 
        I b Cos[t] Cos[u] Cos[z] Sin[q] Sin[s] + 
 
        b Cos[u] Cos[y] Cos[z] Sin[q] Sin[s] Sin[t] + 
 
        I a Cos[s] Cos[t] Cos[v] Cos[z] Sin[q] Sin[u] + 
 
        I a Cos[q] Cos[v] Cos[z] Sin[s] Sin[u] - 
 
        I a Cos[v] Cos[y] Cos[z] Sin[s] Sin[u] + 
 
        a Cos[s] Cos[v] Cos[y] Cos[z] Sin[q] Sin[t] Sin[u] + 
 
        a Cos[t] Cos[y] Cos[z] Sin[q] Sin[u] Sin[v] - 
 
        I a Cos[z] Sin[q] Sin[t] Sin[u] Sin[v] - 
 
        I b Cos[t] Cos[u] Sin[s] Sin[y] - 
 
        b Cos[q] Cos[u] Sin[s] Sin[t] Sin[y] - 
 
        I a Cos[s] Cos[t] Cos[v] Sin[u] Sin[y] - 
 
        a Cos[q] Cos[s] Cos[v] Sin[t] Sin[u] Sin[y] - 
 
        a Cos[q] Cos[t] Sin[u] Sin[v] Sin[y] + 
 
        I a Sin[t] Sin[u] Sin[v] Sin[y] + 
 
        b Cos[s] Cos[u] Sin[z] - 
 
        b Cos[q] Cos[s] Cos[u] Cos[y] Sin[z] + 
 
        b Cos[t] Cos[u] Cos[y] Sin[q] Sin[s] Sin[z] - 
 
        I b Cos[u] Sin[q] Sin[s] Sin[t] Sin[z] + 
 
        a Cos[s] Cos[t] Cos[v] Cos[y] Sin[q] Sin[u] Sin[z] - 
 
        a Cos[v] Sin[s] Sin[u] Sin[z] + 
 
        a Cos[q] Cos[v] Cos[y] Sin[s] Sin[u] Sin[z] - 
 
        I a Cos[s] Cos[v] Sin[q] Sin[t] Sin[u] Sin[z] - 
 
        I a Cos[t] Sin[q] Sin[u] Sin[v] Sin[z] - 
 
        a Cos[y] Sin[q] Sin[t] Sin[u] Sin[v] Sin[z])) / 4}}
:[font = section; inactive; preserveAspect; startGroup]
a1(1260) omega from 1P1
:[font = text; inactive; preserveAspect]
The a1 and the omega must be in a P-wave to conserve parity.
The spins of the a1 and omega can couple to s=0,1, or 2.
This spin must then couple with the orbital angular momentum (L=1) to
 form a J=1 state. 
:[font = input; preserveAspect]
Clear[tpbp,tpbpf]
:[font = text; inactive; preserveAspect]
For pbar p (3s1) -> a1 omega, L=1, s=0
:[font = input; preserveAspect; startGroup]
tpbps0 =( Table[ ClebschGordan[ {1,0},  {0,la1-lw},{1,la1-lw} ] *
               ClebschGordan[ {1,la1},{1,-lw},  {0,la1-lw} ],
               {la1,1,-1,-1},{lw,1,-1,-1} ] )
:[font = message; inactive; preserveAspect]
ClebschGordan::phy: ThreeJSymbol[{1, 0}, {0, 1}, {1, -1}] is not physical.
:[font = message; inactive; preserveAspect]
ClebschGordan::phy: ThreeJSymbol[{1, 1}, {1, 0}, {0, -1}] is not physical.
:[font = message; inactive; preserveAspect]
ClebschGordan::phy: ThreeJSymbol[{1, 0}, {0, 2}, {1, -2}] is not physical.
:[font = message; inactive; preserveAspect]
General::stop: Further output of ClebschGordan::phy
     will be suppressed during this calculation.
:[font = output; output; inactive; preserveAspect; endGroup]
{{3^(-1/2), 0, 0}, {0, -3^(-1/2), 0}, {0, 0, 3^(-1/2)}}
;[o]
     1                     1                    1
{{-------, 0, 0}, {0, -(-------), 0}, {0, 0, -------}}
  Sqrt[3]               Sqrt[3]              Sqrt[3]
:[font = text; inactive; preserveAspect]
For pbar p (3s1) -> a1 omega, L=1, s=1
:[font = input; preserveAspect; startGroup]
tpbps1 =( Table[ ClebschGordan[ {1,0},  {1,la1-lw},{1,la1-lw} ] *
               ClebschGordan[ {1,la1},{1,-lw},  {1,la1-lw} ],
               {la1,1,-1,-1},{lw,1,-1,-1} ] )
:[font = message; inactive; preserveAspect]
ClebschGordan::phy: ThreeJSymbol[{1, 0}, {1, 2}, {1, -2}] is not physical.
:[font = message; inactive; preserveAspect]
ClebschGordan::phy: ThreeJSymbol[{1, 1}, {1, 1}, {1, -2}] is not physical.
:[font = message; inactive; preserveAspect]
ClebschGordan::phy: ThreeJSymbol[{1, 0}, {1, -2}, {1, 2}] is not physical.
:[font = message; inactive; preserveAspect]
General::stop: Further output of ClebschGordan::phy
     will be suppressed during this calculation.
:[font = output; output; inactive; preserveAspect; endGroup]
{{0, -1/2, 0}, {1/2, 0, 1/2}, {0, -1/2, 0}}
;[o]
       1        1     1         1
{{0, -(-), 0}, {-, 0, -}, {0, -(-), 0}}
       2        2     2         2
:[font = text; inactive; preserveAspect]
For pbar p (3s1) -> a1 omega, L=1, s=2
:[font = input; preserveAspect; startGroup]
tpbps2 =( Table[ ClebschGordan[ {1,0},  {2,la1-lw},{1,la1-lw} ] *
               ClebschGordan[ {1,la1},{1,-lw},  {2,la1-lw} ],
               {la1,1,-1,-1},{lw,1,-1,-1} ] )
:[font = message; inactive; preserveAspect]
ClebschGordan::phy: ThreeJSymbol[{1, 0}, {2, 2}, {1, -2}] is not physical.
:[font = message; inactive; preserveAspect]
ClebschGordan::phy: ThreeJSymbol[{1, 0}, {2, -2}, {1, 2}] is not physical.
:[font = output; output; inactive; preserveAspect; endGroup]
{{-15^(-1/2), -(3/5)^(1/2)/2, 0}, {-(3/5)^(1/2)/2, -2/15^(1/2), -(3/5)^(1/2)/2}, 
 
  {0, -(3/5)^(1/2)/2, -15^(-1/2)}}
;[o]
                     3              3                   3              3
               -Sqrt[-]       -Sqrt[-]            -Sqrt[-]       -Sqrt[-]
       1             5              5      -2           5              5        1
{{-(--------), --------, 0}, {--------, --------, --------}, {0, --------, -(--------)}}
    Sqrt[15]      2              2      Sqrt[15]     2              2        Sqrt[15]
:[font = input; preserveAspect; startGroup]
tpbp = {{e,f,0},{c,d,c},{0,f,e}}
:[font = output; output; inactive; preserveAspect; endGroup]
{{e, f, 0}, {c, d, c}, {0, f, e}}
;[o]
{{e, f, 0}, {c, d, c}, {0, f, e}}
:[font = input; preserveAspect]
tpbpf[ la1_, lw_ ] := tpbp[[ 2 - la1, 2-lw ]]
:[font = input; preserveAspect]
Clear[ta1L0,ta1L2,ta1f]
:[font = text; inactive; preserveAspect]
L=0 or 2, rho0 pi0 not allowed by C parity
:[font = input; preserveAspect; startGroup]
ta1L0 =( Table[ ClebschGordan[ {0,0},   {1,lrho},{1,lrho} ] *
                ClebschGordan[ {1,lrho},{0,0},   {1,lrho} ],
                {lrho,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{1, 1, 1}
;[o]
{1, 1, 1}
:[font = input; preserveAspect; startGroup]
ta1L2 =( Table[ ClebschGordan[ {2,0},   {1,lrho},{1,lrho} ] *
                ClebschGordan[ {1,lrho},{0,0},   {1,lrho} ],
                {lrho,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{10^(-1/2), -(2/5)^(1/2), 10^(-1/2)}
;[o]
    1            2      1
{--------, -Sqrt[-], --------}
 Sqrt[10]        5   Sqrt[10]
:[font = input; preserveAspect]
ta1f[ lrho_ ] := a /; lrho == 1 || lrho == -1
ta1f[ lrho_ ] := b /; lrho == 0
:[font = text; inactive; preserveAspect]
Set up the coefficients for the omega decay.
:[font = input; preserveAspect]
Clear[ tw, twf ]
:[font = input; preserveAspect; startGroup]
tw = ( Table[ ClebschGordan[{1,0},{1,lg},{1,lg}] *
              ClebschGordan[{1,lg},{0,0},{1,lg}],
              {lg,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{-2^(-1/2), 0, 2^(-1/2)}
;[o]
      1            1
{-(-------), 0, -------}
   Sqrt[2]      Sqrt[2]
:[font = input; preserveAspect]
twf[lg_] := tw[[2-lg]]
:[font = text; inactive; preserveAspect]
Set up the coefficients for the rho decay.
:[font = input; preserveAspect]
Clear[ trho ]
:[font = input; preserveAspect; startGroup]
trho =( ClebschGordan[ {1,0}, {0,0}, {1,0} ] *
        ClebschGordan[ {0,0}, {0,0}, {0,0} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
1
;[o]
1
:[font = text; inactive; preserveAspect]
Compute the amplitude for each gamma helicity and initial m :
:[font = input; preserveAspect]
Clear[Ds, amplitude, a1, a2, q,r,s,t,u,v,y,z]
:[font = input; preserveAspect]
amplitude =( Table[ Sum[ tpbpf[ la1, lw ] * Ds[1,m,    la1-lw,  q,r] *
                         ta1f[ lrho ]     * Ds[1,la1,  lrho,    s,t] *
                         trho             * Ds[1,lrho, 0,       u,v] *
                         twf[ lg ]        * Ds[1,lw,   lg,      y,z],
                         {la1,1,-1,-1},{lw,1,-1,-1},{lrho,1,-1,-1}],
                    {lg,1,-1,-1},{m,1,-1,-1} ] ) ;
:[font = input; preserveAspect]

:[font = input; preserveAspect]
If[ Dimensions[Attributes[TrigReduce]] == {0}, Get["Trigonometry.m"] ]
:[font = input; preserveAspect]
<<Dfunc.m
:[font = input; preserveAspect]
a1= Expand[TrigReduce[ComplexToTrig[amplitude]]]
:[font = input; preserveAspect]
a2=Simplify[a1,Trig->True]
:[font = input; preserveAspect; startGroup]
a3=Factor[a2]
:[font = output; output; inactive; preserveAspect; endGroup; endGroup]
{{((-I*Cos[r] + Sin[r])*(-I*b*c*Cos[s]*Cos[u]*Cos[z] + 
 
        I*b*c*Cos[q]*Cos[s]*Cos[u]*Cos[y]*Cos[z] - 
 
        I*b*e*Cos[t]*Cos[u]*Cos[y]*Cos[z]*Sin[q]*Sin[s] + 
 
        b*e*Cos[u]*Cos[z]*Sin[q]*Sin[s]*Sin[t] - 
 
        I*a*e*Cos[s]*Cos[t]*Cos[v]*Cos[y]*Cos[z]*Sin[q]*Sin[u] + 
 
        I*a*c*Cos[v]*Cos[z]*Sin[s]*Sin[u] - 
 
        I*a*c*Cos[q]*Cos[v]*Cos[y]*Cos[z]*Sin[s]*Sin[u] + 
 
        a*e*Cos[s]*Cos[v]*Cos[z]*Sin[q]*Sin[t]*Sin[u] + 
 
        a*e*Cos[t]*Cos[z]*Sin[q]*Sin[u]*Sin[v] + 
 
        I*a*e*Cos[y]*Cos[z]*Sin[q]*Sin[t]*Sin[u]*Sin[v] + 
 
        I*b*d*Cos[s]*Cos[u]*Sin[q]*Sin[y] + I*b*f*Cos[q]*Cos[t]*Cos[u]*Sin[s]*Sin[y] - 
 
        b*f*Cos[u]*Sin[s]*Sin[t]*Sin[y] + 
 
        I*a*f*Cos[q]*Cos[s]*Cos[t]*Cos[v]*Sin[u]*Sin[y] - 
 
        I*a*d*Cos[v]*Sin[q]*Sin[s]*Sin[u]*Sin[y] - 
 
        a*f*Cos[s]*Cos[v]*Sin[t]*Sin[u]*Sin[y] - a*f*Cos[t]*Sin[u]*Sin[v]*Sin[y] - 
 
        I*a*f*Cos[q]*Sin[t]*Sin[u]*Sin[v]*Sin[y] - b*c*Cos[q]*Cos[s]*Cos[u]*Sin[z] + 
 
        b*c*Cos[s]*Cos[u]*Cos[y]*Sin[z] + b*e*Cos[t]*Cos[u]*Sin[q]*Sin[s]*Sin[z] + 
 
        I*b*e*Cos[u]*Cos[y]*Sin[q]*Sin[s]*Sin[t]*Sin[z] + 
 
        a*e*Cos[s]*Cos[t]*Cos[v]*Sin[q]*Sin[u]*Sin[z] + 
 
        a*c*Cos[q]*Cos[v]*Sin[s]*Sin[u]*Sin[z] - a*c*Cos[v]*Cos[y]*Sin[s]*Sin[u]*Sin[z] + 
 
        I*a*e*Cos[s]*Cos[v]*Cos[y]*Sin[q]*Sin[t]*Sin[u]*Sin[z] + 
 
        I*a*e*Cos[t]*Cos[y]*Sin[q]*Sin[u]*Sin[v]*Sin[z] - 
 
        a*e*Sin[q]*Sin[t]*Sin[u]*Sin[v]*Sin[z]))/(2*2^(1/2)), 
 
   (b*c*Cos[s]*Cos[u]*Cos[y]*Cos[z]*Sin[q] + 
 
      b*e*Cos[q]*Cos[t]*Cos[u]*Cos[y]*Cos[z]*Sin[s] + 
 
      I*b*e*Cos[q]*Cos[u]*Cos[z]*Sin[s]*Sin[t] + 
 
      a*e*Cos[q]*Cos[s]*Cos[t]*Cos[v]*Cos[y]*Cos[z]*Sin[u] - 
 
      a*c*Cos[v]*Cos[y]*Cos[z]*Sin[q]*Sin[s]*Sin[u] + 
 
      I*a*e*Cos[q]*Cos[s]*Cos[v]*Cos[z]*Sin[t]*Sin[u] + 
 
      I*a*e*Cos[q]*Cos[t]*Cos[z]*Sin[u]*Sin[v] - 
 
      a*e*Cos[q]*Cos[y]*Cos[z]*Sin[t]*Sin[u]*Sin[v] - b*d*Cos[q]*Cos[s]*Cos[u]*Sin[y] + 
 
      b*f*Cos[t]*Cos[u]*Sin[q]*Sin[s]*Sin[y] + 
 
      a*f*Cos[s]*Cos[t]*Cos[v]*Sin[q]*Sin[u]*Sin[y] + 
 
      a*d*Cos[q]*Cos[v]*Sin[s]*Sin[u]*Sin[y] - a*f*Sin[q]*Sin[t]*Sin[u]*Sin[v]*Sin[y] + 
 
      I*b*c*Cos[s]*Cos[u]*Sin[q]*Sin[z] + I*b*e*Cos[q]*Cos[t]*Cos[u]*Sin[s]*Sin[z] - 
 
      b*e*Cos[q]*Cos[u]*Cos[y]*Sin[s]*Sin[t]*Sin[z] + 
 
      I*a*e*Cos[q]*Cos[s]*Cos[t]*Cos[v]*Sin[u]*Sin[z] - 
 
      I*a*c*Cos[v]*Sin[q]*Sin[s]*Sin[u]*Sin[z] - 
 
      a*e*Cos[q]*Cos[s]*Cos[v]*Cos[y]*Sin[t]*Sin[u]*Sin[z] - 
 
      a*e*Cos[q]*Cos[t]*Cos[y]*Sin[u]*Sin[v]*Sin[z] - 
 
      I*a*e*Cos[q]*Sin[t]*Sin[u]*Sin[v]*Sin[z])/2, 
 
   ((I*Cos[r] + Sin[r])*(I*b*c*Cos[s]*Cos[u]*Cos[z] + 
 
        I*b*c*Cos[q]*Cos[s]*Cos[u]*Cos[y]*Cos[z] - 
 
        I*b*e*Cos[t]*Cos[u]*Cos[y]*Cos[z]*Sin[q]*Sin[s] + 
 
        b*e*Cos[u]*Cos[z]*Sin[q]*Sin[s]*Sin[t] - 
 
        I*a*e*Cos[s]*Cos[t]*Cos[v]*Cos[y]*Cos[z]*Sin[q]*Sin[u] - 
 
        I*a*c*Cos[v]*Cos[z]*Sin[s]*Sin[u] - 
 
        I*a*c*Cos[q]*Cos[v]*Cos[y]*Cos[z]*Sin[s]*Sin[u] + 
 
        a*e*Cos[s]*Cos[v]*Cos[z]*Sin[q]*Sin[t]*Sin[u] + 
 
        a*e*Cos[t]*Cos[z]*Sin[q]*Sin[u]*Sin[v] + 
 
        I*a*e*Cos[y]*Cos[z]*Sin[q]*Sin[t]*Sin[u]*Sin[v] + 
 
        I*b*d*Cos[s]*Cos[u]*Sin[q]*Sin[y] + I*b*f*Cos[q]*Cos[t]*Cos[u]*Sin[s]*Sin[y] + 
 
        b*f*Cos[u]*Sin[s]*Sin[t]*Sin[y] + 
 
        I*a*f*Cos[q]*Cos[s]*Cos[t]*Cos[v]*Sin[u]*Sin[y] - 
 
        I*a*d*Cos[v]*Sin[q]*Sin[s]*Sin[u]*Sin[y] + 
 
        a*f*Cos[s]*Cos[v]*Sin[t]*Sin[u]*Sin[y] + a*f*Cos[t]*Sin[u]*Sin[v]*Sin[y] - 
 
        I*a*f*Cos[q]*Sin[t]*Sin[u]*Sin[v]*Sin[y] - b*c*Cos[q]*Cos[s]*Cos[u]*Sin[z] - 
 
        b*c*Cos[s]*Cos[u]*Cos[y]*Sin[z] + b*e*Cos[t]*Cos[u]*Sin[q]*Sin[s]*Sin[z] + 
 
        I*b*e*Cos[u]*Cos[y]*Sin[q]*Sin[s]*Sin[t]*Sin[z] + 
 
        a*e*Cos[s]*Cos[t]*Cos[v]*Sin[q]*Sin[u]*Sin[z] + 
 
        a*c*Cos[q]*Cos[v]*Sin[s]*Sin[u]*Sin[z] + a*c*Cos[v]*Cos[y]*Sin[s]*Sin[u]*Sin[z] + 
 
        I*a*e*Cos[s]*Cos[v]*Cos[y]*Sin[q]*Sin[t]*Sin[u]*Sin[z] + 
 
        I*a*e*Cos[t]*Cos[y]*Sin[q]*Sin[u]*Sin[v]*Sin[z] - 
 
        a*e*Sin[q]*Sin[t]*Sin[u]*Sin[v]*Sin[z]))/(2*2^(1/2))}, {0, 0, 0}, 
 
  {((-I*Cos[r] + Sin[r])*(I*b*c*Cos[s]*Cos[u]*Cos[z] + 
 
        I*b*c*Cos[q]*Cos[s]*Cos[u]*Cos[y]*Cos[z] - 
 
        I*b*e*Cos[t]*Cos[u]*Cos[y]*Cos[z]*Sin[q]*Sin[s] - 
 
        b*e*Cos[u]*Cos[z]*Sin[q]*Sin[s]*Sin[t] - 
 
        I*a*e*Cos[s]*Cos[t]*Cos[v]*Cos[y]*Cos[z]*Sin[q]*Sin[u] - 
 
        I*a*c*Cos[v]*Cos[z]*Sin[s]*Sin[u] - 
 
        I*a*c*Cos[q]*Cos[v]*Cos[y]*Cos[z]*Sin[s]*Sin[u] - 
 
        a*e*Cos[s]*Cos[v]*Cos[z]*Sin[q]*Sin[t]*Sin[u] - 
 
        a*e*Cos[t]*Cos[z]*Sin[q]*Sin[u]*Sin[v] + 
 
        I*a*e*Cos[y]*Cos[z]*Sin[q]*Sin[t]*Sin[u]*Sin[v] + 
 
        I*b*d*Cos[s]*Cos[u]*Sin[q]*Sin[y] + I*b*f*Cos[q]*Cos[t]*Cos[u]*Sin[s]*Sin[y] - 
 
        b*f*Cos[u]*Sin[s]*Sin[t]*Sin[y] + 
 
        I*a*f*Cos[q]*Cos[s]*Cos[t]*Cos[v]*Sin[u]*Sin[y] - 
 
        I*a*d*Cos[v]*Sin[q]*Sin[s]*Sin[u]*Sin[y] - 
 
        a*f*Cos[s]*Cos[v]*Sin[t]*Sin[u]*Sin[y] - a*f*Cos[t]*Sin[u]*Sin[v]*Sin[y] - 
 
        I*a*f*Cos[q]*Sin[t]*Sin[u]*Sin[v]*Sin[y] + b*c*Cos[q]*Cos[s]*Cos[u]*Sin[z] + 
 
        b*c*Cos[s]*Cos[u]*Cos[y]*Sin[z] - b*e*Cos[t]*Cos[u]*Sin[q]*Sin[s]*Sin[z] + 
 
        I*b*e*Cos[u]*Cos[y]*Sin[q]*Sin[s]*Sin[t]*Sin[z] - 
 
        a*e*Cos[s]*Cos[t]*Cos[v]*Sin[q]*Sin[u]*Sin[z] - 
 
        a*c*Cos[q]*Cos[v]*Sin[s]*Sin[u]*Sin[z] - a*c*Cos[v]*Cos[y]*Sin[s]*Sin[u]*Sin[z] + 
 
        I*a*e*Cos[s]*Cos[v]*Cos[y]*Sin[q]*Sin[t]*Sin[u]*Sin[z] + 
 
        I*a*e*Cos[t]*Cos[y]*Sin[q]*Sin[u]*Sin[v]*Sin[z] + 
 
        a*e*Sin[q]*Sin[t]*Sin[u]*Sin[v]*Sin[z]))/(2*2^(1/2)), 
 
   (b*c*Cos[s]*Cos[u]*Cos[y]*Cos[z]*Sin[q] + 
 
      b*e*Cos[q]*Cos[t]*Cos[u]*Cos[y]*Cos[z]*Sin[s] - 
 
      I*b*e*Cos[q]*Cos[u]*Cos[z]*Sin[s]*Sin[t] + 
 
      a*e*Cos[q]*Cos[s]*Cos[t]*Cos[v]*Cos[y]*Cos[z]*Sin[u] - 
 
      a*c*Cos[v]*Cos[y]*Cos[z]*Sin[q]*Sin[s]*Sin[u] - 
 
      I*a*e*Cos[q]*Cos[s]*Cos[v]*Cos[z]*Sin[t]*Sin[u] - 
 
      I*a*e*Cos[q]*Cos[t]*Cos[z]*Sin[u]*Sin[v] - 
 
      a*e*Cos[q]*Cos[y]*Cos[z]*Sin[t]*Sin[u]*Sin[v] - b*d*Cos[q]*Cos[s]*Cos[u]*Sin[y] + 
 
      b*f*Cos[t]*Cos[u]*Sin[q]*Sin[s]*Sin[y] + 
 
      a*f*Cos[s]*Cos[t]*Cos[v]*Sin[q]*Sin[u]*Sin[y] + 
 
      a*d*Cos[q]*Cos[v]*Sin[s]*Sin[u]*Sin[y] - a*f*Sin[q]*Sin[t]*Sin[u]*Sin[v]*Sin[y] - 
 
      I*b*c*Cos[s]*Cos[u]*Sin[q]*Sin[z] - I*b*e*Cos[q]*Cos[t]*Cos[u]*Sin[s]*Sin[z] - 
 
      b*e*Cos[q]*Cos[u]*Cos[y]*Sin[s]*Sin[t]*Sin[z] - 
 
      I*a*e*Cos[q]*Cos[s]*Cos[t]*Cos[v]*Sin[u]*Sin[z] + 
 
      I*a*c*Cos[v]*Sin[q]*Sin[s]*Sin[u]*Sin[z] - 
 
      a*e*Cos[q]*Cos[s]*Cos[v]*Cos[y]*Sin[t]*Sin[u]*Sin[z] - 
 
      a*e*Cos[q]*Cos[t]*Cos[y]*Sin[u]*Sin[v]*Sin[z] + 
 
      I*a*e*Cos[q]*Sin[t]*Sin[u]*Sin[v]*Sin[z])/2, 
 
   ((I*Cos[r] + Sin[r])*(-I*b*c*Cos[s]*Cos[u]*Cos[z] + 
 
        I*b*c*Cos[q]*Cos[s]*Cos[u]*Cos[y]*Cos[z] - 
 
        I*b*e*Cos[t]*Cos[u]*Cos[y]*Cos[z]*Sin[q]*Sin[s] - 
 
        b*e*Cos[u]*Cos[z]*Sin[q]*Sin[s]*Sin[t] - 
 
        I*a*e*Cos[s]*Cos[t]*Cos[v]*Cos[y]*Cos[z]*Sin[q]*Sin[u] + 
 
        I*a*c*Cos[v]*Cos[z]*Sin[s]*Sin[u] - 
 
        I*a*c*Cos[q]*Cos[v]*Cos[y]*Cos[z]*Sin[s]*Sin[u] - 
 
        a*e*Cos[s]*Cos[v]*Cos[z]*Sin[q]*Sin[t]*Sin[u] - 
 
        a*e*Cos[t]*Cos[z]*Sin[q]*Sin[u]*Sin[v] + 
 
        I*a*e*Cos[y]*Cos[z]*Sin[q]*Sin[t]*Sin[u]*Sin[v] + 
 
        I*b*d*Cos[s]*Cos[u]*Sin[q]*Sin[y] + I*b*f*Cos[q]*Cos[t]*Cos[u]*Sin[s]*Sin[y] + 
 
        b*f*Cos[u]*Sin[s]*Sin[t]*Sin[y] + 
 
        I*a*f*Cos[q]*Cos[s]*Cos[t]*Cos[v]*Sin[u]*Sin[y] - 
 
        I*a*d*Cos[v]*Sin[q]*Sin[s]*Sin[u]*Sin[y] + 
 
        a*f*Cos[s]*Cos[v]*Sin[t]*Sin[u]*Sin[y] + a*f*Cos[t]*Sin[u]*Sin[v]*Sin[y] - 
 
        I*a*f*Cos[q]*Sin[t]*Sin[u]*Sin[v]*Sin[y] + b*c*Cos[q]*Cos[s]*Cos[u]*Sin[z] - 
 
        b*c*Cos[s]*Cos[u]*Cos[y]*Sin[z] - b*e*Cos[t]*Cos[u]*Sin[q]*Sin[s]*Sin[z] + 
 
        I*b*e*Cos[u]*Cos[y]*Sin[q]*Sin[s]*Sin[t]*Sin[z] - 
 
        a*e*Cos[s]*Cos[t]*Cos[v]*Sin[q]*Sin[u]*Sin[z] - 
 
        a*c*Cos[q]*Cos[v]*Sin[s]*Sin[u]*Sin[z] + a*c*Cos[v]*Cos[y]*Sin[s]*Sin[u]*Sin[z] + 
 
        I*a*e*Cos[s]*Cos[v]*Cos[y]*Sin[q]*Sin[t]*Sin[u]*Sin[z] + 
 
        I*a*e*Cos[t]*Cos[y]*Sin[q]*Sin[u]*Sin[v]*Sin[z] + 
 
        a*e*Sin[q]*Sin[t]*Sin[u]*Sin[v]*Sin[z]))/(2*2^(1/2))}}
;[o]
{{((-I Cos[r] + Sin[r]) (-I b c Cos[s] Cos[u] Cos[z] + 
 
        I b c Cos[q] Cos[s] Cos[u] Cos[y] Cos[z] - 
 
        I b e Cos[t] Cos[u] Cos[y] Cos[z] Sin[q] Sin[s] + 
 
        b e Cos[u] Cos[z] Sin[q] Sin[s] Sin[t] - 
 
        I a e Cos[s] Cos[t] Cos[v] Cos[y] Cos[z] Sin[q] Sin[u] + 
 
        I a c Cos[v] Cos[z] Sin[s] Sin[u] - 
 
        I a c Cos[q] Cos[v] Cos[y] Cos[z] Sin[s] Sin[u] + 
 
        a e Cos[s] Cos[v] Cos[z] Sin[q] Sin[t] Sin[u] + 
 
        a e Cos[t] Cos[z] Sin[q] Sin[u] Sin[v] + 
 
        I a e Cos[y] Cos[z] Sin[q] Sin[t] Sin[u] Sin[v] + 
 
        I b d Cos[s] Cos[u] Sin[q] Sin[y] + I b f Cos[q] Cos[t] Cos[u] Sin[s] Sin[y] - 
 
        b f Cos[u] Sin[s] Sin[t] Sin[y] + 
 
        I a f Cos[q] Cos[s] Cos[t] Cos[v] Sin[u] Sin[y] - 
 
        I a d Cos[v] Sin[q] Sin[s] Sin[u] Sin[y] - 
 
        a f Cos[s] Cos[v] Sin[t] Sin[u] Sin[y] - a f Cos[t] Sin[u] Sin[v] Sin[y] - 
 
        I a f Cos[q] Sin[t] Sin[u] Sin[v] Sin[y] - b c Cos[q] Cos[s] Cos[u] Sin[z] + 
 
        b c Cos[s] Cos[u] Cos[y] Sin[z] + b e Cos[t] Cos[u] Sin[q] Sin[s] Sin[z] + 
 
        I b e Cos[u] Cos[y] Sin[q] Sin[s] Sin[t] Sin[z] + 
 
        a e Cos[s] Cos[t] Cos[v] Sin[q] Sin[u] Sin[z] + 
 
        a c Cos[q] Cos[v] Sin[s] Sin[u] Sin[z] - a c Cos[v] Cos[y] Sin[s] Sin[u] Sin[z] + 
 
        I a e Cos[s] Cos[v] Cos[y] Sin[q] Sin[t] Sin[u] Sin[z] + 
 
        I a e Cos[t] Cos[y] Sin[q] Sin[u] Sin[v] Sin[z] - 
 
        a e Sin[q] Sin[t] Sin[u] Sin[v] Sin[z])) / (2 Sqrt[2]), 
 
   (b c Cos[s] Cos[u] Cos[y] Cos[z] Sin[q] + 
 
      b e Cos[q] Cos[t] Cos[u] Cos[y] Cos[z] Sin[s] + 
 
      I b e Cos[q] Cos[u] Cos[z] Sin[s] Sin[t] + 
 
      a e Cos[q] Cos[s] Cos[t] Cos[v] Cos[y] Cos[z] Sin[u] - 
 
      a c Cos[v] Cos[y] Cos[z] Sin[q] Sin[s] Sin[u] + 
 
      I a e Cos[q] Cos[s] Cos[v] Cos[z] Sin[t] Sin[u] + 
 
      I a e Cos[q] Cos[t] Cos[z] Sin[u] Sin[v] - 
 
      a e Cos[q] Cos[y] Cos[z] Sin[t] Sin[u] Sin[v] - b d Cos[q] Cos[s] Cos[u] Sin[y] + 
 
      b f Cos[t] Cos[u] Sin[q] Sin[s] Sin[y] + 
 
      a f Cos[s] Cos[t] Cos[v] Sin[q] Sin[u] Sin[y] + 
 
      a d Cos[q] Cos[v] Sin[s] Sin[u] Sin[y] - a f Sin[q] Sin[t] Sin[u] Sin[v] Sin[y] + 
 
      I b c Cos[s] Cos[u] Sin[q] Sin[z] + I b e Cos[q] Cos[t] Cos[u] Sin[s] Sin[z] - 
 
      b e Cos[q] Cos[u] Cos[y] Sin[s] Sin[t] Sin[z] + 
 
      I a e Cos[q] Cos[s] Cos[t] Cos[v] Sin[u] Sin[z] - 
 
      I a c Cos[v] Sin[q] Sin[s] Sin[u] Sin[z] - 
 
      a e Cos[q] Cos[s] Cos[v] Cos[y] Sin[t] Sin[u] Sin[z] - 
 
      a e Cos[q] Cos[t] Cos[y] Sin[u] Sin[v] Sin[z] - 
 
      I a e Cos[q] Sin[t] Sin[u] Sin[v] Sin[z]) / 2, 
 
   ((I Cos[r] + Sin[r]) (I b c Cos[s] Cos[u] Cos[z] + 
 
        I b c Cos[q] Cos[s] Cos[u] Cos[y] Cos[z] - 
 
        I b e Cos[t] Cos[u] Cos[y] Cos[z] Sin[q] Sin[s] + 
 
        b e Cos[u] Cos[z] Sin[q] Sin[s] Sin[t] - 
 
        I a e Cos[s] Cos[t] Cos[v] Cos[y] Cos[z] Sin[q] Sin[u] - 
 
        I a c Cos[v] Cos[z] Sin[s] Sin[u] - 
 
        I a c Cos[q] Cos[v] Cos[y] Cos[z] Sin[s] Sin[u] + 
 
        a e Cos[s] Cos[v] Cos[z] Sin[q] Sin[t] Sin[u] + 
 
        a e Cos[t] Cos[z] Sin[q] Sin[u] Sin[v] + 
 
        I a e Cos[y] Cos[z] Sin[q] Sin[t] Sin[u] Sin[v] + 
 
        I b d Cos[s] Cos[u] Sin[q] Sin[y] + I b f Cos[q] Cos[t] Cos[u] Sin[s] Sin[y] + 
 
        b f Cos[u] Sin[s] Sin[t] Sin[y] + 
 
        I a f Cos[q] Cos[s] Cos[t] Cos[v] Sin[u] Sin[y] - 
 
        I a d Cos[v] Sin[q] Sin[s] Sin[u] Sin[y] + 
 
        a f Cos[s] Cos[v] Sin[t] Sin[u] Sin[y] + a f Cos[t] Sin[u] Sin[v] Sin[y] - 
 
        I a f Cos[q] Sin[t] Sin[u] Sin[v] Sin[y] - b c Cos[q] Cos[s] Cos[u] Sin[z] - 
 
        b c Cos[s] Cos[u] Cos[y] Sin[z] + b e Cos[t] Cos[u] Sin[q] Sin[s] Sin[z] + 
 
        I b e Cos[u] Cos[y] Sin[q] Sin[s] Sin[t] Sin[z] + 
 
        a e Cos[s] Cos[t] Cos[v] Sin[q] Sin[u] Sin[z] + 
 
        a c Cos[q] Cos[v] Sin[s] Sin[u] Sin[z] + a c Cos[v] Cos[y] Sin[s] Sin[u] Sin[z] + 
 
        I a e Cos[s] Cos[v] Cos[y] Sin[q] Sin[t] Sin[u] Sin[z] + 
 
        I a e Cos[t] Cos[y] Sin[q] Sin[u] Sin[v] Sin[z] - 
 
        a e Sin[q] Sin[t] Sin[u] Sin[v] Sin[z])) / (2 Sqrt[2])}, {0, 0, 0}, 
 
  {((-I Cos[r] + Sin[r]) (I b c Cos[s] Cos[u] Cos[z] + 
 
        I b c Cos[q] Cos[s] Cos[u] Cos[y] Cos[z] - 
 
        I b e Cos[t] Cos[u] Cos[y] Cos[z] Sin[q] Sin[s] - 
 
        b e Cos[u] Cos[z] Sin[q] Sin[s] Sin[t] - 
 
        I a e Cos[s] Cos[t] Cos[v] Cos[y] Cos[z] Sin[q] Sin[u] - 
 
        I a c Cos[v] Cos[z] Sin[s] Sin[u] - 
 
        I a c Cos[q] Cos[v] Cos[y] Cos[z] Sin[s] Sin[u] - 
 
        a e Cos[s] Cos[v] Cos[z] Sin[q] Sin[t] Sin[u] - 
 
        a e Cos[t] Cos[z] Sin[q] Sin[u] Sin[v] + 
 
        I a e Cos[y] Cos[z] Sin[q] Sin[t] Sin[u] Sin[v] + 
 
        I b d Cos[s] Cos[u] Sin[q] Sin[y] + I b f Cos[q] Cos[t] Cos[u] Sin[s] Sin[y] - 
 
        b f Cos[u] Sin[s] Sin[t] Sin[y] + 
 
        I a f Cos[q] Cos[s] Cos[t] Cos[v] Sin[u] Sin[y] - 
 
        I a d Cos[v] Sin[q] Sin[s] Sin[u] Sin[y] - 
 
        a f Cos[s] Cos[v] Sin[t] Sin[u] Sin[y] - a f Cos[t] Sin[u] Sin[v] Sin[y] - 
 
        I a f Cos[q] Sin[t] Sin[u] Sin[v] Sin[y] + b c Cos[q] Cos[s] Cos[u] Sin[z] + 
 
        b c Cos[s] Cos[u] Cos[y] Sin[z] - b e Cos[t] Cos[u] Sin[q] Sin[s] Sin[z] + 
 
        I b e Cos[u] Cos[y] Sin[q] Sin[s] Sin[t] Sin[z] - 
 
        a e Cos[s] Cos[t] Cos[v] Sin[q] Sin[u] Sin[z] - 
 
        a c Cos[q] Cos[v] Sin[s] Sin[u] Sin[z] - a c Cos[v] Cos[y] Sin[s] Sin[u] Sin[z] + 
 
        I a e Cos[s] Cos[v] Cos[y] Sin[q] Sin[t] Sin[u] Sin[z] + 
 
        I a e Cos[t] Cos[y] Sin[q] Sin[u] Sin[v] Sin[z] + 
 
        a e Sin[q] Sin[t] Sin[u] Sin[v] Sin[z])) / (2 Sqrt[2]), 
 
   (b c Cos[s] Cos[u] Cos[y] Cos[z] Sin[q] + 
 
      b e Cos[q] Cos[t] Cos[u] Cos[y] Cos[z] Sin[s] - 
 
      I b e Cos[q] Cos[u] Cos[z] Sin[s] Sin[t] + 
 
      a e Cos[q] Cos[s] Cos[t] Cos[v] Cos[y] Cos[z] Sin[u] - 
 
      a c Cos[v] Cos[y] Cos[z] Sin[q] Sin[s] Sin[u] - 
 
      I a e Cos[q] Cos[s] Cos[v] Cos[z] Sin[t] Sin[u] - 
 
      I a e Cos[q] Cos[t] Cos[z] Sin[u] Sin[v] - 
 
      a e Cos[q] Cos[y] Cos[z] Sin[t] Sin[u] Sin[v] - b d Cos[q] Cos[s] Cos[u] Sin[y] + 
 
      b f Cos[t] Cos[u] Sin[q] Sin[s] Sin[y] + 
 
      a f Cos[s] Cos[t] Cos[v] Sin[q] Sin[u] Sin[y] + 
 
      a d Cos[q] Cos[v] Sin[s] Sin[u] Sin[y] - a f Sin[q] Sin[t] Sin[u] Sin[v] Sin[y] - 
 
      I b c Cos[s] Cos[u] Sin[q] Sin[z] - I b e Cos[q] Cos[t] Cos[u] Sin[s] Sin[z] - 
 
      b e Cos[q] Cos[u] Cos[y] Sin[s] Sin[t] Sin[z] - 
 
      I a e Cos[q] Cos[s] Cos[t] Cos[v] Sin[u] Sin[z] + 
 
      I a c Cos[v] Sin[q] Sin[s] Sin[u] Sin[z] - 
 
      a e Cos[q] Cos[s] Cos[v] Cos[y] Sin[t] Sin[u] Sin[z] - 
 
      a e Cos[q] Cos[t] Cos[y] Sin[u] Sin[v] Sin[z] + 
 
      I a e Cos[q] Sin[t] Sin[u] Sin[v] Sin[z]) / 2, 
 
   ((I Cos[r] + Sin[r]) (-I b c Cos[s] Cos[u] Cos[z] + 
 
        I b c Cos[q] Cos[s] Cos[u] Cos[y] Cos[z] - 
 
        I b e Cos[t] Cos[u] Cos[y] Cos[z] Sin[q] Sin[s] - 
 
        b e Cos[u] Cos[z] Sin[q] Sin[s] Sin[t] - 
 
        I a e Cos[s] Cos[t] Cos[v] Cos[y] Cos[z] Sin[q] Sin[u] + 
 
        I a c Cos[v] Cos[z] Sin[s] Sin[u] - 
 
        I a c Cos[q] Cos[v] Cos[y] Cos[z] Sin[s] Sin[u] - 
 
        a e Cos[s] Cos[v] Cos[z] Sin[q] Sin[t] Sin[u] - 
 
        a e Cos[t] Cos[z] Sin[q] Sin[u] Sin[v] + 
 
        I a e Cos[y] Cos[z] Sin[q] Sin[t] Sin[u] Sin[v] + 
 
        I b d Cos[s] Cos[u] Sin[q] Sin[y] + I b f Cos[q] Cos[t] Cos[u] Sin[s] Sin[y] + 
 
        b f Cos[u] Sin[s] Sin[t] Sin[y] + 
 
        I a f Cos[q] Cos[s] Cos[t] Cos[v] Sin[u] Sin[y] - 
 
        I a d Cos[v] Sin[q] Sin[s] Sin[u] Sin[y] + 
 
        a f Cos[s] Cos[v] Sin[t] Sin[u] Sin[y] + a f Cos[t] Sin[u] Sin[v] Sin[y] - 
 
        I a f Cos[q] Sin[t] Sin[u] Sin[v] Sin[y] + b c Cos[q] Cos[s] Cos[u] Sin[z] - 
 
        b c Cos[s] Cos[u] Cos[y] Sin[z] - b e Cos[t] Cos[u] Sin[q] Sin[s] Sin[z] + 
 
        I b e Cos[u] Cos[y] Sin[q] Sin[s] Sin[t] Sin[z] - 
 
        a e Cos[s] Cos[t] Cos[v] Sin[q] Sin[u] Sin[z] - 
 
        a c Cos[q] Cos[v] Sin[s] Sin[u] Sin[z] + a c Cos[v] Cos[y] Sin[s] Sin[u] Sin[z] + 
 
        I a e Cos[s] Cos[v] Cos[y] Sin[q] Sin[t] Sin[u] Sin[z] + 
 
        I a e Cos[t] Cos[y] Sin[q] Sin[u] Sin[v] Sin[z] + 
 
        a e Sin[q] Sin[t] Sin[u] Sin[v] Sin[z])) / (2 Sqrt[2])}}
^*)