(*^

::[	Information =

	"This is a Mathematica Notebook file.  It contains ASCII text, and can be
	transferred by email, ftp, or other text-file transfer utility.  It should
	be read or edited using a copy of Mathematica or MathReader.  If you 
	received this as email, use your mail application or copy/paste to save 
	everything from the line containing (*^ down to the line containing ^*)
	into a plain text file.  On some systems you may have to give the file a 
	name ending with ".ma" to allow Mathematica to recognize it as a Notebook.
	The line below identifies what version of Mathematica created this file,
	but it can be opened using any other version as well.";

	FrontEndVersion = "X Window System Mathematica Notebook Front End Version 2.2";

	X11StandardFontEncoding; 
	
	fontset = title, inactive, noPageBreakBelow, noPageBreakInGroup, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e8,  24, fontName, "times";
	fontset = subtitle, inactive, noPageBreakBelow, noPageBreakInGroup, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e6,  18, fontName, "times";
	fontset = subsubtitle, inactive, noPageBreakBelow, noPageBreakInGroup, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, e6,  14, fontName, "times";
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, a20,  18, fontName, "times";
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, a15,  14, fontName, "times";
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, a12,  12, fontName, "times";
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, fontName, "times";
	fontset = input, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold,  12, fontName, "courier";
	fontset = output, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, fontName, "courier";
	fontset = message, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23,  12, fontName, "courier";
	fontset = print, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23,  12, fontName, "courier";
	fontset = info, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23,  12, fontName, "courier";
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287,  12, fontName, "courier";
	fontset = name, inactive, noPageBreakInGroup, nohscroll, preserveAspect, M7, italic, B65535,  10, fontName, "times";
	fontset = header, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic,  12, fontName, "times";
	fontset = leftheader,  12, fontName, "times";
	fontset = footer, inactive, nohscroll, noKeepOnOnePage, preserveAspect, center, M7, italic,  12, fontName, "times";
	fontset = leftfooter,  12, fontName, "times";
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "courier";
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";paletteColors = 128; automaticGrouping; currentKernel; 
]
:[font = section; inactive; preserveAspect; startGroup]
a2(1320) pi from 1S0, a2 -> omega "rho" (try 2)
:[font = input; preserveAspect; startGroup]
SetDirectory["/user2/mccrady/mathematica"]
:[font = output; output; inactive; preserveAspect; endGroup]
"/user2/mccrady/mathematica"
;[o]
/user2/mccrady/mathematica
:[font = text; inactive; preserveAspect]
Relative angular momentum between the a2 and the pi is L=2.
:[font = input; preserveAspect; startGroup]
Clear[ tpbp, tpbpf ]
:[font = message; inactive; preserveAspect]
General::spell1: 
   Possible spelling error: new symbol name "tpbp"
     is similar to existing symbol "stpbp".
:[font = message; inactive; preserveAspect; endGroup]
General::spell: 
   Possible spelling error: new symbol name "tpbpf"
     is similar to existing symbols {stpbpf, tpbp}.
:[font = input; preserveAspect; startGroup]
tpbp =( Table[ ClebschGordan[ {2,0},  {2,la2},{0,la2} ] *
               ClebschGordan[ {2,la2},{0,0},  {2,la2} ],
               {la2,2,-2,-1} ] )
:[font = message; inactive; preserveAspect]
ClebschGordan::phy: ThreeJSymbol[{2, 0}, {2, 2}, {0, -2}] is not physical.
:[font = message; inactive; preserveAspect]
ClebschGordan::phy: ThreeJSymbol[{2, 0}, {2, 1}, {0, -1}] is not physical.
:[font = message; inactive; preserveAspect]
ClebschGordan::phy: ThreeJSymbol[{2, 0}, {2, -1}, {0, 1}] is not physical.
:[font = message; inactive; preserveAspect]
General::stop: Further output of ClebschGordan::phy
     will be suppressed during this calculation.
:[font = output; output; inactive; preserveAspect; endGroup]
{0, 0, 5^(-1/2), 0, 0}
;[o]
          1
{0, 0, -------, 0, 0}
       Sqrt[5]
:[font = input; preserveAspect]
tpbpf[ la2_ ] := tpbp[[ 3 - la2 ]]
:[font = input; preserveAspect; startGroup]
stpbp =( Table[ ClebschGordan[ {2,0}, {2,-la2},{0,-la2} ] *
                ClebschGordan[ {0,0}, {2,-la2},{2,-la2} ],
                {la2,2,-2,-1} ] )
:[font = message; inactive; preserveAspect]
ClebschGordan::phy: ThreeJSymbol[{2, 0}, {2, -2}, {0, 2}] is not physical.
:[font = message; inactive; preserveAspect]
ClebschGordan::phy: ThreeJSymbol[{2, 0}, {2, -1}, {0, 1}] is not physical.
:[font = message; inactive; preserveAspect]
ClebschGordan::phy: ThreeJSymbol[{2, 0}, {2, 1}, {0, -1}] is not physical.
:[font = message; inactive; preserveAspect]
General::stop: Further output of ClebschGordan::phy
     will be suppressed during this calculation.
:[font = output; output; inactive; preserveAspect; endGroup]
{0, 0, 5^(-1/2), 0, 0}
;[o]
          1
{0, 0, -------, 0, 0}
       Sqrt[5]
:[font = input; preserveAspect]
stpbpf[ la2_ ] := stpbp[[ 3 - la2 ]]
:[font = text; inactive; preserveAspect]
For a2 -> omega rho, L=0
:[font = input; preserveAspect]
Clear[ ta2, ta2f ]
:[font = input; preserveAspect; startGroup]
ta2 =( Table[ ClebschGordan[ {0,0}, {2,lrho-lw}, {2,lrho-lw} ] *
              ClebschGordan[ {1,lrho},{1,-lw},   {2,lrho-lw} ],
              {lrho,1,-1,-1}, {lw,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{{6^(-1/2), 2^(-1/2), 1}, {2^(-1/2), (2/3)^(1/2), 2^(-1/2)}, 
 
  {1, 2^(-1/2), 6^(-1/2)}}
;[o]
     1        1             1          2      1             1        1
{{-------, -------, 1}, {-------, Sqrt[-], -------}, {1, -------, -------}}
  Sqrt[6]  Sqrt[2]       Sqrt[2]       3   Sqrt[2]       Sqrt[2]  Sqrt[6]
:[font = input; preserveAspect]
ta2f[ lrho_, lw_ ] := ta2[[ 2-lrho, 2-lw ]]
:[font = input; preserveAspect; startGroup]
sta2 =( Table[ ClebschGordan[ {0,0}, {2,lw-lrho}, {2,lw-lrho} ] *
               ClebschGordan[ {1,lw},{1,-lrho},   {2,lw-lrho} ],
               {lrho,1,-1,-1}, {lw,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{{6^(-1/2), 2^(-1/2), 1}, {2^(-1/2), (2/3)^(1/2), 2^(-1/2)}, 
 
  {1, 2^(-1/2), 6^(-1/2)}}
;[o]
     1        1             1          2      1             1        1
{{-------, -------, 1}, {-------, Sqrt[-], -------}, {1, -------, -------}}
  Sqrt[6]  Sqrt[2]       Sqrt[2]       3   Sqrt[2]       Sqrt[2]  Sqrt[6]
:[font = input; preserveAspect]
sta2f[ lrho_, lw_ ] := sta2[[ 2-lrho, 2-lw ]]
:[font = text; inactive; preserveAspect]
Set up the coefficients for the omega decay.
:[font = input; preserveAspect]
Clear[ tw, twf ]
:[font = input; preserveAspect; startGroup]
tw = ( Table[ ClebschGordan[{1,0},{1,lg},{1,lg}] *
              ClebschGordan[{1,lg},{0,0},{1,lg}],
              {lg,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{-2^(-1/2), 0, 2^(-1/2)}
;[o]
      1            1
{-(-------), 0, -------}
   Sqrt[2]      Sqrt[2]
:[font = input; preserveAspect]
twf[lg_] := tw[[2-lg]]
:[font = input; preserveAspect; fontSize = 10; startGroup]
stw =( Table[ ClebschGordan[ {1,0}, {1,-lg}, {1,-lg} ] *
              ClebschGordan[ {0,0}, {1,-lg}, {1,-lg} ],
              {lg,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; fontSize = 10; endGroup]
{2^(-1/2), 0, -2^(-1/2)}
;[o]
    1             1
{-------, 0, -(-------)}
 Sqrt[2]       Sqrt[2]
:[font = input; preserveAspect; fontSize = 10; startGroup]
stwf[ lg_ ] := stw[[ 2-lg ]]
:[font = message; inactive; preserveAspect; endGroup]
General::spell: 
   Possible spelling error: new symbol name "stwf"
     is similar to existing symbols {stw, twf}.
:[font = text; inactive; preserveAspect]
Set up the coefficients for the rho decay.
:[font = input; preserveAspect; startGroup]
Clear[ trho ]
:[font = message; inactive; preserveAspect; endGroup]
General::spell1: 
   Possible spelling error: new symbol name "trho"
     is similar to existing symbol "lrho".
:[font = input; preserveAspect; startGroup]
trho =( ClebschGordan[ {1,0}, {0,0}, {1,0} ] *
        ClebschGordan[ {0,0}, {0,0}, {0,0} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
1
;[o]
1
:[font = text; inactive; preserveAspect]
Compute the amplitude for each gamma helicity :
:[font = input; preserveAspect]
Clear[Ds, amplitude, a1, a2, s,t,u,v,y,z]
:[font = input; preserveAspect]
amplitude =( Table[ Sum[ tpbpf[ la2 ]                         Sqrt[1/(4Pi)]*
                         ta2f[lrho, lw] Ds[2,la2,lrho-lw,s,t] Sqrt[5/(4Pi)]*
                         twf[ lg ]      Ds[1, lw,  lg,   y,z] Sqrt[3/(4Pi)]*
                         trho           Ds[1,lrho, 0,    u,v] Sqrt[3/(4Pi)],
                         {la2,2,-2,-1},{lrho,1,-1,-1},{lw,1,-1,-1}],
                    {lg,1,-1,-1} ] ) ;
:[font = input; preserveAspect; startGroup]
samplitude =( Table[ Sum[ stpbpf[ la2 ]                         Sqrt[1/(4Pi)]*
                         sta2f[lrho, lw] Ds[2,la2,lrho-lw,s,t] Sqrt[5/(4Pi)]*
                         stwf[ lg ]      Ds[1, lw,  lg,   y,z] Sqrt[3/(4Pi)]*
                         trho           Ds[1,lrho, 0,    u,v] Sqrt[3/(4Pi)],
                         {la2,2,-2,-1},{lrho,1,-1,-1},{lw,1,-1,-1}],
                    {lg,1,-1,-1} ] ) ;
:[font = message; inactive; preserveAspect; endGroup]
General::spell1: 
   Possible spelling error: new symbol name "samplitude"
     is similar to existing symbol "amplitude".
:[font = input; preserveAspect; startGroup]
amplitude + samplitude
:[font = output; output; inactive; preserveAspect; endGroup]
{0, 0, 0}
;[o]
{0, 0, 0}
:[font = text; inactive; preserveAspect]
Define trigonometric identities etc., if not already done
:[font = input; preserveAspect]
If[ Dimensions[Attributes[TrigReduce]] == {0}, Get["Trigonometry.m"] ]
:[font = input; preserveAspect]
<<Dfunc.m
:[font = input; preserveAspect]
a1 =ExpandAll[TrigReduce[ComplexToTrig[amplitude]],Trig->True] ;
:[font = input; preserveAspect]
a2= Simplify[ a1 ] ;
:[font = input; preserveAspect]
a1 = Expand[ TrigReduce[ a2 ]];
:[font = input; preserveAspect; startGroup]
a2=Factor[ a1 ]
:[font = output; output; inactive; preserveAspect; endGroup]
{((3/2)^(1/2)*(3*Cos[s]*Cos[u]*Cos[y]*Cos[z]*Sin[s] - 
 
       2*Cos[v]*Cos[y]*Cos[z]*Sin[u] + 
 
       3*Cos[s]^2*Cos[v]*Cos[y]*Cos[z]*Sin[u] + 
 
       I*Cos[z]*Sin[u]*Sin[v] + Cos[u]*Sin[y] - 
 
       3*Cos[s]^2*Cos[u]*Sin[y] + 
 
       3*Cos[s]*Cos[v]*Sin[s]*Sin[u]*Sin[y] + 
 
       3*I*Cos[s]*Cos[u]*Sin[s]*Sin[z] - 
 
       2*I*Cos[v]*Sin[u]*Sin[z] + 
 
       3*I*Cos[s]^2*Cos[v]*Sin[u]*Sin[z] - 
 
       Cos[y]*Sin[u]*Sin[v]*Sin[z]))/(32*Pi^2), 0, 
 
  ((3/2)^(1/2)*(3*Cos[s]*Cos[u]*Cos[y]*Cos[z]*Sin[s] - 
 
       2*Cos[v]*Cos[y]*Cos[z]*Sin[u] + 
 
       3*Cos[s]^2*Cos[v]*Cos[y]*Cos[z]*Sin[u] - 
 
       I*Cos[z]*Sin[u]*Sin[v] + Cos[u]*Sin[y] - 
 
       3*Cos[s]^2*Cos[u]*Sin[y] + 
 
       3*Cos[s]*Cos[v]*Sin[s]*Sin[u]*Sin[y] - 
 
       3*I*Cos[s]*Cos[u]*Sin[s]*Sin[z] + 
 
       2*I*Cos[v]*Sin[u]*Sin[z] - 
 
       3*I*Cos[s]^2*Cos[v]*Sin[u]*Sin[z] - 
 
       Cos[y]*Sin[u]*Sin[v]*Sin[z]))/(32*Pi^2)}
;[o]
       3
{(Sqrt[-] (3 Cos[s] Cos[u] Cos[y] Cos[z] Sin[s] - 
       2
 
       2 Cos[v] Cos[y] Cos[z] Sin[u] + 
 
               2
       3 Cos[s]  Cos[v] Cos[y] Cos[z] Sin[u] + 
 
       I Cos[z] Sin[u] Sin[v] + Cos[u] Sin[y] - 
 
               2
       3 Cos[s]  Cos[u] Sin[y] + 
 
       3 Cos[s] Cos[v] Sin[s] Sin[u] Sin[y] + 
 
       3 I Cos[s] Cos[u] Sin[s] Sin[z] - 
 
       2 I Cos[v] Sin[u] Sin[z] + 
 
                 2
       3 I Cos[s]  Cos[v] Sin[u] Sin[z] - 
 
                                             2
       Cos[y] Sin[u] Sin[v] Sin[z])) / (32 Pi ), 0, 
 
        3
  (Sqrt[-] (3 Cos[s] Cos[u] Cos[y] Cos[z] Sin[s] - 
        2
 
       2 Cos[v] Cos[y] Cos[z] Sin[u] + 
 
               2
       3 Cos[s]  Cos[v] Cos[y] Cos[z] Sin[u] - 
 
       I Cos[z] Sin[u] Sin[v] + Cos[u] Sin[y] - 
 
               2
       3 Cos[s]  Cos[u] Sin[y] + 
 
       3 Cos[s] Cos[v] Sin[s] Sin[u] Sin[y] - 
 
       3 I Cos[s] Cos[u] Sin[s] Sin[z] + 
 
       2 I Cos[v] Sin[u] Sin[z] - 
 
                 2
       3 I Cos[s]  Cos[v] Sin[u] Sin[z] - 
 
                                             2
       Cos[y] Sin[u] Sin[v] Sin[z])) / (32 Pi )}
:[font = input; preserveAspect; startGroup]
Dimensions[a2]
:[font = output; output; inactive; preserveAspect; endGroup]
{3}
;[o]
{3}
:[font = input; preserveAspect; startGroup]
Power[3,2]
:[font = output; output; inactive; preserveAspect; endGroup]
9
;[o]
9
:[font = input; preserveAspect]
Clear[ asa, wt ]
:[font = input; preserveAspect]
<<conj_rules.ma
:[font = input; preserveAspect; startGroup]
astar=((Conjugate[ a2 ] //. {conjpwr,conjsum,conjprod})
      /. {conjsin,conjcos}) 
:[font = output; output; inactive; preserveAspect; endGroup]
{((3/2)^(1/2)*(3*Cos[s]*Cos[u]*Cos[y]*Cos[z]*Sin[s] - 
 
       2*Cos[v]*Cos[y]*Cos[z]*Sin[u] + 
 
       3*Cos[s]^2*Cos[v]*Cos[y]*Cos[z]*Sin[u] - 
 
       I*Cos[z]*Sin[u]*Sin[v] + Cos[u]*Sin[y] - 
 
       3*Cos[s]^2*Cos[u]*Sin[y] + 
 
       3*Cos[s]*Cos[v]*Sin[s]*Sin[u]*Sin[y] - 
 
       3*I*Cos[s]*Cos[u]*Sin[s]*Sin[z] + 
 
       2*I*Cos[v]*Sin[u]*Sin[z] - 
 
       3*I*Cos[s]^2*Cos[v]*Sin[u]*Sin[z] - 
 
       Cos[y]*Sin[u]*Sin[v]*Sin[z]))/(32*Pi^2), 0, 
 
  ((3/2)^(1/2)*(3*Cos[s]*Cos[u]*Cos[y]*Cos[z]*Sin[s] - 
 
       2*Cos[v]*Cos[y]*Cos[z]*Sin[u] + 
 
       3*Cos[s]^2*Cos[v]*Cos[y]*Cos[z]*Sin[u] + 
 
       I*Cos[z]*Sin[u]*Sin[v] + Cos[u]*Sin[y] - 
 
       3*Cos[s]^2*Cos[u]*Sin[y] + 
 
       3*Cos[s]*Cos[v]*Sin[s]*Sin[u]*Sin[y] + 
 
       3*I*Cos[s]*Cos[u]*Sin[s]*Sin[z] - 
 
       2*I*Cos[v]*Sin[u]*Sin[z] + 
 
       3*I*Cos[s]^2*Cos[v]*Sin[u]*Sin[z] - 
 
       Cos[y]*Sin[u]*Sin[v]*Sin[z]))/(32*Pi^2)}
;[o]
       3
{(Sqrt[-] (3 Cos[s] Cos[u] Cos[y] Cos[z] Sin[s] - 
       2
 
       2 Cos[v] Cos[y] Cos[z] Sin[u] + 
 
               2
       3 Cos[s]  Cos[v] Cos[y] Cos[z] Sin[u] - 
 
       I Cos[z] Sin[u] Sin[v] + Cos[u] Sin[y] - 
 
               2
       3 Cos[s]  Cos[u] Sin[y] + 
 
       3 Cos[s] Cos[v] Sin[s] Sin[u] Sin[y] - 
 
       3 I Cos[s] Cos[u] Sin[s] Sin[z] + 
 
       2 I Cos[v] Sin[u] Sin[z] - 
 
                 2
       3 I Cos[s]  Cos[v] Sin[u] Sin[z] - 
 
                                             2
       Cos[y] Sin[u] Sin[v] Sin[z])) / (32 Pi ), 0, 
 
        3
  (Sqrt[-] (3 Cos[s] Cos[u] Cos[y] Cos[z] Sin[s] - 
        2
 
       2 Cos[v] Cos[y] Cos[z] Sin[u] + 
 
               2
       3 Cos[s]  Cos[v] Cos[y] Cos[z] Sin[u] + 
 
       I Cos[z] Sin[u] Sin[v] + Cos[u] Sin[y] - 
 
               2
       3 Cos[s]  Cos[u] Sin[y] + 
 
       3 Cos[s] Cos[v] Sin[s] Sin[u] Sin[y] + 
 
       3 I Cos[s] Cos[u] Sin[s] Sin[z] - 
 
       2 I Cos[v] Sin[u] Sin[z] + 
 
                 2
       3 I Cos[s]  Cos[v] Sin[u] Sin[z] - 
 
                                             2
       Cos[y] Sin[u] Sin[v] Sin[z])) / (32 Pi )}
:[font = input; preserveAspect]
asa = a2 astar ;
:[font = input; preserveAspect; startGroup]
wt=Sum[ asa[[2-lg]], {lg,1,-1,-1}] 
:[font = output; output; inactive; preserveAspect; endGroup]
(3*(3*Cos[s]*Cos[u]*Cos[y]*Cos[z]*Sin[s] - 
 
      2*Cos[v]*Cos[y]*Cos[z]*Sin[u] + 
 
      3*Cos[s]^2*Cos[v]*Cos[y]*Cos[z]*Sin[u] - 
 
      I*Cos[z]*Sin[u]*Sin[v] + Cos[u]*Sin[y] - 
 
      3*Cos[s]^2*Cos[u]*Sin[y] + 
 
      3*Cos[s]*Cos[v]*Sin[s]*Sin[u]*Sin[y] - 
 
      3*I*Cos[s]*Cos[u]*Sin[s]*Sin[z] + 
 
      2*I*Cos[v]*Sin[u]*Sin[z] - 
 
      3*I*Cos[s]^2*Cos[v]*Sin[u]*Sin[z] - 
 
      Cos[y]*Sin[u]*Sin[v]*Sin[z])*
 
    (3*Cos[s]*Cos[u]*Cos[y]*Cos[z]*Sin[s] - 
 
      2*Cos[v]*Cos[y]*Cos[z]*Sin[u] + 
 
      3*Cos[s]^2*Cos[v]*Cos[y]*Cos[z]*Sin[u] + 
 
      I*Cos[z]*Sin[u]*Sin[v] + Cos[u]*Sin[y] - 
 
      3*Cos[s]^2*Cos[u]*Sin[y] + 
 
      3*Cos[s]*Cos[v]*Sin[s]*Sin[u]*Sin[y] + 
 
      3*I*Cos[s]*Cos[u]*Sin[s]*Sin[z] - 
 
      2*I*Cos[v]*Sin[u]*Sin[z] + 
 
      3*I*Cos[s]^2*Cos[v]*Sin[u]*Sin[z] - 
 
      Cos[y]*Sin[u]*Sin[v]*Sin[z]))/(1024*Pi^4)
;[o]
(3 (3 Cos[s] Cos[u] Cos[y] Cos[z] Sin[s] - 
 
      2 Cos[v] Cos[y] Cos[z] Sin[u] + 
 
              2
      3 Cos[s]  Cos[v] Cos[y] Cos[z] Sin[u] - 
 
      I Cos[z] Sin[u] Sin[v] + Cos[u] Sin[y] - 
 
              2
      3 Cos[s]  Cos[u] Sin[y] + 
 
      3 Cos[s] Cos[v] Sin[s] Sin[u] Sin[y] - 
 
      3 I Cos[s] Cos[u] Sin[s] Sin[z] + 
 
      2 I Cos[v] Sin[u] Sin[z] - 
 
                2
      3 I Cos[s]  Cos[v] Sin[u] Sin[z] - 
 
      Cos[y] Sin[u] Sin[v] Sin[z]) 
 
    (3 Cos[s] Cos[u] Cos[y] Cos[z] Sin[s] - 
 
      2 Cos[v] Cos[y] Cos[z] Sin[u] + 
 
              2
      3 Cos[s]  Cos[v] Cos[y] Cos[z] Sin[u] + 
 
      I Cos[z] Sin[u] Sin[v] + Cos[u] Sin[y] - 
 
              2
      3 Cos[s]  Cos[u] Sin[y] + 
 
      3 Cos[s] Cos[v] Sin[s] Sin[u] Sin[y] + 
 
      3 I Cos[s] Cos[u] Sin[s] Sin[z] - 
 
      2 I Cos[v] Sin[u] Sin[z] + 
 
                2
      3 I Cos[s]  Cos[v] Sin[u] Sin[z] - 
 
                                              4
      Cos[y] Sin[u] Sin[v] Sin[z])) / (1024 Pi )
:[font = input; preserveAspect]
wt1 = Expand[ wt ]
:[font = input; preserveAspect; startGroup]
(Integrate[ wt Sin[y] Sin[u] Sin[s],
            {Cos[q],-1,1}, {r,0,2Pi},
            {s,0,Pi},      {t,0,2Pi},
            {u,0,Pi},      {v,0,2Pi},
            {y,0,Pi},      {z,0,2Pi} ])
:[font = output; output; inactive; preserveAspect; endGroup; endGroup]
-1
;[o]
-1
:[font = section; inactive; preserveAspect; startGroup]
a2(1320) pi (L=2) from 3S1, a2 -> omega "rho"
:[font = text; inactive; preserveAspect]
No neutral-neutral from 3S1. Relative angular momentum between the a2 and the pi is L=2.
:[font = input; preserveAspect]
Clear[ tpbp, tpbpf, stpbp, stpbpf ]
:[font = input; preserveAspect; startGroup]
tpbp =( Table[ ClebschGordan[ {2,0},  {2,la2},{1,la2} ] *
               ClebschGordan[ {2,la2},{0,0},  {2,la2} ],
               {la2,2,-2,-1} ] )
:[font = message; inactive; preserveAspect]
ClebschGordan::phy: ThreeJSymbol[{2, 0}, {2, 2}, {1, -2}] is not physical.
:[font = message; inactive; preserveAspect]
ClebschGordan::phy: ThreeJSymbol[{2, 0}, {2, -2}, {1, 2}] is not physical.
:[font = output; output; inactive; preserveAspect; endGroup]
{0, (3/10)^(1/2), 0, -(3/10)^(1/2), 0}
;[o]
         3             3
{0, Sqrt[--], 0, -Sqrt[--], 0}
         10            10
:[font = input; preserveAspect]
tpbpf[ la2_ ] := tpbp[[ 3 - la2 ]]
:[font = input; preserveAspect; startGroup]
stpbp =( Table[ ClebschGordan[ {2,0}, {2,-la2},{1,-la2} ] *
                ClebschGordan[ {0,0}, {2,-la2},{2,-la2} ],
                {la2,2,-2,-1} ] )
:[font = message; inactive; preserveAspect]
ClebschGordan::phy: ThreeJSymbol[{2, 0}, {2, -2}, {1, 2}] is not physical.
:[font = message; inactive; preserveAspect]
ClebschGordan::phy: ThreeJSymbol[{2, 0}, {2, 2}, {1, -2}] is not physical.
:[font = output; output; inactive; preserveAspect; endGroup]
{0, -(3/10)^(1/2), 0, (3/10)^(1/2), 0}
;[o]
          3            3
{0, -Sqrt[--], 0, Sqrt[--], 0}
          10           10
:[font = input; preserveAspect]
stpbpf[ la2_ ] := stpbp[[ 3 - la2 ]]
:[font = text; inactive; preserveAspect]
For a2 -> omega rho, L=0
:[font = input; preserveAspect]
Clear[ ta2, ta2f, sta2, sta2f ]
:[font = input; preserveAspect; startGroup]
ta2 =( Table[ ClebschGordan[ {0,0}, {2,lrho-lw}, {2,lrho-lw} ] *
              ClebschGordan[ {1,lrho},{1,-lw},   {2,lrho-lw} ],
              {lrho,1,-1,-1}, {lw,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{{6^(-1/2), 2^(-1/2), 1}, {2^(-1/2), (2/3)^(1/2), 2^(-1/2)}, 
 
  {1, 2^(-1/2), 6^(-1/2)}}
;[o]
     1        1             1          2      1             1        1
{{-------, -------, 1}, {-------, Sqrt[-], -------}, {1, -------, -------}}
  Sqrt[6]  Sqrt[2]       Sqrt[2]       3   Sqrt[2]       Sqrt[2]  Sqrt[6]
:[font = input; preserveAspect]
ta2f[ lrho_, lw_ ] := ta2[[ 2-lrho, 2-lw ]]
:[font = input; preserveAspect; startGroup]
sta2 =( Table[ ClebschGordan[ {0,0}, {2,lw-lrho}, {2,lw-lrho} ] *
               ClebschGordan[ {1,lw},{1,-lrho},   {2,lw-lrho} ],
               {lrho,1,-1,-1}, {lw,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{{6^(-1/2), 2^(-1/2), 1}, {2^(-1/2), (2/3)^(1/2), 2^(-1/2)}, 
 
  {1, 2^(-1/2), 6^(-1/2)}}
;[o]
     1        1             1          2      1             1        1
{{-------, -------, 1}, {-------, Sqrt[-], -------}, {1, -------, -------}}
  Sqrt[6]  Sqrt[2]       Sqrt[2]       3   Sqrt[2]       Sqrt[2]  Sqrt[6]
:[font = input; preserveAspect]
sta2f[ lrho_, lw_ ] := sta2[[ 2-lrho, 2-lw ]]
:[font = text; inactive; preserveAspect]
Set up the coefficients for the omega decay.
:[font = input; preserveAspect]
Clear[ tw, twf, stw, stwf ]
:[font = input; preserveAspect; startGroup]
tw = ( Table[ ClebschGordan[{1,0},{1,lg},{1,lg}] *
              ClebschGordan[{1,lg},{0,0},{1,lg}],
              {lg,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{-2^(-1/2), 0, 2^(-1/2)}
;[o]
      1            1
{-(-------), 0, -------}
   Sqrt[2]      Sqrt[2]
:[font = input; preserveAspect]
twf[lg_] := tw[[2-lg]]
:[font = input; preserveAspect; fontSize = 10; startGroup]
stw =( Table[ ClebschGordan[ {1,0}, {1,-lg}, {1,-lg} ] *
              ClebschGordan[ {0,0}, {1,-lg}, {1,-lg} ],
              {lg,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; fontSize = 10; endGroup]
{2^(-1/2), 0, -2^(-1/2)}
;[o]
    1             1
{-------, 0, -(-------)}
 Sqrt[2]       Sqrt[2]
:[font = input; preserveAspect; fontSize = 10]
stwf[ lg_ ] := stw[[ 2-lg ]]
:[font = text; inactive; preserveAspect]
Set up the coefficients for the rho decay.
:[font = input; preserveAspect]
Clear[ trho ]
:[font = input; preserveAspect; startGroup]
trho =( ClebschGordan[ {1,0}, {0,0}, {1,0} ] *
        ClebschGordan[ {0,0}, {0,0}, {0,0} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
1
;[o]
1
:[font = text; inactive; preserveAspect]
Compute the amplitude for each gamma helicity :
:[font = input; preserveAspect]
Clear[Ds, amplitude, a1, a2, s,t,u,v,y,z, samplitude]
:[font = input; preserveAspect]
Clear[ amplitude, samplitude ]
:[font = input; preserveAspect]
amplitude =(
 Table[ Sum[ tpbpf[ la2 ]   Ds[1, m, la2,    q,r] Sqrt[3/(4Pi)]*
             ta2f[lrho, lw] Ds[2,la2,lrho-lw,s,t] Sqrt[5/(4Pi)]*
             twf[ lg ]      Ds[1, lw,  lg,   y,z] Sqrt[3/(4Pi)]*
             trho           Ds[1, lrho, 0,   u,v] Sqrt[3/(4Pi)],
             {la2,2,-2,-1},{lrho,1,-1,-1},{lw,1,-1,-1}],
        {lg,1,-1,-1}, {m,1,-1,-1} ] );
:[font = input; preserveAspect]
samplitude =(
 Table[ Sum[stpbpf[ la2 ]   Ds[1, m, la2,    q,r] Sqrt[3/(4Pi)]*
            sta2f[lrho, lw] Ds[2,la2,lrho-lw,s,t] Sqrt[5/(4Pi)]*
            stwf[ lg ]      Ds[1, lw,  lg,   y,z] Sqrt[3/(4Pi)]*
             trho           Ds[1, lrho, 0,   u,v] Sqrt[3/(4Pi)],
             {la2,2,-2,-1},{lrho,1,-1,-1},{lw,1,-1,-1}],
        {lg,1,-1,-1}, {m,1,-1,-1} ] ) ;
:[font = input; preserveAspect; startGroup]
damp= amplitude - samplitude
:[font = output; output; inactive; preserveAspect; endGroup]
{{0, 0, 0}, {0, 0, 0}, {0, 0, 0}}
;[o]
{{0, 0, 0}, {0, 0, 0}, {0, 0, 0}}
:[font = input; preserveAspect]
If[ Dimensions[Attributes[TrigReduce]] == {0}, Get["Trigonometry.m"] ]
:[font = input; preserveAspect]
<<Dfunc.m
:[font = text; inactive; preserveAspect]
Try this:
:[font = input; preserveAspect]
a1 = ComplexToTrig[ amplitude ];
:[font = input; preserveAspect]
a2 = Simplify[ a1, Trig->True ]
:[font = input; preserveAspect; startGroup]
a3=Factor[a2]
:[font = output; output; inactive; preserveAspect; endGroup]
{{(9*(-4*Cos[s/2]^2*Cos[u]*Cos[y/2]^2*Cos[r - t + z]*Sin[q/2]^2 + 
 
        8*Cos[s/2]^2*Cos[s]*Cos[u]*Cos[y/2]^2*Cos[r - t + z]*Sin[q/2]^2 - 
 
        4*Cos[q/2]^2*Cos[u]*Cos[y/2]^2*Cos[r + t + z]*Sin[s/2]^2 - 
 
        8*Cos[q/2]^2*Cos[s]*Cos[u]*Cos[y/2]^2*Cos[r + t + z]*Sin[s/2]^2 - 
 
        8*Cos[s/2]^3*Cos[y/2]^2*Cos[r - t - v + z]*Sin[q/2]^2*Sin[s/2]*
 
         Sin[u] + 8*Cos[q/2]^2*Cos[s/2]*Cos[y/2]^2*Cos[r + t - v + z]*
 
         Sin[s/2]^3*Sin[u] - Cos[q/2]^2*Cos[y/2]^2*Cos[r + t + v + z]*
 
         Sin[2*s]*Sin[u] - Cos[y/2]^2*Cos[r - t + v + z]*Sin[q/2]^2*
 
         Sin[2*s]*Sin[u] + 4*Cos[q/2]^2*Cos[r]*Cos[t]*Cos[u]*Cos[y/2]*
 
         Sin[2*s]*Sin[y/2] + 4*Cos[r]*Cos[t]*Cos[u]*Cos[y/2]*Sin[q/2]^2*
 
         Sin[2*s]*Sin[y/2] + 4*I*Cos[q/2]^2*Cos[t]*Cos[u]*Cos[y/2]*Sin[r]*
 
         Sin[2*s]*Sin[y/2] + 4*I*Cos[t]*Cos[u]*Cos[y/2]*Sin[q/2]^2*Sin[r]*
 
         Sin[2*s]*Sin[y/2] + 4*I*Cos[q/2]^2*Cos[r]*Cos[u]*Cos[y/2]*
 
         Sin[2*s]*Sin[t]*Sin[y/2] - 
 
        4*I*Cos[r]*Cos[u]*Cos[y/2]*Sin[q/2]^2*Sin[2*s]*Sin[t]*Sin[y/2] - 
 
        4*Cos[q/2]^2*Cos[u]*Cos[y/2]*Sin[r]*Sin[2*s]*Sin[t]*Sin[y/2] + 
 
        4*Cos[u]*Cos[y/2]*Sin[q/2]^2*Sin[r]*Sin[2*s]*Sin[t]*Sin[y/2] + 
 
        4*Cos[q/2]^2*Cos[s/2]^2*Cos[u]*Cos[r + t - z]*Sin[y/2]^2 - 
 
        8*Cos[q/2]^2*Cos[s/2]^2*Cos[s]*Cos[u]*Cos[r + t - z]*Sin[y/2]^2 + 
 
        4*Cos[u]*Cos[r - t - z]*Sin[q/2]^2*Sin[s/2]^2*Sin[y/2]^2 + 
 
        8*Cos[s]*Cos[u]*Cos[r - t - z]*Sin[q/2]^2*Sin[s/2]^2*Sin[y/2]^2 + 
 
        8*Cos[q/2]^2*Cos[s/2]^3*Cos[r + t + v - z]*Sin[s/2]*Sin[u]*
 
         Sin[y/2]^2 - 8*Cos[s/2]*Cos[r - t + v - z]*Sin[q/2]^2*Sin[s/2]^3*
 
         Sin[u]*Sin[y/2]^2 + Cos[q/2]^2*Cos[r + t - v - z]*Sin[2*s]*Sin[u]*
 
         Sin[y/2]^2 + Cos[r - t - v - z]*Sin[q/2]^2*Sin[2*s]*Sin[u]*
 
         Sin[y/2]^2 - 2*Cos[q/2]^2*Cos[s/2]^2*Cos[r + t + v]*Sin[u]*
 
         Sin[y] + 4*Cos[q/2]^2*Cos[s/2]^2*Cos[s]*Cos[r + t + v]*Sin[u]*
 
         Sin[y] - 2*Cos[s/2]^2*Cos[r - t - v]*Sin[q/2]^2*Sin[u]*Sin[y] + 
 
        4*Cos[s/2]^2*Cos[s]*Cos[r - t - v]*Sin[q/2]^2*Sin[u]*Sin[y] - 
 
        2*Cos[q/2]^2*Cos[r + t - v]*Sin[s/2]^2*Sin[u]*Sin[y] - 
 
        4*Cos[q/2]^2*Cos[s]*Cos[r + t - v]*Sin[s/2]^2*Sin[u]*Sin[y] - 
 
        2*Cos[r - t + v]*Sin[q/2]^2*Sin[s/2]^2*Sin[u]*Sin[y] - 
 
        4*Cos[s]*Cos[r - t + v]*Sin[q/2]^2*Sin[s/2]^2*Sin[u]*Sin[y] - 
 
        2*I*Cos[s/2]^2*Sin[q/2]^2*Sin[u]*Sin[r - t - v]*Sin[y] + 
 
        4*I*Cos[s/2]^2*Cos[s]*Sin[q/2]^2*Sin[u]*Sin[r - t - v]*Sin[y] - 
 
        2*I*Cos[q/2]^2*Sin[s/2]^2*Sin[u]*Sin[r + t - v]*Sin[y] - 
 
        4*I*Cos[q/2]^2*Cos[s]*Sin[s/2]^2*Sin[u]*Sin[r + t - v]*Sin[y] - 
 
        2*I*Sin[q/2]^2*Sin[s/2]^2*Sin[u]*Sin[r - t + v]*Sin[y] - 
 
        4*I*Cos[s]*Sin[q/2]^2*Sin[s/2]^2*Sin[u]*Sin[r - t + v]*Sin[y] - 
 
        2*I*Cos[q/2]^2*Cos[s/2]^2*Sin[u]*Sin[r + t + v]*Sin[y] + 
 
        4*I*Cos[q/2]^2*Cos[s/2]^2*Cos[s]*Sin[u]*Sin[r + t + v]*Sin[y] + 
 
        4*I*Cos[u]*Sin[q/2]^2*Sin[s/2]^2*Sin[y/2]^2*Sin[r - t - z] + 
 
        8*I*Cos[s]*Cos[u]*Sin[q/2]^2*Sin[s/2]^2*Sin[y/2]^2*
 
         Sin[r - t - z] + 4*I*Cos[q/2]^2*Cos[s/2]^2*Cos[u]*Sin[y/2]^2*
 
         Sin[r + t - z] - 8*I*Cos[q/2]^2*Cos[s/2]^2*Cos[s]*Cos[u]*
 
         Sin[y/2]^2*Sin[r + t - z] + 
 
        I*Sin[q/2]^2*Sin[2*s]*Sin[u]*Sin[y/2]^2*Sin[r - t - v - z] + 
 
        I*Cos[q/2]^2*Sin[2*s]*Sin[u]*Sin[y/2]^2*Sin[r + t - v - z] - 
 
        8*I*Cos[s/2]*Sin[q/2]^2*Sin[s/2]^3*Sin[u]*Sin[y/2]^2*
 
         Sin[r - t + v - z] + 8*I*Cos[q/2]^2*Cos[s/2]^3*Sin[s/2]*Sin[u]*
 
         Sin[y/2]^2*Sin[r + t + v - z] - 
 
        4*I*Cos[s/2]^2*Cos[u]*Cos[y/2]^2*Sin[q/2]^2*Sin[r - t + z] + 
 
        8*I*Cos[s/2]^2*Cos[s]*Cos[u]*Cos[y/2]^2*Sin[q/2]^2*
 
         Sin[r - t + z] - 4*I*Cos[q/2]^2*Cos[u]*Cos[y/2]^2*Sin[s/2]^2*
 
         Sin[r + t + z] - 8*I*Cos[q/2]^2*Cos[s]*Cos[u]*Cos[y/2]^2*
 
         Sin[s/2]^2*Sin[r + t + z] - 
 
        8*I*Cos[s/2]^3*Cos[y/2]^2*Sin[q/2]^2*Sin[s/2]*Sin[u]*
 
         Sin[r - t - v + z] + 8*I*Cos[q/2]^2*Cos[s/2]*Cos[y/2]^2*
 
         Sin[s/2]^3*Sin[u]*Sin[r + t - v + z] - 
 
        I*Cos[y/2]^2*Sin[q/2]^2*Sin[2*s]*Sin[u]*Sin[r - t + v + z] - 
 
        I*Cos[q/2]^2*Cos[y/2]^2*Sin[2*s]*Sin[u]*Sin[r + t + v + z]))/
 
    (128*2^(1/2)*Pi^2), (9*Sin[q]*
 
      (4*Cos[s/2]^2*Cos[u]*Cos[y/2]^2*Cos[t - z] - 
 
        8*Cos[s/2]^2*Cos[s]*Cos[u]*Cos[y/2]^2*Cos[t - z] - 
 
        4*Cos[u]*Cos[y/2]^2*Cos[t + z]*Sin[s/2]^2 - 
 
        8*Cos[s]*Cos[u]*Cos[y/2]^2*Cos[t + z]*Sin[s/2]^2 + 
 
        8*Cos[s/2]^3*Cos[y/2]^2*Cos[t + v - z]*Sin[s/2]*Sin[u] + 
 
        8*Cos[s/2]*Cos[y/2]^2*Cos[t - v + z]*Sin[s/2]^3*Sin[u] + 
 
        Cos[y/2]^2*Cos[t - v - z]*Sin[2*s]*Sin[u] - 
 
        Cos[y/2]^2*Cos[t + v + z]*Sin[2*s]*Sin[u] + 
 
        4*Cos[s/2]^2*Cos[u]*Cos[t - z]*Sin[y/2]^2 - 
 
        8*Cos[s/2]^2*Cos[s]*Cos[u]*Cos[t - z]*Sin[y/2]^2 - 
 
        4*Cos[u]*Cos[t + z]*Sin[s/2]^2*Sin[y/2]^2 - 
 
        8*Cos[s]*Cos[u]*Cos[t + z]*Sin[s/2]^2*Sin[y/2]^2 + 
 
        8*Cos[s/2]^3*Cos[t + v - z]*Sin[s/2]*Sin[u]*Sin[y/2]^2 + 
 
        8*Cos[s/2]*Cos[t - v + z]*Sin[s/2]^3*Sin[u]*Sin[y/2]^2 + 
 
        Cos[t - v - z]*Sin[2*s]*Sin[u]*Sin[y/2]^2 - 
 
        Cos[t + v + z]*Sin[2*s]*Sin[u]*Sin[y/2]^2 + 
 
        4*I*Cos[u]*Sin[2*s]*Sin[t]*Sin[y] - 
 
        4*I*Sin[s/2]^2*Sin[u]*Sin[t - v]*Sin[y] - 
 
        8*I*Cos[s]*Sin[s/2]^2*Sin[u]*Sin[t - v]*Sin[y] - 
 
        4*I*Cos[s/2]^2*Sin[u]*Sin[t + v]*Sin[y] + 
 
        8*I*Cos[s/2]^2*Cos[s]*Sin[u]*Sin[t + v]*Sin[y] - 
 
        4*I*Cos[s/2]^2*Cos[u]*Cos[y/2]^2*Sin[t - z] + 
 
        8*I*Cos[s/2]^2*Cos[s]*Cos[u]*Cos[y/2]^2*Sin[t - z] + 
 
        4*I*Cos[s/2]^2*Cos[u]*Sin[y/2]^2*Sin[t - z] - 
 
        8*I*Cos[s/2]^2*Cos[s]*Cos[u]*Sin[y/2]^2*Sin[t - z] - 
 
        I*Cos[y/2]^2*Sin[2*s]*Sin[u]*Sin[t - v - z] + 
 
        I*Sin[2*s]*Sin[u]*Sin[y/2]^2*Sin[t - v - z] - 
 
        8*I*Cos[s/2]^3*Cos[y/2]^2*Sin[s/2]*Sin[u]*Sin[t + v - z] + 
 
        8*I*Cos[s/2]^3*Sin[s/2]*Sin[u]*Sin[y/2]^2*Sin[t + v - z] - 
 
        4*I*Cos[u]*Cos[y/2]^2*Sin[s/2]^2*Sin[t + z] - 
 
        8*I*Cos[s]*Cos[u]*Cos[y/2]^2*Sin[s/2]^2*Sin[t + z] + 
 
        4*I*Cos[u]*Sin[s/2]^2*Sin[y/2]^2*Sin[t + z] + 
 
        8*I*Cos[s]*Cos[u]*Sin[s/2]^2*Sin[y/2]^2*Sin[t + z] + 
 
        8*I*Cos[s/2]*Cos[y/2]^2*Sin[s/2]^3*Sin[u]*Sin[t - v + z] - 
 
        8*I*Cos[s/2]*Sin[s/2]^3*Sin[u]*Sin[y/2]^2*Sin[t - v + z] - 
 
        I*Cos[y/2]^2*Sin[2*s]*Sin[u]*Sin[t + v + z] + 
 
        I*Sin[2*s]*Sin[u]*Sin[y/2]^2*Sin[t + v + z]))/(256*Pi^2), 
 
   (9*(-4*Cos[q/2]^2*Cos[s/2]^2*Cos[u]*Cos[y/2]^2*Cos[r + t - z] + 
 
        8*Cos[q/2]^2*Cos[s/2]^2*Cos[s]*Cos[u]*Cos[y/2]^2*Cos[r + t - z] - 
 
        4*Cos[u]*Cos[y/2]^2*Cos[r - t - z]*Sin[q/2]^2*Sin[s/2]^2 - 
 
        8*Cos[s]*Cos[u]*Cos[y/2]^2*Cos[r - t - z]*Sin[q/2]^2*Sin[s/2]^2 - 
 
        8*Cos[q/2]^2*Cos[s/2]^3*Cos[y/2]^2*Cos[r + t + v - z]*Sin[s/2]*
 
         Sin[u] + 8*Cos[s/2]*Cos[y/2]^2*Cos[r - t + v - z]*Sin[q/2]^2*
 
         Sin[s/2]^3*Sin[u] - Cos[q/2]^2*Cos[y/2]^2*Cos[r + t - v - z]*
 
         Sin[2*s]*Sin[u] - Cos[y/2]^2*Cos[r - t - v - z]*Sin[q/2]^2*
 
         Sin[2*s]*Sin[u] + 4*Cos[q/2]^2*Cos[r]*Cos[t]*Cos[u]*Cos[y/2]*
 
         Sin[2*s]*Sin[y/2] + 4*Cos[r]*Cos[t]*Cos[u]*Cos[y/2]*Sin[q/2]^2*
 
         Sin[2*s]*Sin[y/2] - 4*I*Cos[q/2]^2*Cos[t]*Cos[u]*Cos[y/2]*Sin[r]*
 
         Sin[2*s]*Sin[y/2] - 4*I*Cos[t]*Cos[u]*Cos[y/2]*Sin[q/2]^2*Sin[r]*
 
         Sin[2*s]*Sin[y/2] - 4*I*Cos[q/2]^2*Cos[r]*Cos[u]*Cos[y/2]*
 
         Sin[2*s]*Sin[t]*Sin[y/2] + 
 
        4*I*Cos[r]*Cos[u]*Cos[y/2]*Sin[q/2]^2*Sin[2*s]*Sin[t]*Sin[y/2] - 
 
        4*Cos[q/2]^2*Cos[u]*Cos[y/2]*Sin[r]*Sin[2*s]*Sin[t]*Sin[y/2] + 
 
        4*Cos[u]*Cos[y/2]*Sin[q/2]^2*Sin[r]*Sin[2*s]*Sin[t]*Sin[y/2] + 
 
        4*Cos[s/2]^2*Cos[u]*Cos[r - t + z]*Sin[q/2]^2*Sin[y/2]^2 - 
 
        8*Cos[s/2]^2*Cos[s]*Cos[u]*Cos[r - t + z]*Sin[q/2]^2*Sin[y/2]^2 + 
 
        4*Cos[q/2]^2*Cos[u]*Cos[r + t + z]*Sin[s/2]^2*Sin[y/2]^2 + 
 
        8*Cos[q/2]^2*Cos[s]*Cos[u]*Cos[r + t + z]*Sin[s/2]^2*Sin[y/2]^2 + 
 
        8*Cos[s/2]^3*Cos[r - t - v + z]*Sin[q/2]^2*Sin[s/2]*Sin[u]*
 
         Sin[y/2]^2 - 8*Cos[q/2]^2*Cos[s/2]*Cos[r + t - v + z]*Sin[s/2]^3*
 
         Sin[u]*Sin[y/2]^2 + Cos[q/2]^2*Cos[r + t + v + z]*Sin[2*s]*Sin[u]*
 
         Sin[y/2]^2 + Cos[r - t + v + z]*Sin[q/2]^2*Sin[2*s]*Sin[u]*
 
         Sin[y/2]^2 - 2*Cos[q/2]^2*Cos[s/2]^2*Cos[r + t + v]*Sin[u]*
 
         Sin[y] + 4*Cos[q/2]^2*Cos[s/2]^2*Cos[s]*Cos[r + t + v]*Sin[u]*
 
         Sin[y] - 2*Cos[s/2]^2*Cos[r - t - v]*Sin[q/2]^2*Sin[u]*Sin[y] + 
 
        4*Cos[s/2]^2*Cos[s]*Cos[r - t - v]*Sin[q/2]^2*Sin[u]*Sin[y] - 
 
        2*Cos[q/2]^2*Cos[r + t - v]*Sin[s/2]^2*Sin[u]*Sin[y] - 
 
        4*Cos[q/2]^2*Cos[s]*Cos[r + t - v]*Sin[s/2]^2*Sin[u]*Sin[y] - 
 
        2*Cos[r - t + v]*Sin[q/2]^2*Sin[s/2]^2*Sin[u]*Sin[y] - 
 
        4*Cos[s]*Cos[r - t + v]*Sin[q/2]^2*Sin[s/2]^2*Sin[u]*Sin[y] + 
 
        2*I*Cos[s/2]^2*Sin[q/2]^2*Sin[u]*Sin[r - t - v]*Sin[y] - 
 
        4*I*Cos[s/2]^2*Cos[s]*Sin[q/2]^2*Sin[u]*Sin[r - t - v]*Sin[y] + 
 
        2*I*Cos[q/2]^2*Sin[s/2]^2*Sin[u]*Sin[r + t - v]*Sin[y] + 
 
        4*I*Cos[q/2]^2*Cos[s]*Sin[s/2]^2*Sin[u]*Sin[r + t - v]*Sin[y] + 
 
        2*I*Sin[q/2]^2*Sin[s/2]^2*Sin[u]*Sin[r - t + v]*Sin[y] + 
 
        4*I*Cos[s]*Sin[q/2]^2*Sin[s/2]^2*Sin[u]*Sin[r - t + v]*Sin[y] + 
 
        2*I*Cos[q/2]^2*Cos[s/2]^2*Sin[u]*Sin[r + t + v]*Sin[y] - 
 
        4*I*Cos[q/2]^2*Cos[s/2]^2*Cos[s]*Sin[u]*Sin[r + t + v]*Sin[y] + 
 
        4*I*Cos[u]*Cos[y/2]^2*Sin[q/2]^2*Sin[s/2]^2*Sin[r - t - z] + 
 
        8*I*Cos[s]*Cos[u]*Cos[y/2]^2*Sin[q/2]^2*Sin[s/2]^2*
 
         Sin[r - t - z] + 4*I*Cos[q/2]^2*Cos[s/2]^2*Cos[u]*Cos[y/2]^2*
 
         Sin[r + t - z] - 8*I*Cos[q/2]^2*Cos[s/2]^2*Cos[s]*Cos[u]*
 
         Cos[y/2]^2*Sin[r + t - z] + 
 
        I*Cos[y/2]^2*Sin[q/2]^2*Sin[2*s]*Sin[u]*Sin[r - t - v - z] + 
 
        I*Cos[q/2]^2*Cos[y/2]^2*Sin[2*s]*Sin[u]*Sin[r + t - v - z] - 
 
        8*I*Cos[s/2]*Cos[y/2]^2*Sin[q/2]^2*Sin[s/2]^3*Sin[u]*
 
         Sin[r - t + v - z] + 8*I*Cos[q/2]^2*Cos[s/2]^3*Cos[y/2]^2*
 
         Sin[s/2]*Sin[u]*Sin[r + t + v - z] - 
 
        4*I*Cos[s/2]^2*Cos[u]*Sin[q/2]^2*Sin[y/2]^2*Sin[r - t + z] + 
 
        8*I*Cos[s/2]^2*Cos[s]*Cos[u]*Sin[q/2]^2*Sin[y/2]^2*
 
         Sin[r - t + z] - 4*I*Cos[q/2]^2*Cos[u]*Sin[s/2]^2*Sin[y/2]^2*
 
         Sin[r + t + z] - 8*I*Cos[q/2]^2*Cos[s]*Cos[u]*Sin[s/2]^2*
 
         Sin[y/2]^2*Sin[r + t + z] - 
 
        8*I*Cos[s/2]^3*Sin[q/2]^2*Sin[s/2]*Sin[u]*Sin[y/2]^2*
 
         Sin[r - t - v + z] + 8*I*Cos[q/2]^2*Cos[s/2]*Sin[s/2]^3*Sin[u]*
 
         Sin[y/2]^2*Sin[r + t - v + z] - 
 
        I*Sin[q/2]^2*Sin[2*s]*Sin[u]*Sin[y/2]^2*Sin[r - t + v + z] - 
 
        I*Cos[q/2]^2*Sin[2*s]*Sin[u]*Sin[y/2]^2*Sin[r + t + v + z]))/
 
    (128*2^(1/2)*Pi^2)}, {0, 0, 0}, 
 
  {(9*(-4*Cos[q/2]^2*Cos[s/2]^2*Cos[u]*Cos[y/2]^2*Cos[r + t - z] + 
 
        8*Cos[q/2]^2*Cos[s/2]^2*Cos[s]*Cos[u]*Cos[y/2]^2*Cos[r + t - z] - 
 
        4*Cos[u]*Cos[y/2]^2*Cos[r - t - z]*Sin[q/2]^2*Sin[s/2]^2 - 
 
        8*Cos[s]*Cos[u]*Cos[y/2]^2*Cos[r - t - z]*Sin[q/2]^2*Sin[s/2]^2 - 
 
        8*Cos[q/2]^2*Cos[s/2]^3*Cos[y/2]^2*Cos[r + t + v - z]*Sin[s/2]*
 
         Sin[u] + 8*Cos[s/2]*Cos[y/2]^2*Cos[r - t + v - z]*Sin[q/2]^2*
 
         Sin[s/2]^3*Sin[u] - Cos[q/2]^2*Cos[y/2]^2*Cos[r + t - v - z]*
 
         Sin[2*s]*Sin[u] - Cos[y/2]^2*Cos[r - t - v - z]*Sin[q/2]^2*
 
         Sin[2*s]*Sin[u] + 4*Cos[q/2]^2*Cos[r]*Cos[t]*Cos[u]*Cos[y/2]*
 
         Sin[2*s]*Sin[y/2] + 4*Cos[r]*Cos[t]*Cos[u]*Cos[y/2]*Sin[q/2]^2*
 
         Sin[2*s]*Sin[y/2] + 4*I*Cos[q/2]^2*Cos[t]*Cos[u]*Cos[y/2]*Sin[r]*
 
         Sin[2*s]*Sin[y/2] + 4*I*Cos[t]*Cos[u]*Cos[y/2]*Sin[q/2]^2*Sin[r]*
 
         Sin[2*s]*Sin[y/2] + 4*I*Cos[q/2]^2*Cos[r]*Cos[u]*Cos[y/2]*
 
         Sin[2*s]*Sin[t]*Sin[y/2] - 
 
        4*I*Cos[r]*Cos[u]*Cos[y/2]*Sin[q/2]^2*Sin[2*s]*Sin[t]*Sin[y/2] - 
 
        4*Cos[q/2]^2*Cos[u]*Cos[y/2]*Sin[r]*Sin[2*s]*Sin[t]*Sin[y/2] + 
 
        4*Cos[u]*Cos[y/2]*Sin[q/2]^2*Sin[r]*Sin[2*s]*Sin[t]*Sin[y/2] + 
 
        4*Cos[s/2]^2*Cos[u]*Cos[r - t + z]*Sin[q/2]^2*Sin[y/2]^2 - 
 
        8*Cos[s/2]^2*Cos[s]*Cos[u]*Cos[r - t + z]*Sin[q/2]^2*Sin[y/2]^2 + 
 
        4*Cos[q/2]^2*Cos[u]*Cos[r + t + z]*Sin[s/2]^2*Sin[y/2]^2 + 
 
        8*Cos[q/2]^2*Cos[s]*Cos[u]*Cos[r + t + z]*Sin[s/2]^2*Sin[y/2]^2 + 
 
        8*Cos[s/2]^3*Cos[r - t - v + z]*Sin[q/2]^2*Sin[s/2]*Sin[u]*
 
         Sin[y/2]^2 - 8*Cos[q/2]^2*Cos[s/2]*Cos[r + t - v + z]*Sin[s/2]^3*
 
         Sin[u]*Sin[y/2]^2 + Cos[q/2]^2*Cos[r + t + v + z]*Sin[2*s]*Sin[u]*
 
         Sin[y/2]^2 + Cos[r - t + v + z]*Sin[q/2]^2*Sin[2*s]*Sin[u]*
 
         Sin[y/2]^2 - 2*Cos[q/2]^2*Cos[s/2]^2*Cos[r + t + v]*Sin[u]*
 
         Sin[y] + 4*Cos[q/2]^2*Cos[s/2]^2*Cos[s]*Cos[r + t + v]*Sin[u]*
 
         Sin[y] - 2*Cos[s/2]^2*Cos[r - t - v]*Sin[q/2]^2*Sin[u]*Sin[y] + 
 
        4*Cos[s/2]^2*Cos[s]*Cos[r - t - v]*Sin[q/2]^2*Sin[u]*Sin[y] - 
 
        2*Cos[q/2]^2*Cos[r + t - v]*Sin[s/2]^2*Sin[u]*Sin[y] - 
 
        4*Cos[q/2]^2*Cos[s]*Cos[r + t - v]*Sin[s/2]^2*Sin[u]*Sin[y] - 
 
        2*Cos[r - t + v]*Sin[q/2]^2*Sin[s/2]^2*Sin[u]*Sin[y] - 
 
        4*Cos[s]*Cos[r - t + v]*Sin[q/2]^2*Sin[s/2]^2*Sin[u]*Sin[y] - 
 
        2*I*Cos[s/2]^2*Sin[q/2]^2*Sin[u]*Sin[r - t - v]*Sin[y] + 
 
        4*I*Cos[s/2]^2*Cos[s]*Sin[q/2]^2*Sin[u]*Sin[r - t - v]*Sin[y] - 
 
        2*I*Cos[q/2]^2*Sin[s/2]^2*Sin[u]*Sin[r + t - v]*Sin[y] - 
 
        4*I*Cos[q/2]^2*Cos[s]*Sin[s/2]^2*Sin[u]*Sin[r + t - v]*Sin[y] - 
 
        2*I*Sin[q/2]^2*Sin[s/2]^2*Sin[u]*Sin[r - t + v]*Sin[y] - 
 
        4*I*Cos[s]*Sin[q/2]^2*Sin[s/2]^2*Sin[u]*Sin[r - t + v]*Sin[y] - 
 
        2*I*Cos[q/2]^2*Cos[s/2]^2*Sin[u]*Sin[r + t + v]*Sin[y] + 
 
        4*I*Cos[q/2]^2*Cos[s/2]^2*Cos[s]*Sin[u]*Sin[r + t + v]*Sin[y] - 
 
        4*I*Cos[u]*Cos[y/2]^2*Sin[q/2]^2*Sin[s/2]^2*Sin[r - t - z] - 
 
        8*I*Cos[s]*Cos[u]*Cos[y/2]^2*Sin[q/2]^2*Sin[s/2]^2*
 
         Sin[r - t - z] - 4*I*Cos[q/2]^2*Cos[s/2]^2*Cos[u]*Cos[y/2]^2*
 
         Sin[r + t - z] + 8*I*Cos[q/2]^2*Cos[s/2]^2*Cos[s]*Cos[u]*
 
         Cos[y/2]^2*Sin[r + t - z] - 
 
        I*Cos[y/2]^2*Sin[q/2]^2*Sin[2*s]*Sin[u]*Sin[r - t - v - z] - 
 
        I*Cos[q/2]^2*Cos[y/2]^2*Sin[2*s]*Sin[u]*Sin[r + t - v - z] + 
 
        8*I*Cos[s/2]*Cos[y/2]^2*Sin[q/2]^2*Sin[s/2]^3*Sin[u]*
 
         Sin[r - t + v - z] - 8*I*Cos[q/2]^2*Cos[s/2]^3*Cos[y/2]^2*
 
         Sin[s/2]*Sin[u]*Sin[r + t + v - z] + 
 
        4*I*Cos[s/2]^2*Cos[u]*Sin[q/2]^2*Sin[y/2]^2*Sin[r - t + z] - 
 
        8*I*Cos[s/2]^2*Cos[s]*Cos[u]*Sin[q/2]^2*Sin[y/2]^2*
 
         Sin[r - t + z] + 4*I*Cos[q/2]^2*Cos[u]*Sin[s/2]^2*Sin[y/2]^2*
 
         Sin[r + t + z] + 8*I*Cos[q/2]^2*Cos[s]*Cos[u]*Sin[s/2]^2*
 
         Sin[y/2]^2*Sin[r + t + z] + 
 
        8*I*Cos[s/2]^3*Sin[q/2]^2*Sin[s/2]*Sin[u]*Sin[y/2]^2*
 
         Sin[r - t - v + z] - 8*I*Cos[q/2]^2*Cos[s/2]*Sin[s/2]^3*Sin[u]*
 
         Sin[y/2]^2*Sin[r + t - v + z] + 
 
        I*Sin[q/2]^2*Sin[2*s]*Sin[u]*Sin[y/2]^2*Sin[r - t + v + z] + 
 
        I*Cos[q/2]^2*Sin[2*s]*Sin[u]*Sin[y/2]^2*Sin[r + t + v + z]))/
 
    (128*2^(1/2)*Pi^2), (9*Sin[q]*
 
      (-4*Cos[s/2]^2*Cos[u]*Cos[y/2]^2*Cos[t - z] + 
 
        8*Cos[s/2]^2*Cos[s]*Cos[u]*Cos[y/2]^2*Cos[t - z] + 
 
        4*Cos[u]*Cos[y/2]^2*Cos[t + z]*Sin[s/2]^2 + 
 
        8*Cos[s]*Cos[u]*Cos[y/2]^2*Cos[t + z]*Sin[s/2]^2 - 
 
        8*Cos[s/2]^3*Cos[y/2]^2*Cos[t + v - z]*Sin[s/2]*Sin[u] - 
 
        8*Cos[s/2]*Cos[y/2]^2*Cos[t - v + z]*Sin[s/2]^3*Sin[u] - 
 
        Cos[y/2]^2*Cos[t - v - z]*Sin[2*s]*Sin[u] + 
 
        Cos[y/2]^2*Cos[t + v + z]*Sin[2*s]*Sin[u] - 
 
        4*Cos[s/2]^2*Cos[u]*Cos[t - z]*Sin[y/2]^2 + 
 
        8*Cos[s/2]^2*Cos[s]*Cos[u]*Cos[t - z]*Sin[y/2]^2 + 
 
        4*Cos[u]*Cos[t + z]*Sin[s/2]^2*Sin[y/2]^2 + 
 
        8*Cos[s]*Cos[u]*Cos[t + z]*Sin[s/2]^2*Sin[y/2]^2 - 
 
        8*Cos[s/2]^3*Cos[t + v - z]*Sin[s/2]*Sin[u]*Sin[y/2]^2 - 
 
        8*Cos[s/2]*Cos[t - v + z]*Sin[s/2]^3*Sin[u]*Sin[y/2]^2 - 
 
        Cos[t - v - z]*Sin[2*s]*Sin[u]*Sin[y/2]^2 + 
 
        Cos[t + v + z]*Sin[2*s]*Sin[u]*Sin[y/2]^2 + 
 
        4*I*Cos[u]*Sin[2*s]*Sin[t]*Sin[y] - 
 
        4*I*Sin[s/2]^2*Sin[u]*Sin[t - v]*Sin[y] - 
 
        8*I*Cos[s]*Sin[s/2]^2*Sin[u]*Sin[t - v]*Sin[y] - 
 
        4*I*Cos[s/2]^2*Sin[u]*Sin[t + v]*Sin[y] + 
 
        8*I*Cos[s/2]^2*Cos[s]*Sin[u]*Sin[t + v]*Sin[y] - 
 
        4*I*Cos[s/2]^2*Cos[u]*Cos[y/2]^2*Sin[t - z] + 
 
        8*I*Cos[s/2]^2*Cos[s]*Cos[u]*Cos[y/2]^2*Sin[t - z] + 
 
        4*I*Cos[s/2]^2*Cos[u]*Sin[y/2]^2*Sin[t - z] - 
 
        8*I*Cos[s/2]^2*Cos[s]*Cos[u]*Sin[y/2]^2*Sin[t - z] - 
 
        I*Cos[y/2]^2*Sin[2*s]*Sin[u]*Sin[t - v - z] + 
 
        I*Sin[2*s]*Sin[u]*Sin[y/2]^2*Sin[t - v - z] - 
 
        8*I*Cos[s/2]^3*Cos[y/2]^2*Sin[s/2]*Sin[u]*Sin[t + v - z] + 
 
        8*I*Cos[s/2]^3*Sin[s/2]*Sin[u]*Sin[y/2]^2*Sin[t + v - z] - 
 
        4*I*Cos[u]*Cos[y/2]^2*Sin[s/2]^2*Sin[t + z] - 
 
        8*I*Cos[s]*Cos[u]*Cos[y/2]^2*Sin[s/2]^2*Sin[t + z] + 
 
        4*I*Cos[u]*Sin[s/2]^2*Sin[y/2]^2*Sin[t + z] + 
 
        8*I*Cos[s]*Cos[u]*Sin[s/2]^2*Sin[y/2]^2*Sin[t + z] + 
 
        8*I*Cos[s/2]*Cos[y/2]^2*Sin[s/2]^3*Sin[u]*Sin[t - v + z] - 
 
        8*I*Cos[s/2]*Sin[s/2]^3*Sin[u]*Sin[y/2]^2*Sin[t - v + z] - 
 
        I*Cos[y/2]^2*Sin[2*s]*Sin[u]*Sin[t + v + z] + 
 
        I*Sin[2*s]*Sin[u]*Sin[y/2]^2*Sin[t + v + z]))/(256*Pi^2), 
 
   (9*(-4*Cos[s/2]^2*Cos[u]*Cos[y/2]^2*Cos[r - t + z]*Sin[q/2]^2 + 
 
        8*Cos[s/2]^2*Cos[s]*Cos[u]*Cos[y/2]^2*Cos[r - t + z]*Sin[q/2]^2 - 
 
        4*Cos[q/2]^2*Cos[u]*Cos[y/2]^2*Cos[r + t + z]*Sin[s/2]^2 - 
 
        8*Cos[q/2]^2*Cos[s]*Cos[u]*Cos[y/2]^2*Cos[r + t + z]*Sin[s/2]^2 - 
 
        8*Cos[s/2]^3*Cos[y/2]^2*Cos[r - t - v + z]*Sin[q/2]^2*Sin[s/2]*
 
         Sin[u] + 8*Cos[q/2]^2*Cos[s/2]*Cos[y/2]^2*Cos[r + t - v + z]*
 
         Sin[s/2]^3*Sin[u] - Cos[q/2]^2*Cos[y/2]^2*Cos[r + t + v + z]*
 
         Sin[2*s]*Sin[u] - Cos[y/2]^2*Cos[r - t + v + z]*Sin[q/2]^2*
 
         Sin[2*s]*Sin[u] + 4*Cos[q/2]^2*Cos[r]*Cos[t]*Cos[u]*Cos[y/2]*
 
         Sin[2*s]*Sin[y/2] + 4*Cos[r]*Cos[t]*Cos[u]*Cos[y/2]*Sin[q/2]^2*
 
         Sin[2*s]*Sin[y/2] - 4*I*Cos[q/2]^2*Cos[t]*Cos[u]*Cos[y/2]*Sin[r]*
 
         Sin[2*s]*Sin[y/2] - 4*I*Cos[t]*Cos[u]*Cos[y/2]*Sin[q/2]^2*Sin[r]*
 
         Sin[2*s]*Sin[y/2] - 4*I*Cos[q/2]^2*Cos[r]*Cos[u]*Cos[y/2]*
 
         Sin[2*s]*Sin[t]*Sin[y/2] + 
 
        4*I*Cos[r]*Cos[u]*Cos[y/2]*Sin[q/2]^2*Sin[2*s]*Sin[t]*Sin[y/2] - 
 
        4*Cos[q/2]^2*Cos[u]*Cos[y/2]*Sin[r]*Sin[2*s]*Sin[t]*Sin[y/2] + 
 
        4*Cos[u]*Cos[y/2]*Sin[q/2]^2*Sin[r]*Sin[2*s]*Sin[t]*Sin[y/2] + 
 
        4*Cos[q/2]^2*Cos[s/2]^2*Cos[u]*Cos[r + t - z]*Sin[y/2]^2 - 
 
        8*Cos[q/2]^2*Cos[s/2]^2*Cos[s]*Cos[u]*Cos[r + t - z]*Sin[y/2]^2 + 
 
        4*Cos[u]*Cos[r - t - z]*Sin[q/2]^2*Sin[s/2]^2*Sin[y/2]^2 + 
 
        8*Cos[s]*Cos[u]*Cos[r - t - z]*Sin[q/2]^2*Sin[s/2]^2*Sin[y/2]^2 + 
 
        8*Cos[q/2]^2*Cos[s/2]^3*Cos[r + t + v - z]*Sin[s/2]*Sin[u]*
 
         Sin[y/2]^2 - 8*Cos[s/2]*Cos[r - t + v - z]*Sin[q/2]^2*Sin[s/2]^3*
 
         Sin[u]*Sin[y/2]^2 + Cos[q/2]^2*Cos[r + t - v - z]*Sin[2*s]*Sin[u]*
 
         Sin[y/2]^2 + Cos[r - t - v - z]*Sin[q/2]^2*Sin[2*s]*Sin[u]*
 
         Sin[y/2]^2 - 2*Cos[q/2]^2*Cos[s/2]^2*Cos[r + t + v]*Sin[u]*
 
         Sin[y] + 4*Cos[q/2]^2*Cos[s/2]^2*Cos[s]*Cos[r + t + v]*Sin[u]*
 
         Sin[y] - 2*Cos[s/2]^2*Cos[r - t - v]*Sin[q/2]^2*Sin[u]*Sin[y] + 
 
        4*Cos[s/2]^2*Cos[s]*Cos[r - t - v]*Sin[q/2]^2*Sin[u]*Sin[y] - 
 
        2*Cos[q/2]^2*Cos[r + t - v]*Sin[s/2]^2*Sin[u]*Sin[y] - 
 
        4*Cos[q/2]^2*Cos[s]*Cos[r + t - v]*Sin[s/2]^2*Sin[u]*Sin[y] - 
 
        2*Cos[r - t + v]*Sin[q/2]^2*Sin[s/2]^2*Sin[u]*Sin[y] - 
 
        4*Cos[s]*Cos[r - t + v]*Sin[q/2]^2*Sin[s/2]^2*Sin[u]*Sin[y] + 
 
        2*I*Cos[s/2]^2*Sin[q/2]^2*Sin[u]*Sin[r - t - v]*Sin[y] - 
 
        4*I*Cos[s/2]^2*Cos[s]*Sin[q/2]^2*Sin[u]*Sin[r - t - v]*Sin[y] + 
 
        2*I*Cos[q/2]^2*Sin[s/2]^2*Sin[u]*Sin[r + t - v]*Sin[y] + 
 
        4*I*Cos[q/2]^2*Cos[s]*Sin[s/2]^2*Sin[u]*Sin[r + t - v]*Sin[y] + 
 
        2*I*Sin[q/2]^2*Sin[s/2]^2*Sin[u]*Sin[r - t + v]*Sin[y] + 
 
        4*I*Cos[s]*Sin[q/2]^2*Sin[s/2]^2*Sin[u]*Sin[r - t + v]*Sin[y] + 
 
        2*I*Cos[q/2]^2*Cos[s/2]^2*Sin[u]*Sin[r + t + v]*Sin[y] - 
 
        4*I*Cos[q/2]^2*Cos[s/2]^2*Cos[s]*Sin[u]*Sin[r + t + v]*Sin[y] - 
 
        4*I*Cos[u]*Sin[q/2]^2*Sin[s/2]^2*Sin[y/2]^2*Sin[r - t - z] - 
 
        8*I*Cos[s]*Cos[u]*Sin[q/2]^2*Sin[s/2]^2*Sin[y/2]^2*
 
         Sin[r - t - z] - 4*I*Cos[q/2]^2*Cos[s/2]^2*Cos[u]*Sin[y/2]^2*
 
         Sin[r + t - z] + 8*I*Cos[q/2]^2*Cos[s/2]^2*Cos[s]*Cos[u]*
 
         Sin[y/2]^2*Sin[r + t - z] - 
 
        I*Sin[q/2]^2*Sin[2*s]*Sin[u]*Sin[y/2]^2*Sin[r - t - v - z] - 
 
        I*Cos[q/2]^2*Sin[2*s]*Sin[u]*Sin[y/2]^2*Sin[r + t - v - z] + 
 
        8*I*Cos[s/2]*Sin[q/2]^2*Sin[s/2]^3*Sin[u]*Sin[y/2]^2*
 
         Sin[r - t + v - z] - 8*I*Cos[q/2]^2*Cos[s/2]^3*Sin[s/2]*Sin[u]*
 
         Sin[y/2]^2*Sin[r + t + v - z] + 
 
        4*I*Cos[s/2]^2*Cos[u]*Cos[y/2]^2*Sin[q/2]^2*Sin[r - t + z] - 
 
        8*I*Cos[s/2]^2*Cos[s]*Cos[u]*Cos[y/2]^2*Sin[q/2]^2*
 
         Sin[r - t + z] + 4*I*Cos[q/2]^2*Cos[u]*Cos[y/2]^2*Sin[s/2]^2*
 
         Sin[r + t + z] + 8*I*Cos[q/2]^2*Cos[s]*Cos[u]*Cos[y/2]^2*
 
         Sin[s/2]^2*Sin[r + t + z] + 
 
        8*I*Cos[s/2]^3*Cos[y/2]^2*Sin[q/2]^2*Sin[s/2]*Sin[u]*
 
         Sin[r - t - v + z] - 8*I*Cos[q/2]^2*Cos[s/2]*Cos[y/2]^2*
 
         Sin[s/2]^3*Sin[u]*Sin[r + t - v + z] + 
 
        I*Cos[y/2]^2*Sin[q/2]^2*Sin[2*s]*Sin[u]*Sin[r - t + v + z] + 
 
        I*Cos[q/2]^2*Cos[y/2]^2*Sin[2*s]*Sin[u]*Sin[r + t + v + z]))/
 
    (128*2^(1/2)*Pi^2)}}
;[o]
             s 2            y 2                    q 2
{{(9 (-4 Cos[-]  Cos[u] Cos[-]  Cos[r - t + z] Sin[-]  + 
             2              2                      2
 
              s 2                   y 2                    q 2
        8 Cos[-]  Cos[s] Cos[u] Cos[-]  Cos[r - t + z] Sin[-]  - 
              2                     2                      2
 
              q 2            y 2                    s 2
        4 Cos[-]  Cos[u] Cos[-]  Cos[r + t + z] Sin[-]  - 
              2              2                      2
 
              q 2                   y 2                    s 2
        8 Cos[-]  Cos[s] Cos[u] Cos[-]  Cos[r + t + z] Sin[-]  - 
              2                     2                      2
 
              s 3     y 2                        q 2     s
        8 Cos[-]  Cos[-]  Cos[r - t - v + z] Sin[-]  Sin[-] Sin[u] + 
              2       2                          2       2
 
              q 2     s      y 2                        s 3
        8 Cos[-]  Cos[-] Cos[-]  Cos[r + t - v + z] Sin[-]  Sin[u] - 
              2       2      2                          2
 
            q 2     y 2
        Cos[-]  Cos[-]  Cos[r + t + v + z] Sin[2 s] Sin[u] - 
            2       2
 
            y 2                        q 2
        Cos[-]  Cos[r - t + v + z] Sin[-]  Sin[2 s] Sin[u] + 
            2                          2
 
              q 2                          y               y
        4 Cos[-]  Cos[r] Cos[t] Cos[u] Cos[-] Sin[2 s] Sin[-] + 
              2                            2               2
 
                                   y      q 2              y
        4 Cos[r] Cos[t] Cos[u] Cos[-] Sin[-]  Sin[2 s] Sin[-] + 
                                   2      2                2
 
                q 2                   y                      y
        4 I Cos[-]  Cos[t] Cos[u] Cos[-] Sin[r] Sin[2 s] Sin[-] + 
                2                     2                      2
 
                              y      q 2                     y
        4 I Cos[t] Cos[u] Cos[-] Sin[-]  Sin[r] Sin[2 s] Sin[-] + 
                              2      2                       2
 
                q 2                   y                      y
        4 I Cos[-]  Cos[r] Cos[u] Cos[-] Sin[2 s] Sin[t] Sin[-] - 
                2                     2                      2
 
                              y      q 2                     y
        4 I Cos[r] Cos[u] Cos[-] Sin[-]  Sin[2 s] Sin[t] Sin[-] - 
                              2      2                       2
 
              q 2            y                             y
        4 Cos[-]  Cos[u] Cos[-] Sin[r] Sin[2 s] Sin[t] Sin[-] + 
              2              2                             2
 
                     y      q 2                            y
        4 Cos[u] Cos[-] Sin[-]  Sin[r] Sin[2 s] Sin[t] Sin[-] + 
                     2      2                              2
 
              q 2     s 2                           y 2
        4 Cos[-]  Cos[-]  Cos[u] Cos[r + t - z] Sin[-]  - 
              2       2                             2
 
              q 2     s 2                                  y 2
        8 Cos[-]  Cos[-]  Cos[s] Cos[u] Cos[r + t - z] Sin[-]  + 
              2       2                                    2
 
                                    q 2     s 2     y 2
        4 Cos[u] Cos[r - t - z] Sin[-]  Sin[-]  Sin[-]  + 
                                    2       2       2
 
                                           q 2     s 2     y 2
        8 Cos[s] Cos[u] Cos[r - t - z] Sin[-]  Sin[-]  Sin[-]  + 
                                           2       2       2
 
              q 2     s 3                        s             y 2
        8 Cos[-]  Cos[-]  Cos[r + t + v - z] Sin[-] Sin[u] Sin[-]  - 
              2       2                          2             2
 
              s                         q 2     s 3            y 2
        8 Cos[-] Cos[r - t + v - z] Sin[-]  Sin[-]  Sin[u] Sin[-]  + 
              2                         2       2              2
 
            q 2                                        y 2
        Cos[-]  Cos[r + t - v - z] Sin[2 s] Sin[u] Sin[-]  + 
            2                                          2
 
                               q 2                     y 2
        Cos[r - t - v - z] Sin[-]  Sin[2 s] Sin[u] Sin[-]  - 
                               2                       2
 
              q 2     s 2
        2 Cos[-]  Cos[-]  Cos[r + t + v] Sin[u] Sin[y] + 
              2       2
 
              q 2     s 2
        4 Cos[-]  Cos[-]  Cos[s] Cos[r + t + v] Sin[u] Sin[y] - 
              2       2
 
              s 2                    q 2
        2 Cos[-]  Cos[r - t - v] Sin[-]  Sin[u] Sin[y] + 
              2                      2
 
              s 2                           q 2
        4 Cos[-]  Cos[s] Cos[r - t - v] Sin[-]  Sin[u] Sin[y] - 
              2                             2
 
              q 2                    s 2
        2 Cos[-]  Cos[r + t - v] Sin[-]  Sin[u] Sin[y] - 
              2                      2
 
              q 2                           s 2
        4 Cos[-]  Cos[s] Cos[r + t - v] Sin[-]  Sin[u] Sin[y] - 
              2                             2
 
                             q 2     s 2
        2 Cos[r - t + v] Sin[-]  Sin[-]  Sin[u] Sin[y] - 
                             2       2
 
                                    q 2     s 2
        4 Cos[s] Cos[r - t + v] Sin[-]  Sin[-]  Sin[u] Sin[y] - 
                                    2       2
 
                s 2     q 2
        2 I Cos[-]  Sin[-]  Sin[u] Sin[r - t - v] Sin[y] + 
                2       2
 
                s 2            q 2
        4 I Cos[-]  Cos[s] Sin[-]  Sin[u] Sin[r - t - v] Sin[y] - 
                2              2
 
                q 2     s 2
        2 I Cos[-]  Sin[-]  Sin[u] Sin[r + t - v] Sin[y] - 
                2       2
 
                q 2            s 2
        4 I Cos[-]  Cos[s] Sin[-]  Sin[u] Sin[r + t - v] Sin[y] - 
                2              2
 
                q 2     s 2
        2 I Sin[-]  Sin[-]  Sin[u] Sin[r - t + v] Sin[y] - 
                2       2
 
                       q 2     s 2
        4 I Cos[s] Sin[-]  Sin[-]  Sin[u] Sin[r - t + v] Sin[y] - 
                       2       2
 
                q 2     s 2
        2 I Cos[-]  Cos[-]  Sin[u] Sin[r + t + v] Sin[y] + 
                2       2
 
                q 2     s 2
        4 I Cos[-]  Cos[-]  Cos[s] Sin[u] Sin[r + t + v] Sin[y] + 
                2       2
 
                       q 2     s 2     y 2
        4 I Cos[u] Sin[-]  Sin[-]  Sin[-]  Sin[r - t - z] + 
                       2       2       2
 
                              q 2     s 2     y 2
        8 I Cos[s] Cos[u] Sin[-]  Sin[-]  Sin[-]  Sin[r - t - z] + 
                              2       2       2
 
                q 2     s 2            y 2
        4 I Cos[-]  Cos[-]  Cos[u] Sin[-]  Sin[r + t - z] - 
                2       2              2
 
                q 2     s 2                   y 2
        8 I Cos[-]  Cos[-]  Cos[s] Cos[u] Sin[-]  Sin[r + t - z] + 
                2       2                     2
 
              q 2                     y 2
        I Sin[-]  Sin[2 s] Sin[u] Sin[-]  Sin[r - t - v - z] + 
              2                       2
 
              q 2                     y 2
        I Cos[-]  Sin[2 s] Sin[u] Sin[-]  Sin[r + t - v - z] - 
              2                       2
 
                s      q 2     s 3            y 2
        8 I Cos[-] Sin[-]  Sin[-]  Sin[u] Sin[-]  Sin[r - t + v - z] + 
                2      2       2              2
 
                q 2     s 3     s             y 2
        8 I Cos[-]  Cos[-]  Sin[-] Sin[u] Sin[-]  Sin[r + t + v - z] - 
                2       2       2             2
 
                s 2            y 2     q 2
        4 I Cos[-]  Cos[u] Cos[-]  Sin[-]  Sin[r - t + z] + 
                2              2       2
 
                s 2                   y 2     q 2
        8 I Cos[-]  Cos[s] Cos[u] Cos[-]  Sin[-]  Sin[r - t + z] - 
                2                     2       2
 
                q 2            y 2     s 2
        4 I Cos[-]  Cos[u] Cos[-]  Sin[-]  Sin[r + t + z] - 
                2              2       2
 
                q 2                   y 2     s 2
        8 I Cos[-]  Cos[s] Cos[u] Cos[-]  Sin[-]  Sin[r + t + z] - 
                2                     2       2
 
                s 3     y 2     q 2     s
        8 I Cos[-]  Cos[-]  Sin[-]  Sin[-] Sin[u] Sin[r - t - v + z] + 
                2       2       2       2
 
                q 2     s      y 2     s 3
        8 I Cos[-]  Cos[-] Cos[-]  Sin[-]  Sin[u] Sin[r + t - v + z] - 
                2       2      2       2
 
              y 2     q 2
        I Cos[-]  Sin[-]  Sin[2 s] Sin[u] Sin[r - t + v + z] - 
              2       2
 
              q 2     y 2
        I Cos[-]  Cos[-]  Sin[2 s] Sin[u] Sin[r + t + v + z])) / 
              2       2
 
                   2
    (128 Sqrt[2] Pi ), (9 Sin[q] 
 
             s 2            y 2
      (4 Cos[-]  Cos[u] Cos[-]  Cos[t - z] - 
             2              2
 
              s 2                   y 2
        8 Cos[-]  Cos[s] Cos[u] Cos[-]  Cos[t - z] - 
              2                     2
 
                     y 2                s 2
        4 Cos[u] Cos[-]  Cos[t + z] Sin[-]  - 
                     2                  2
 
                            y 2                s 2
        8 Cos[s] Cos[u] Cos[-]  Cos[t + z] Sin[-]  + 
                            2                  2
 
              s 3     y 2                    s
        8 Cos[-]  Cos[-]  Cos[t + v - z] Sin[-] Sin[u] + 
              2       2                      2
 
              s      y 2                    s 3
        8 Cos[-] Cos[-]  Cos[t - v + z] Sin[-]  Sin[u] + 
              2      2                      2
 
            y 2
        Cos[-]  Cos[t - v - z] Sin[2 s] Sin[u] - 
            2
 
            y 2
        Cos[-]  Cos[t + v + z] Sin[2 s] Sin[u] + 
            2
 
              s 2                       y 2
        4 Cos[-]  Cos[u] Cos[t - z] Sin[-]  - 
              2                         2
 
              s 2                              y 2
        8 Cos[-]  Cos[s] Cos[u] Cos[t - z] Sin[-]  - 
              2                                2
 
                                s 2     y 2
        4 Cos[u] Cos[t + z] Sin[-]  Sin[-]  - 
                                2       2
 
                                       s 2     y 2
        8 Cos[s] Cos[u] Cos[t + z] Sin[-]  Sin[-]  + 
                                       2       2
 
              s 3                    s             y 2
        8 Cos[-]  Cos[t + v - z] Sin[-] Sin[u] Sin[-]  + 
              2                      2             2
 
              s                     s 3            y 2
        8 Cos[-] Cos[t - v + z] Sin[-]  Sin[u] Sin[-]  + 
              2                     2              2
 
                                           y 2
        Cos[t - v - z] Sin[2 s] Sin[u] Sin[-]  - 
                                           2
 
                                           y 2
        Cos[t + v + z] Sin[2 s] Sin[u] Sin[-]  + 
                                           2
 
        4 I Cos[u] Sin[2 s] Sin[t] Sin[y] - 
 
                s 2
        4 I Sin[-]  Sin[u] Sin[t - v] Sin[y] - 
                2
 
                       s 2
        8 I Cos[s] Sin[-]  Sin[u] Sin[t - v] Sin[y] - 
                       2
 
                s 2
        4 I Cos[-]  Sin[u] Sin[t + v] Sin[y] + 
                2
 
                s 2
        8 I Cos[-]  Cos[s] Sin[u] Sin[t + v] Sin[y] - 
                2
 
                s 2            y 2
        4 I Cos[-]  Cos[u] Cos[-]  Sin[t - z] + 
                2              2
 
                s 2                   y 2
        8 I Cos[-]  Cos[s] Cos[u] Cos[-]  Sin[t - z] + 
                2                     2
 
                s 2            y 2
        4 I Cos[-]  Cos[u] Sin[-]  Sin[t - z] - 
                2              2
 
                s 2                   y 2
        8 I Cos[-]  Cos[s] Cos[u] Sin[-]  Sin[t - z] - 
                2                     2
 
              y 2
        I Cos[-]  Sin[2 s] Sin[u] Sin[t - v - z] + 
              2
 
                              y 2
        I Sin[2 s] Sin[u] Sin[-]  Sin[t - v - z] - 
                              2
 
                s 3     y 2     s
        8 I Cos[-]  Cos[-]  Sin[-] Sin[u] Sin[t + v - z] + 
                2       2       2
 
                s 3     s             y 2
        8 I Cos[-]  Sin[-] Sin[u] Sin[-]  Sin[t + v - z] - 
                2       2             2
 
                       y 2     s 2
        4 I Cos[u] Cos[-]  Sin[-]  Sin[t + z] - 
                       2       2
 
                              y 2     s 2
        8 I Cos[s] Cos[u] Cos[-]  Sin[-]  Sin[t + z] + 
                              2       2
 
                       s 2     y 2
        4 I Cos[u] Sin[-]  Sin[-]  Sin[t + z] + 
                       2       2
 
                              s 2     y 2
        8 I Cos[s] Cos[u] Sin[-]  Sin[-]  Sin[t + z] + 
                              2       2
 
                s      y 2     s 3
        8 I Cos[-] Cos[-]  Sin[-]  Sin[u] Sin[t - v + z] - 
                2      2       2
 
                s      s 3            y 2
        8 I Cos[-] Sin[-]  Sin[u] Sin[-]  Sin[t - v + z] - 
                2      2              2
 
              y 2
        I Cos[-]  Sin[2 s] Sin[u] Sin[t + v + z] + 
              2
 
                              y 2                           2
        I Sin[2 s] Sin[u] Sin[-]  Sin[t + v + z])) / (256 Pi ), 
                              2
 
              q 2     s 2            y 2
   (9 (-4 Cos[-]  Cos[-]  Cos[u] Cos[-]  Cos[r + t - z] + 
              2       2              2
 
              q 2     s 2                   y 2
        8 Cos[-]  Cos[-]  Cos[s] Cos[u] Cos[-]  Cos[r + t - z] - 
              2       2                     2
 
                     y 2                    q 2     s 2
        4 Cos[u] Cos[-]  Cos[r - t - z] Sin[-]  Sin[-]  - 
                     2                      2       2
 
                            y 2                    q 2     s 2
        8 Cos[s] Cos[u] Cos[-]  Cos[r - t - z] Sin[-]  Sin[-]  - 
                            2                      2       2
 
              q 2     s 3     y 2                        s
        8 Cos[-]  Cos[-]  Cos[-]  Cos[r + t + v - z] Sin[-] Sin[u] + 
              2       2       2                          2
 
              s      y 2                        q 2     s 3
        8 Cos[-] Cos[-]  Cos[r - t + v - z] Sin[-]  Sin[-]  Sin[u] - 
              2      2                          2       2
 
            q 2     y 2
        Cos[-]  Cos[-]  Cos[r + t - v - z] Sin[2 s] Sin[u] - 
            2       2
 
            y 2                        q 2
        Cos[-]  Cos[r - t - v - z] Sin[-]  Sin[2 s] Sin[u] + 
            2                          2
 
              q 2                          y               y
        4 Cos[-]  Cos[r] Cos[t] Cos[u] Cos[-] Sin[2 s] Sin[-] + 
              2                            2               2
 
                                   y      q 2              y
        4 Cos[r] Cos[t] Cos[u] Cos[-] Sin[-]  Sin[2 s] Sin[-] - 
                                   2      2                2
 
                q 2                   y                      y
        4 I Cos[-]  Cos[t] Cos[u] Cos[-] Sin[r] Sin[2 s] Sin[-] - 
                2                     2                      2
 
                              y      q 2                     y
        4 I Cos[t] Cos[u] Cos[-] Sin[-]  Sin[r] Sin[2 s] Sin[-] - 
                              2      2                       2
 
                q 2                   y                      y
        4 I Cos[-]  Cos[r] Cos[u] Cos[-] Sin[2 s] Sin[t] Sin[-] + 
                2                     2                      2
 
                              y      q 2                     y
        4 I Cos[r] Cos[u] Cos[-] Sin[-]  Sin[2 s] Sin[t] Sin[-] - 
                              2      2                       2
 
              q 2            y                             y
        4 Cos[-]  Cos[u] Cos[-] Sin[r] Sin[2 s] Sin[t] Sin[-] + 
              2              2                             2
 
                     y      q 2                            y
        4 Cos[u] Cos[-] Sin[-]  Sin[r] Sin[2 s] Sin[t] Sin[-] + 
                     2      2                              2
 
              s 2                           q 2     y 2
        4 Cos[-]  Cos[u] Cos[r - t + z] Sin[-]  Sin[-]  - 
              2                             2       2
 
              s 2                                  q 2     y 2
        8 Cos[-]  Cos[s] Cos[u] Cos[r - t + z] Sin[-]  Sin[-]  + 
              2                                    2       2
 
              q 2                           s 2     y 2
        4 Cos[-]  Cos[u] Cos[r + t + z] Sin[-]  Sin[-]  + 
              2                             2       2
 
              q 2                                  s 2     y 2
        8 Cos[-]  Cos[s] Cos[u] Cos[r + t + z] Sin[-]  Sin[-]  + 
              2                                    2       2
 
              s 3                        q 2     s             y 2
        8 Cos[-]  Cos[r - t - v + z] Sin[-]  Sin[-] Sin[u] Sin[-]  - 
              2                          2       2             2
 
              q 2     s                         s 3            y 2
        8 Cos[-]  Cos[-] Cos[r + t - v + z] Sin[-]  Sin[u] Sin[-]  + 
              2       2                         2              2
 
            q 2                                        y 2
        Cos[-]  Cos[r + t + v + z] Sin[2 s] Sin[u] Sin[-]  + 
            2                                          2
 
                               q 2                     y 2
        Cos[r - t + v + z] Sin[-]  Sin[2 s] Sin[u] Sin[-]  - 
                               2                       2
 
              q 2     s 2
        2 Cos[-]  Cos[-]  Cos[r + t + v] Sin[u] Sin[y] + 
              2       2
 
              q 2     s 2
        4 Cos[-]  Cos[-]  Cos[s] Cos[r + t + v] Sin[u] Sin[y] - 
              2       2
 
              s 2                    q 2
        2 Cos[-]  Cos[r - t - v] Sin[-]  Sin[u] Sin[y] + 
              2                      2
 
              s 2                           q 2
        4 Cos[-]  Cos[s] Cos[r - t - v] Sin[-]  Sin[u] Sin[y] - 
              2                             2
 
              q 2                    s 2
        2 Cos[-]  Cos[r + t - v] Sin[-]  Sin[u] Sin[y] - 
              2                      2
 
              q 2                           s 2
        4 Cos[-]  Cos[s] Cos[r + t - v] Sin[-]  Sin[u] Sin[y] - 
              2                             2
 
                             q 2     s 2
        2 Cos[r - t + v] Sin[-]  Sin[-]  Sin[u] Sin[y] - 
                             2       2
 
                                    q 2     s 2
        4 Cos[s] Cos[r - t + v] Sin[-]  Sin[-]  Sin[u] Sin[y] + 
                                    2       2
 
                s 2     q 2
        2 I Cos[-]  Sin[-]  Sin[u] Sin[r - t - v] Sin[y] - 
                2       2
 
                s 2            q 2
        4 I Cos[-]  Cos[s] Sin[-]  Sin[u] Sin[r - t - v] Sin[y] + 
                2              2
 
                q 2     s 2
        2 I Cos[-]  Sin[-]  Sin[u] Sin[r + t - v] Sin[y] + 
                2       2
 
                q 2            s 2
        4 I Cos[-]  Cos[s] Sin[-]  Sin[u] Sin[r + t - v] Sin[y] + 
                2              2
 
                q 2     s 2
        2 I Sin[-]  Sin[-]  Sin[u] Sin[r - t + v] Sin[y] + 
                2       2
 
                       q 2     s 2
        4 I Cos[s] Sin[-]  Sin[-]  Sin[u] Sin[r - t + v] Sin[y] + 
                       2       2
 
                q 2     s 2
        2 I Cos[-]  Cos[-]  Sin[u] Sin[r + t + v] Sin[y] - 
                2       2
 
                q 2     s 2
        4 I Cos[-]  Cos[-]  Cos[s] Sin[u] Sin[r + t + v] Sin[y] + 
                2       2
 
                       y 2     q 2     s 2
        4 I Cos[u] Cos[-]  Sin[-]  Sin[-]  Sin[r - t - z] + 
                       2       2       2
 
                              y 2     q 2     s 2
        8 I Cos[s] Cos[u] Cos[-]  Sin[-]  Sin[-]  Sin[r - t - z] + 
                              2       2       2
 
                q 2     s 2            y 2
        4 I Cos[-]  Cos[-]  Cos[u] Cos[-]  Sin[r + t - z] - 
                2       2              2
 
                q 2     s 2                   y 2
        8 I Cos[-]  Cos[-]  Cos[s] Cos[u] Cos[-]  Sin[r + t - z] + 
                2       2                     2
 
              y 2     q 2
        I Cos[-]  Sin[-]  Sin[2 s] Sin[u] Sin[r - t - v - z] + 
              2       2
 
              q 2     y 2
        I Cos[-]  Cos[-]  Sin[2 s] Sin[u] Sin[r + t - v - z] - 
              2       2
 
                s      y 2     q 2     s 3
        8 I Cos[-] Cos[-]  Sin[-]  Sin[-]  Sin[u] Sin[r - t + v - z] + 
                2      2       2       2
 
                q 2     s 3     y 2     s
        8 I Cos[-]  Cos[-]  Cos[-]  Sin[-] Sin[u] Sin[r + t + v - z] - 
                2       2       2       2
 
                s 2            q 2     y 2
        4 I Cos[-]  Cos[u] Sin[-]  Sin[-]  Sin[r - t + z] + 
                2              2       2
 
                s 2                   q 2     y 2
        8 I Cos[-]  Cos[s] Cos[u] Sin[-]  Sin[-]  Sin[r - t + z] - 
                2                     2       2
 
                q 2            s 2     y 2
        4 I Cos[-]  Cos[u] Sin[-]  Sin[-]  Sin[r + t + z] - 
                2              2       2
 
                q 2                   s 2     y 2
        8 I Cos[-]  Cos[s] Cos[u] Sin[-]  Sin[-]  Sin[r + t + z] - 
                2                     2       2
 
                s 3     q 2     s             y 2
        8 I Cos[-]  Sin[-]  Sin[-] Sin[u] Sin[-]  Sin[r - t - v + z] + 
                2       2       2             2
 
                q 2     s      s 3            y 2
        8 I Cos[-]  Cos[-] Sin[-]  Sin[u] Sin[-]  Sin[r + t - v + z] - 
                2       2      2              2
 
              q 2                     y 2
        I Sin[-]  Sin[2 s] Sin[u] Sin[-]  Sin[r - t + v + z] - 
              2                       2
 
              q 2                     y 2
        I Cos[-]  Sin[2 s] Sin[u] Sin[-]  Sin[r + t + v + z])) / 
              2                       2
 
                   2
    (128 Sqrt[2] Pi )}, {0, 0, 0}, 
 
              q 2     s 2            y 2
  {(9 (-4 Cos[-]  Cos[-]  Cos[u] Cos[-]  Cos[r + t - z] + 
              2       2              2
 
              q 2     s 2                   y 2
        8 Cos[-]  Cos[-]  Cos[s] Cos[u] Cos[-]  Cos[r + t - z] - 
              2       2                     2
 
                     y 2                    q 2     s 2
        4 Cos[u] Cos[-]  Cos[r - t - z] Sin[-]  Sin[-]  - 
                     2                      2       2
 
                            y 2                    q 2     s 2
        8 Cos[s] Cos[u] Cos[-]  Cos[r - t - z] Sin[-]  Sin[-]  - 
                            2                      2       2
 
              q 2     s 3     y 2                        s
        8 Cos[-]  Cos[-]  Cos[-]  Cos[r + t + v - z] Sin[-] Sin[u] + 
              2       2       2                          2
 
              s      y 2                        q 2     s 3
        8 Cos[-] Cos[-]  Cos[r - t + v - z] Sin[-]  Sin[-]  Sin[u] - 
              2      2                          2       2
 
            q 2     y 2
        Cos[-]  Cos[-]  Cos[r + t - v - z] Sin[2 s] Sin[u] - 
            2       2
 
            y 2                        q 2
        Cos[-]  Cos[r - t - v - z] Sin[-]  Sin[2 s] Sin[u] + 
            2                          2
 
              q 2                          y               y
        4 Cos[-]  Cos[r] Cos[t] Cos[u] Cos[-] Sin[2 s] Sin[-] + 
              2                            2               2
 
                                   y      q 2              y
        4 Cos[r] Cos[t] Cos[u] Cos[-] Sin[-]  Sin[2 s] Sin[-] + 
                                   2      2                2
 
                q 2                   y                      y
        4 I Cos[-]  Cos[t] Cos[u] Cos[-] Sin[r] Sin[2 s] Sin[-] + 
                2                     2                      2
 
                              y      q 2                     y
        4 I Cos[t] Cos[u] Cos[-] Sin[-]  Sin[r] Sin[2 s] Sin[-] + 
                              2      2                       2
 
                q 2                   y                      y
        4 I Cos[-]  Cos[r] Cos[u] Cos[-] Sin[2 s] Sin[t] Sin[-] - 
                2                     2                      2
 
                              y      q 2                     y
        4 I Cos[r] Cos[u] Cos[-] Sin[-]  Sin[2 s] Sin[t] Sin[-] - 
                              2      2                       2
 
              q 2            y                             y
        4 Cos[-]  Cos[u] Cos[-] Sin[r] Sin[2 s] Sin[t] Sin[-] + 
              2              2                             2
 
                     y      q 2                            y
        4 Cos[u] Cos[-] Sin[-]  Sin[r] Sin[2 s] Sin[t] Sin[-] + 
                     2      2                              2
 
              s 2                           q 2     y 2
        4 Cos[-]  Cos[u] Cos[r - t + z] Sin[-]  Sin[-]  - 
              2                             2       2
 
              s 2                                  q 2     y 2
        8 Cos[-]  Cos[s] Cos[u] Cos[r - t + z] Sin[-]  Sin[-]  + 
              2                                    2       2
 
              q 2                           s 2     y 2
        4 Cos[-]  Cos[u] Cos[r + t + z] Sin[-]  Sin[-]  + 
              2                             2       2
 
              q 2                                  s 2     y 2
        8 Cos[-]  Cos[s] Cos[u] Cos[r + t + z] Sin[-]  Sin[-]  + 
              2                                    2       2
 
              s 3                        q 2     s             y 2
        8 Cos[-]  Cos[r - t - v + z] Sin[-]  Sin[-] Sin[u] Sin[-]  - 
              2                          2       2             2
 
              q 2     s                         s 3            y 2
        8 Cos[-]  Cos[-] Cos[r + t - v + z] Sin[-]  Sin[u] Sin[-]  + 
              2       2                         2              2
 
            q 2                                        y 2
        Cos[-]  Cos[r + t + v + z] Sin[2 s] Sin[u] Sin[-]  + 
            2                                          2
 
                               q 2                     y 2
        Cos[r - t + v + z] Sin[-]  Sin[2 s] Sin[u] Sin[-]  - 
                               2                       2
 
              q 2     s 2
        2 Cos[-]  Cos[-]  Cos[r + t + v] Sin[u] Sin[y] + 
              2       2
 
              q 2     s 2
        4 Cos[-]  Cos[-]  Cos[s] Cos[r + t + v] Sin[u] Sin[y] - 
              2       2
 
              s 2                    q 2
        2 Cos[-]  Cos[r - t - v] Sin[-]  Sin[u] Sin[y] + 
              2                      2
 
              s 2                           q 2
        4 Cos[-]  Cos[s] Cos[r - t - v] Sin[-]  Sin[u] Sin[y] - 
              2                             2
 
              q 2                    s 2
        2 Cos[-]  Cos[r + t - v] Sin[-]  Sin[u] Sin[y] - 
              2                      2
 
              q 2                           s 2
        4 Cos[-]  Cos[s] Cos[r + t - v] Sin[-]  Sin[u] Sin[y] - 
              2                             2
 
                             q 2     s 2
        2 Cos[r - t + v] Sin[-]  Sin[-]  Sin[u] Sin[y] - 
                             2       2
 
                                    q 2     s 2
        4 Cos[s] Cos[r - t + v] Sin[-]  Sin[-]  Sin[u] Sin[y] - 
                                    2       2
 
                s 2     q 2
        2 I Cos[-]  Sin[-]  Sin[u] Sin[r - t - v] Sin[y] + 
                2       2
 
                s 2            q 2
        4 I Cos[-]  Cos[s] Sin[-]  Sin[u] Sin[r - t - v] Sin[y] - 
                2              2
 
                q 2     s 2
        2 I Cos[-]  Sin[-]  Sin[u] Sin[r + t - v] Sin[y] - 
                2       2
 
                q 2            s 2
        4 I Cos[-]  Cos[s] Sin[-]  Sin[u] Sin[r + t - v] Sin[y] - 
                2              2
 
                q 2     s 2
        2 I Sin[-]  Sin[-]  Sin[u] Sin[r - t + v] Sin[y] - 
                2       2
 
                       q 2     s 2
        4 I Cos[s] Sin[-]  Sin[-]  Sin[u] Sin[r - t + v] Sin[y] - 
                       2       2
 
                q 2     s 2
        2 I Cos[-]  Cos[-]  Sin[u] Sin[r + t + v] Sin[y] + 
                2       2
 
                q 2     s 2
        4 I Cos[-]  Cos[-]  Cos[s] Sin[u] Sin[r + t + v] Sin[y] - 
                2       2
 
                       y 2     q 2     s 2
        4 I Cos[u] Cos[-]  Sin[-]  Sin[-]  Sin[r - t - z] - 
                       2       2       2
 
                              y 2     q 2     s 2
        8 I Cos[s] Cos[u] Cos[-]  Sin[-]  Sin[-]  Sin[r - t - z] - 
                              2       2       2
 
                q 2     s 2            y 2
        4 I Cos[-]  Cos[-]  Cos[u] Cos[-]  Sin[r + t - z] + 
                2       2              2
 
                q 2     s 2                   y 2
        8 I Cos[-]  Cos[-]  Cos[s] Cos[u] Cos[-]  Sin[r + t - z] - 
                2       2                     2
 
              y 2     q 2
        I Cos[-]  Sin[-]  Sin[2 s] Sin[u] Sin[r - t - v - z] - 
              2       2
 
              q 2     y 2
        I Cos[-]  Cos[-]  Sin[2 s] Sin[u] Sin[r + t - v - z] + 
              2       2
 
                s      y 2     q 2     s 3
        8 I Cos[-] Cos[-]  Sin[-]  Sin[-]  Sin[u] Sin[r - t + v - z] - 
                2      2       2       2
 
                q 2     s 3     y 2     s
        8 I Cos[-]  Cos[-]  Cos[-]  Sin[-] Sin[u] Sin[r + t + v - z] + 
                2       2       2       2
 
                s 2            q 2     y 2
        4 I Cos[-]  Cos[u] Sin[-]  Sin[-]  Sin[r - t + z] - 
                2              2       2
 
                s 2                   q 2     y 2
        8 I Cos[-]  Cos[s] Cos[u] Sin[-]  Sin[-]  Sin[r - t + z] + 
                2                     2       2
 
                q 2            s 2     y 2
        4 I Cos[-]  Cos[u] Sin[-]  Sin[-]  Sin[r + t + z] + 
                2              2       2
 
                q 2                   s 2     y 2
        8 I Cos[-]  Cos[s] Cos[u] Sin[-]  Sin[-]  Sin[r + t + z] + 
                2                     2       2
 
                s 3     q 2     s             y 2
        8 I Cos[-]  Sin[-]  Sin[-] Sin[u] Sin[-]  Sin[r - t - v + z] - 
                2       2       2             2
 
                q 2     s      s 3            y 2
        8 I Cos[-]  Cos[-] Sin[-]  Sin[u] Sin[-]  Sin[r + t - v + z] + 
                2       2      2              2
 
              q 2                     y 2
        I Sin[-]  Sin[2 s] Sin[u] Sin[-]  Sin[r - t + v + z] + 
              2                       2
 
              q 2                     y 2
        I Cos[-]  Sin[2 s] Sin[u] Sin[-]  Sin[r + t + v + z])) / 
              2                       2
 
                   2
    (128 Sqrt[2] Pi ), (9 Sin[q] 
 
              s 2            y 2
      (-4 Cos[-]  Cos[u] Cos[-]  Cos[t - z] + 
              2              2
 
              s 2                   y 2
        8 Cos[-]  Cos[s] Cos[u] Cos[-]  Cos[t - z] + 
              2                     2
 
                     y 2                s 2
        4 Cos[u] Cos[-]  Cos[t + z] Sin[-]  + 
                     2                  2
 
                            y 2                s 2
        8 Cos[s] Cos[u] Cos[-]  Cos[t + z] Sin[-]  - 
                            2                  2
 
              s 3     y 2                    s
        8 Cos[-]  Cos[-]  Cos[t + v - z] Sin[-] Sin[u] - 
              2       2                      2
 
              s      y 2                    s 3
        8 Cos[-] Cos[-]  Cos[t - v + z] Sin[-]  Sin[u] - 
              2      2                      2
 
            y 2
        Cos[-]  Cos[t - v - z] Sin[2 s] Sin[u] + 
            2
 
            y 2
        Cos[-]  Cos[t + v + z] Sin[2 s] Sin[u] - 
            2
 
              s 2                       y 2
        4 Cos[-]  Cos[u] Cos[t - z] Sin[-]  + 
              2                         2
 
              s 2                              y 2
        8 Cos[-]  Cos[s] Cos[u] Cos[t - z] Sin[-]  + 
              2                                2
 
                                s 2     y 2
        4 Cos[u] Cos[t + z] Sin[-]  Sin[-]  + 
                                2       2
 
                                       s 2     y 2
        8 Cos[s] Cos[u] Cos[t + z] Sin[-]  Sin[-]  - 
                                       2       2
 
              s 3                    s             y 2
        8 Cos[-]  Cos[t + v - z] Sin[-] Sin[u] Sin[-]  - 
              2                      2             2
 
              s                     s 3            y 2
        8 Cos[-] Cos[t - v + z] Sin[-]  Sin[u] Sin[-]  - 
              2                     2              2
 
                                           y 2
        Cos[t - v - z] Sin[2 s] Sin[u] Sin[-]  + 
                                           2
 
                                           y 2
        Cos[t + v + z] Sin[2 s] Sin[u] Sin[-]  + 
                                           2
 
        4 I Cos[u] Sin[2 s] Sin[t] Sin[y] - 
 
                s 2
        4 I Sin[-]  Sin[u] Sin[t - v] Sin[y] - 
                2
 
                       s 2
        8 I Cos[s] Sin[-]  Sin[u] Sin[t - v] Sin[y] - 
                       2
 
                s 2
        4 I Cos[-]  Sin[u] Sin[t + v] Sin[y] + 
                2
 
                s 2
        8 I Cos[-]  Cos[s] Sin[u] Sin[t + v] Sin[y] - 
                2
 
                s 2            y 2
        4 I Cos[-]  Cos[u] Cos[-]  Sin[t - z] + 
                2              2
 
                s 2                   y 2
        8 I Cos[-]  Cos[s] Cos[u] Cos[-]  Sin[t - z] + 
                2                     2
 
                s 2            y 2
        4 I Cos[-]  Cos[u] Sin[-]  Sin[t - z] - 
                2              2
 
                s 2                   y 2
        8 I Cos[-]  Cos[s] Cos[u] Sin[-]  Sin[t - z] - 
                2                     2
 
              y 2
        I Cos[-]  Sin[2 s] Sin[u] Sin[t - v - z] + 
              2
 
                              y 2
        I Sin[2 s] Sin[u] Sin[-]  Sin[t - v - z] - 
                              2
 
                s 3     y 2     s
        8 I Cos[-]  Cos[-]  Sin[-] Sin[u] Sin[t + v - z] + 
                2       2       2
 
                s 3     s             y 2
        8 I Cos[-]  Sin[-] Sin[u] Sin[-]  Sin[t + v - z] - 
                2       2             2
 
                       y 2     s 2
        4 I Cos[u] Cos[-]  Sin[-]  Sin[t + z] - 
                       2       2
 
                              y 2     s 2
        8 I Cos[s] Cos[u] Cos[-]  Sin[-]  Sin[t + z] + 
                              2       2
 
                       s 2     y 2
        4 I Cos[u] Sin[-]  Sin[-]  Sin[t + z] + 
                       2       2
 
                              s 2     y 2
        8 I Cos[s] Cos[u] Sin[-]  Sin[-]  Sin[t + z] + 
                              2       2
 
                s      y 2     s 3
        8 I Cos[-] Cos[-]  Sin[-]  Sin[u] Sin[t - v + z] - 
                2      2       2
 
                s      s 3            y 2
        8 I Cos[-] Sin[-]  Sin[u] Sin[-]  Sin[t - v + z] - 
                2      2              2
 
              y 2
        I Cos[-]  Sin[2 s] Sin[u] Sin[t + v + z] + 
              2
 
                              y 2                           2
        I Sin[2 s] Sin[u] Sin[-]  Sin[t + v + z])) / (256 Pi ), 
                              2
 
              s 2            y 2                    q 2
   (9 (-4 Cos[-]  Cos[u] Cos[-]  Cos[r - t + z] Sin[-]  + 
              2              2                      2
 
              s 2                   y 2                    q 2
        8 Cos[-]  Cos[s] Cos[u] Cos[-]  Cos[r - t + z] Sin[-]  - 
              2                     2                      2
 
              q 2            y 2                    s 2
        4 Cos[-]  Cos[u] Cos[-]  Cos[r + t + z] Sin[-]  - 
              2              2                      2
 
              q 2                   y 2                    s 2
        8 Cos[-]  Cos[s] Cos[u] Cos[-]  Cos[r + t + z] Sin[-]  - 
              2                     2                      2
 
              s 3     y 2                        q 2     s
        8 Cos[-]  Cos[-]  Cos[r - t - v + z] Sin[-]  Sin[-] Sin[u] + 
              2       2                          2       2
 
              q 2     s      y 2                        s 3
        8 Cos[-]  Cos[-] Cos[-]  Cos[r + t - v + z] Sin[-]  Sin[u] - 
              2       2      2                          2
 
            q 2     y 2
        Cos[-]  Cos[-]  Cos[r + t + v + z] Sin[2 s] Sin[u] - 
            2       2
 
            y 2                        q 2
        Cos[-]  Cos[r - t + v + z] Sin[-]  Sin[2 s] Sin[u] + 
            2                          2
 
              q 2                          y               y
        4 Cos[-]  Cos[r] Cos[t] Cos[u] Cos[-] Sin[2 s] Sin[-] + 
              2                            2               2
 
                                   y      q 2              y
        4 Cos[r] Cos[t] Cos[u] Cos[-] Sin[-]  Sin[2 s] Sin[-] - 
                                   2      2                2
 
                q 2                   y                      y
        4 I Cos[-]  Cos[t] Cos[u] Cos[-] Sin[r] Sin[2 s] Sin[-] - 
                2                     2                      2
 
                              y      q 2                     y
        4 I Cos[t] Cos[u] Cos[-] Sin[-]  Sin[r] Sin[2 s] Sin[-] - 
                              2      2                       2
 
                q 2                   y                      y
        4 I Cos[-]  Cos[r] Cos[u] Cos[-] Sin[2 s] Sin[t] Sin[-] + 
                2                     2                      2
 
                              y      q 2                     y
        4 I Cos[r] Cos[u] Cos[-] Sin[-]  Sin[2 s] Sin[t] Sin[-] - 
                              2      2                       2
 
              q 2            y                             y
        4 Cos[-]  Cos[u] Cos[-] Sin[r] Sin[2 s] Sin[t] Sin[-] + 
              2              2                             2
 
                     y      q 2                            y
        4 Cos[u] Cos[-] Sin[-]  Sin[r] Sin[2 s] Sin[t] Sin[-] + 
                     2      2                              2
 
              q 2     s 2                           y 2
        4 Cos[-]  Cos[-]  Cos[u] Cos[r + t - z] Sin[-]  - 
              2       2                             2
 
              q 2     s 2                                  y 2
        8 Cos[-]  Cos[-]  Cos[s] Cos[u] Cos[r + t - z] Sin[-]  + 
              2       2                                    2
 
                                    q 2     s 2     y 2
        4 Cos[u] Cos[r - t - z] Sin[-]  Sin[-]  Sin[-]  + 
                                    2       2       2
 
                                           q 2     s 2     y 2
        8 Cos[s] Cos[u] Cos[r - t - z] Sin[-]  Sin[-]  Sin[-]  + 
                                           2       2       2
 
              q 2     s 3                        s             y 2
        8 Cos[-]  Cos[-]  Cos[r + t + v - z] Sin[-] Sin[u] Sin[-]  - 
              2       2                          2             2
 
              s                         q 2     s 3            y 2
        8 Cos[-] Cos[r - t + v - z] Sin[-]  Sin[-]  Sin[u] Sin[-]  + 
              2                         2       2              2
 
            q 2                                        y 2
        Cos[-]  Cos[r + t - v - z] Sin[2 s] Sin[u] Sin[-]  + 
            2                                          2
 
                               q 2                     y 2
        Cos[r - t - v - z] Sin[-]  Sin[2 s] Sin[u] Sin[-]  - 
                               2                       2
 
              q 2     s 2
        2 Cos[-]  Cos[-]  Cos[r + t + v] Sin[u] Sin[y] + 
              2       2
 
              q 2     s 2
        4 Cos[-]  Cos[-]  Cos[s] Cos[r + t + v] Sin[u] Sin[y] - 
              2       2
 
              s 2                    q 2
        2 Cos[-]  Cos[r - t - v] Sin[-]  Sin[u] Sin[y] + 
              2                      2
 
              s 2                           q 2
        4 Cos[-]  Cos[s] Cos[r - t - v] Sin[-]  Sin[u] Sin[y] - 
              2                             2
 
              q 2                    s 2
        2 Cos[-]  Cos[r + t - v] Sin[-]  Sin[u] Sin[y] - 
              2                      2
 
              q 2                           s 2
        4 Cos[-]  Cos[s] Cos[r + t - v] Sin[-]  Sin[u] Sin[y] - 
              2                             2
 
                             q 2     s 2
        2 Cos[r - t + v] Sin[-]  Sin[-]  Sin[u] Sin[y] - 
                             2       2
 
                                    q 2     s 2
        4 Cos[s] Cos[r - t + v] Sin[-]  Sin[-]  Sin[u] Sin[y] + 
                                    2       2
 
                s 2     q 2
        2 I Cos[-]  Sin[-]  Sin[u] Sin[r - t - v] Sin[y] - 
                2       2
 
                s 2            q 2
        4 I Cos[-]  Cos[s] Sin[-]  Sin[u] Sin[r - t - v] Sin[y] + 
                2              2
 
                q 2     s 2
        2 I Cos[-]  Sin[-]  Sin[u] Sin[r + t - v] Sin[y] + 
                2       2
 
                q 2            s 2
        4 I Cos[-]  Cos[s] Sin[-]  Sin[u] Sin[r + t - v] Sin[y] + 
                2              2
 
                q 2     s 2
        2 I Sin[-]  Sin[-]  Sin[u] Sin[r - t + v] Sin[y] + 
                2       2
 
                       q 2     s 2
        4 I Cos[s] Sin[-]  Sin[-]  Sin[u] Sin[r - t + v] Sin[y] + 
                       2       2
 
                q 2     s 2
        2 I Cos[-]  Cos[-]  Sin[u] Sin[r + t + v] Sin[y] - 
                2       2
 
                q 2     s 2
        4 I Cos[-]  Cos[-]  Cos[s] Sin[u] Sin[r + t + v] Sin[y] - 
                2       2
 
                       q 2     s 2     y 2
        4 I Cos[u] Sin[-]  Sin[-]  Sin[-]  Sin[r - t - z] - 
                       2       2       2
 
                              q 2     s 2     y 2
        8 I Cos[s] Cos[u] Sin[-]  Sin[-]  Sin[-]  Sin[r - t - z] - 
                              2       2       2
 
                q 2     s 2            y 2
        4 I Cos[-]  Cos[-]  Cos[u] Sin[-]  Sin[r + t - z] + 
                2       2              2
 
                q 2     s 2                   y 2
        8 I Cos[-]  Cos[-]  Cos[s] Cos[u] Sin[-]  Sin[r + t - z] - 
                2       2                     2
 
              q 2                     y 2
        I Sin[-]  Sin[2 s] Sin[u] Sin[-]  Sin[r - t - v - z] - 
              2                       2
 
              q 2                     y 2
        I Cos[-]  Sin[2 s] Sin[u] Sin[-]  Sin[r + t - v - z] + 
              2                       2
 
                s      q 2     s 3            y 2
        8 I Cos[-] Sin[-]  Sin[-]  Sin[u] Sin[-]  Sin[r - t + v - z] - 
                2      2       2              2
 
                q 2     s 3     s             y 2
        8 I Cos[-]  Cos[-]  Sin[-] Sin[u] Sin[-]  Sin[r + t + v - z] + 
                2       2       2             2
 
                s 2            y 2     q 2
        4 I Cos[-]  Cos[u] Cos[-]  Sin[-]  Sin[r - t + z] - 
                2              2       2
 
                s 2                   y 2     q 2
        8 I Cos[-]  Cos[s] Cos[u] Cos[-]  Sin[-]  Sin[r - t + z] + 
                2                     2       2
 
                q 2            y 2     s 2
        4 I Cos[-]  Cos[u] Cos[-]  Sin[-]  Sin[r + t + z] + 
                2              2       2
 
                q 2                   y 2     s 2
        8 I Cos[-]  Cos[s] Cos[u] Cos[-]  Sin[-]  Sin[r + t + z] + 
                2                     2       2
 
                s 3     y 2     q 2     s
        8 I Cos[-]  Cos[-]  Sin[-]  Sin[-] Sin[u] Sin[r - t - v + z] - 
                2       2       2       2
 
                q 2     s      y 2     s 3
        8 I Cos[-]  Cos[-] Cos[-]  Sin[-]  Sin[u] Sin[r + t - v + z] + 
                2       2      2       2
 
              y 2     q 2
        I Cos[-]  Sin[-]  Sin[2 s] Sin[u] Sin[r - t + v + z] + 
              2       2
 
              q 2     y 2
        I Cos[-]  Cos[-]  Sin[2 s] Sin[u] Sin[r + t + v + z])) / 
              2       2
 
                   2
    (128 Sqrt[2] Pi )}}
:[font = text; inactive; preserveAspect]
Originally:
:[font = input; preserveAspect]
a1 = Expand[ TrigReduce[ ComplexToTrig[ amplitude ] ] ]
:[font = input; preserveAspect; startGroup]
a2 = Simplify[ a1 ];
:[font = print; inactive; preserveAspect; endGroup]
Internal error: FreeExpr called on live expr.
:[font = input; preserveAspect]
a3 = Expand[ TrigReduce[ a2 ]];
:[font = input; preserveAspect; startGroup]
a4=Factor[ a3 ]
:[font = output; output; inactive; preserveAspect; endGroup]
a1
;[o]
a1
:[font = input; preserveAspect; startGroup]
Dimensions[a4]
:[font = output; output; inactive; preserveAspect; endGroup]
{}
;[o]
{}
:[font = input; preserveAspect]
Clear[ asa, angdist, wt ]
:[font = input; preserveAspect]
<<conj_rules.ma
:[font = input; preserveAspect]
astar=((Conjugate[     a2     ] //. {conjsum,conjprod})
                                 /. {conjsin,conjcos}) ;
:[font = input; preserveAspect]
asa = a2 astar ;
:[font = input; preserveAspect]
angdist=Table[ Sum[ asa[[2-lg]], {lg,1,-1,-1}], {m,1,-1,-1}];
:[font = input; preserveAspect]
wt=Sum[ asa[[2-lg]], {lg,1,-1,-1}] ;
:[font = input; preserveAspect; endGroup]
(Integrate[ wt Sin[y] Sin[u] Sin[s] Sin[q],
            {q,0,Pi}, {r,0,2Pi},
            {s,0,Pi}, {t,0,2Pi},
            {u,0,Pi}, {v,0,2Pi},
            {y,0,Pi}, {z,0,2Pi} ])
:[font = section; inactive; preserveAspect; startGroup]
a2(1320) pi (L=3) from 3P0, a2 -> omega "rho"
:[font = text; inactive; preserveAspect]
Relative angular momentum between the a2 and the pi is L=1.
:[font = input; preserveAspect]
Clear[ tpbp, tpbpf ]
:[font = input; preserveAspect; startGroup]
tpbp =( Table[ ClebschGordan[ {3,0},  {2,la2},{0,la2} ] *
               ClebschGordan[ {2,la2},{0,0},  {2,la2} ],
               {la2,2,-2,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup; endGroup]
{0, 0, 0, 0, 0}
;[o]
{0, 0, 0, 0, 0}
:[font = section; inactive; preserveAspect; startGroup]
a2(1320) pi (L=1)  from 3P1, a2 -> omega "rho"
:[font = text; inactive; preserveAspect]
Relative angular momentum between the a2 and the pi is L=1.
:[font = input; preserveAspect; startGroup]
Clear[ tpbp, tpbpf ]
:[font = message; inactive; preserveAspect; endGroup]
General::spell1: 
   Possible spelling error: new symbol name "tpbpf" is similar to existing symbol 
    "tpbp".
:[font = input; preserveAspect; startGroup]
tpbp =( Table[ ClebschGordan[ {1,0},  {2,la2},{1,la2} ] *
               ClebschGordan[ {2,la2},{0,0},  {2,la2} ],
               {la2,2,-2,-1} ] )
:[font = message; inactive; preserveAspect]
ClebschGordan::phy: ThreeJSymbol[{1, 0}, {2, 2}, {1, -2}] is not physical.
:[font = message; inactive; preserveAspect]
ClebschGordan::phy: ThreeJSymbol[{1, 0}, {2, -2}, {1, 2}] is not physical.
:[font = output; output; inactive; preserveAspect; endGroup]
{0, -(3/10)^(1/2), -(2/5)^(1/2), -(3/10)^(1/2), 0}
;[o]
          3          2         3
{0, -Sqrt[--], -Sqrt[-], -Sqrt[--], 0}
          10         5         10
:[font = input; preserveAspect]
tpbpf[ la2_ ] := tpbp[[ 3 - la2 ]]
:[font = text; inactive; preserveAspect]
For a2 -> omega rho, L=0
:[font = input; preserveAspect; startGroup]
Clear[ ta2, ta2f ]
:[font = message; inactive; preserveAspect; endGroup]
General::spell1: 
   Possible spelling error: new symbol name "ta2f" is similar to existing symbol 
    "ta2".
:[font = input; preserveAspect; startGroup]
ta2 =( Table[ ClebschGordan[ {0,0}, {2,lw-lrho}, {2,lw-lrho} ] *
              ClebschGordan[ {1,lw},{1,-lrho},   {2,lw-lrho} ],
              {lw,1,-1,-1}, {lrho,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{{6^(-1/2), 2^(-1/2), 1}, {2^(-1/2), (2/3)^(1/2), 2^(-1/2)}, 
 
  {1, 2^(-1/2), 6^(-1/2)}}
;[o]
     1        1             1          2      1             1        1
{{-------, -------, 1}, {-------, Sqrt[-], -------}, {1, -------, -------}}
  Sqrt[6]  Sqrt[2]       Sqrt[2]       3   Sqrt[2]       Sqrt[2]  Sqrt[6]
:[font = input; preserveAspect]
ta2f[ lw_, lrho_ ] := ta2[[ 2-lw, 2-lrho ]]
:[font = text; inactive; preserveAspect]
Set up the coefficients for the omega decay.
:[font = input; preserveAspect]
Clear[ tw, twf ]
:[font = input; preserveAspect; startGroup]
tw = ( Table[ ClebschGordan[{1,0},{1,lg},{1,lg}] *
              ClebschGordan[{1,lg},{0,0},{1,lg}],
              {lg,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{-2^(-1/2), 0, 2^(-1/2)}
;[o]
      1            1
{-(-------), 0, -------}
   Sqrt[2]      Sqrt[2]
:[font = input; preserveAspect]
twf[lg_] := tw[[2-lg]]
:[font = text; inactive; preserveAspect]
Set up the coefficients for the rho decay.
:[font = input; preserveAspect; startGroup]
Clear[ trho ]
:[font = message; inactive; preserveAspect; endGroup]
General::spell1: 
   Possible spelling error: new symbol name "trho" is similar to existing symbol 
    "lrho".
:[font = input; preserveAspect; startGroup]
trho =( ClebschGordan[ {1,0}, {0,0}, {1,0} ] *
        ClebschGordan[ {0,0}, {0,0}, {0,0} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
1
;[o]
1
:[font = text; inactive; preserveAspect]
Compute the amplitude for each gamma helicity :
:[font = input; preserveAspect]
Clear[Ds, amplitude, astar, a1, a2, a3, q,r,s,t,u,v,y,z]
:[font = input; preserveAspect]
amplitude =(
 Table[ Sum[ tpbpf[ la2 ]  Ds[1,m,    la2,  q,r] Sqrt[3/(4Pi)]*
             ta2f[lw,lrho] Ds[2,la2,lw-lrho,s,t] Sqrt[5/(4Pi)]*
             trho          Ds[1,lrho, 0,    u,v] Sqrt[3/(4Pi)]*
             twf[ lg ]     Ds[1,lw,   lg,   y,z] Sqrt[3/(4Pi)],
             {la2,2,-2,-1},{lw,1,-1,-1},{lrho,1,-1,-1}],
        {lg,1,-1,-1},{m,1,-1,-1} ] ) ;
:[font = input; preserveAspect]
If[ Dimensions[Attributes[TrigReduce]] == {0}, Get["Trigonometry.m"] ]
:[font = input; preserveAspect]
<<Dfunc.m
:[font = input; preserveAspect]
a1 = TrigReduce[ComplexToTrig[amplitude]] ;
:[font = input; preserveAspect; startGroup]
a2 =ExpandAll[ a1, Trig->True] ;
:[font = print; inactive; preserveAspect; endGroup]
Internal error: FreeExpr called on live expr.
:[font = input; preserveAspect]
a1= Simplify[ a2 ] ;
:[font = input; preserveAspect]
a2 = Expand[ TrigReduce[ a1 ]];
:[font = input; preserveAspect; startGroup]
a1=Factor[ a2 ]
:[font = output; output; inactive; preserveAspect; endGroup]
a1
;[o]
a1
:[font = input; preserveAspect]
Clear[ asa, angdist, wt ]
:[font = input; preserveAspect]
<<conj_rules.ma
:[font = input; preserveAspect]
astar=((Conjugate[     a1     ] //. {conjsum,conjprod})
                                 /. {conjsin,conjcos}) ;
:[font = input; preserveAspect]
asa = a1 astar ;
:[font = input; preserveAspect]
angdist = Table[ Sum[ asa[[2-lg,2-m]], {lg,1,-1,-1} ], {m,1,-1,-1} ];
:[font = input; preserveAspect; startGroup]
wt=Sum[ angdist[[2-m]], {m,1,-1,-1}] ;
:[font = message; inactive; preserveAspect; endGroup]
Syntax::bktx: "wt=Sum[ angdist[2-m]], {m,1,-1,-1}" has extra "]" after it.
:[font = input; preserveAspect; startGroup]
(Integrate[ wt Sin[q] Sin[s] Sin[y] Sin[u],
            {q,0,Pi}, {r,0,2Pi},
            {s,0,Pi}, {t,0,2Pi},
            {u,0,Pi}, {v,0,2Pi},
            {y,0,Pi}, {z,0,2Pi} ])
:[font = output; output; inactive; preserveAspect; endGroup; endGroup]
$Aborted
;[o]
$Aborted
:[font = section; inactive; preserveAspect; startGroup]
a2(1320) pi (L=1) from 3P2, a2 -> omega "rho"
:[font = text; inactive; preserveAspect]
Relative angular momentum between the a2 and the pi is L=1.
:[font = input; preserveAspect]
Clear[ tpbp, tpbpf ]
:[font = input; preserveAspect; startGroup]
tpbp =( Table[ ClebschGordan[ {1,0},  {2,la2},{2,la2} ] *
               ClebschGordan[ {2,la2},{0,0},  {2,la2} ],
               {la2,2,-2,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{-(2/3)^(1/2), -6^(-1/2), 0, 6^(-1/2), (2/3)^(1/2)}
;[o]
       2        1            1          2
{-Sqrt[-], -(-------), 0, -------, Sqrt[-]}
       3     Sqrt[6]      Sqrt[6]       3
:[font = input; preserveAspect]
tpbpf[ la2_ ] := tpbp[[ 3 - la2 ]]
:[font = text; inactive; preserveAspect]
For a2 -> omega rho, L=0
:[font = input; preserveAspect]
Clear[ ta2, ta2f ]
:[font = input; preserveAspect; startGroup]
ta2 =( Table[ ClebschGordan[ {0,0}, {2,lw-lrho}, {2,lw-lrho} ] *
              ClebschGordan[ {1,lw},{1,-lrho},   {2,lw-lrho} ],
              {lw,1,-1,-1}, {lrho,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{{6^(-1/2), 2^(-1/2), 1}, {2^(-1/2), (2/3)^(1/2), 2^(-1/2)}, 
 
  {1, 2^(-1/2), 6^(-1/2)}}
;[o]
     1        1             1          2      1
{{-------, -------, 1}, {-------, Sqrt[-], -------}, 
  Sqrt[6]  Sqrt[2]       Sqrt[2]       3   Sqrt[2]
 
         1        1
  {1, -------, -------}}
      Sqrt[2]  Sqrt[6]
:[font = input; preserveAspect]
ta2f[ lw_, lrho_ ] := ta2[[ 2-lw, 2-lrho ]]
:[font = text; inactive; preserveAspect]
Set up the coefficients for the omega decay.
:[font = input; preserveAspect]
Clear[ tw, twf ]
:[font = input; preserveAspect; startGroup]
tw = ( Table[ ClebschGordan[{1,0},{1,lg},{1,lg}] *
              ClebschGordan[{1,lg},{0,0},{1,lg}],
              {lg,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{-2^(-1/2), 0, 2^(-1/2)}
;[o]
      1            1
{-(-------), 0, -------}
   Sqrt[2]      Sqrt[2]
:[font = input; preserveAspect]
twf[lg_] := tw[[2-lg]]
:[font = text; inactive; preserveAspect]
Set up the coefficients for the rho decay.
:[font = input; preserveAspect]
Clear[ trho ]
:[font = input; preserveAspect; startGroup]
trho =( ClebschGordan[ {1,0}, {0,0}, {1,0} ] *
        ClebschGordan[ {0,0}, {0,0}, {0,0} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
1
;[o]
1
:[font = text; inactive; preserveAspect]
Compute the amplitude for each gamma helicity :
:[font = input; preserveAspect]
Clear[Ds, amplitude, astar, a1, a2, q,r,s,t,u,v,y,z]
:[font = input; preserveAspect]
amplitude =(
 Table[ Sum[ tpbpf[ la2 ]  Ds[2,m,    la2,  q,r] Sqrt[5/(4Pi)]*
             ta2f[lw,lrho] Ds[2,la2,lw-lrho,s,t] Sqrt[5/(4Pi)]*
             trho          Ds[1,lrho, 0,    u,v] Sqrt[3/(4Pi)]*
             twf[ lg ]     Ds[1,lw,   lg,   y,z] Sqrt[3/(4Pi)],
             {la2,2,-2,-1},{lw,1,-1,-1},{lrho,1,-1,-1}],
        {lg,1,-1,-1},{m,2,-2,-1} ] )
:[font = input; preserveAspect]
If[ Dimensions[Attributes[TrigReduce]] == {0}, Get["Trigonometry.m"] ]
:[font = input; preserveAspect]
<<Dfunc.m
:[font = input; preserveAspect]
a1 = Expand[ ComplexToTrig[ TrigReduce[ amplitude ] ] ]
:[font = input; preserveAspect; startGroup]
a2=Simplify[ a1 ]
:[font = print; inactive; preserveAspect; endGroup]
Internal error: FreeExpr called on live expr.
:[font = text; inactive; preserveAspect]
Check normalization:
:[font = input; preserveAspect]
<<conj_rules.ma
:[font = input; preserveAspect]
astar=((Conjugate[      a2      ] //. {conjsum,conjprod})
                                   /. {conjsin,conjcos}) ;
:[font = input; preserveAspect]
Clear[ asa, angdist, w ]
:[font = input; preserveAspect]
asa = a2 astar ;
:[font = input; preserveAspect]
angdist = Table[ Sum[ asa[[2-lg]], {lg,1,-1,-1} ], {m,2,-2,-1} ];
:[font = input; preserveAspect]
w=Sum[ angdist[3-m]], {m,1,-1,-1}] ;
:[font = input; preserveAspect; endGroup]
(Integrate[ wt Sin[q] Sin[s] Sin[y] Sin[u],
            {q,0,Pi}, {r,0,2Pi},
            {s,0,Pi}, {t,0,2Pi},
            {u,0,Pi}, {v,0,2Pi},
            {y,0,Pi}, {z,0,2Pi} ])
:[font = section; inactive; preserveAspect; startGroup]
a2(1320) pi (L=1 or 3)  from 3P1, a2 -> omega "rho"
:[font = text; inactive; preserveAspect]
Relative angular momentum between the a2 and the pi is L=1.
:[font = input; preserveAspect]
Clear[ tpbpL1, tpbpL3, tpbp, tpbpf, a, b ]
:[font = input; preserveAspect; startGroup]
tpbpL1 =( Table[ ClebschGordan[ {1,0},  {2,la2},{1,la2} ] *
               ClebschGordan[ {2,la2},{0,0},  {2,la2} ],
               {la2,2,-2,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{0, -(3/10)^(1/2), -(2/5)^(1/2), -(3/10)^(1/2), 0}
;[o]
          3          2         3
{0, -Sqrt[--], -Sqrt[-], -Sqrt[--], 0}
          10         5         10
:[font = input; preserveAspect; startGroup]
tpbpL3 =( Table[ ClebschGordan[ {3,0},  {2,la2},{1,la2} ] *
               ClebschGordan[ {2,la2},{0,0},  {2,la2} ],
               {la2,2,-2,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{0, -(3/35)^(1/2), 3/35^(1/2), -(3/35)^(1/2), 0}
;[o]
          3       3            3
{0, -Sqrt[--], --------, -Sqrt[--], 0}
          35   Sqrt[35]        35
:[font = input; preserveAspect]
tpbp = { 0, a, b, a, 0 }
:[font = input; preserveAspect]
tpbpf[ la2_ ] := tpbp[[ 3 - la2 ]]
:[font = text; inactive; preserveAspect]
For a2 -> omega rho, L=0
:[font = input; preserveAspect]
Clear[ ta2, ta2f ]
:[font = input; preserveAspect; startGroup]
ta2 =( Table[ ClebschGordan[ {0,0}, {2,lw-lrho}, {2,lw-lrho} ] *
              ClebschGordan[ {1,lw},{1,-lrho},   {2,lw-lrho} ],
              {lw,1,-1,-1}, {lrho,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{{6^(-1/2), 2^(-1/2), 1}, {2^(-1/2), (2/3)^(1/2), 2^(-1/2)}, 
 
  {1, 2^(-1/2), 6^(-1/2)}}
;[o]
     1        1             1          2      1
{{-------, -------, 1}, {-------, Sqrt[-], -------}, 
  Sqrt[6]  Sqrt[2]       Sqrt[2]       3   Sqrt[2]
 
         1        1
  {1, -------, -------}}
      Sqrt[2]  Sqrt[6]
:[font = input; preserveAspect]
ta2f[ lw_, lrho_ ] := ta2[[ 2-lw, 2-lrho ]]
:[font = text; inactive; preserveAspect]
Set up the coefficients for the omega decay.
:[font = input; preserveAspect]
Clear[ tw, twf ]
:[font = input; preserveAspect; startGroup]
tw = ( Table[ ClebschGordan[{1,0},{1,lg},{1,lg}] *
              ClebschGordan[{1,lg},{0,0},{1,lg}],
              {lg,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{-2^(-1/2), 0, 2^(-1/2)}
;[o]
      1            1
{-(-------), 0, -------}
   Sqrt[2]      Sqrt[2]
:[font = input; preserveAspect]
twf[lg_] := tw[[2-lg]]
:[font = text; inactive; preserveAspect]
Set up the coefficients for the rho decay.
:[font = input; preserveAspect]
Clear[ trho ]
:[font = input; preserveAspect; startGroup]
trho =( ClebschGordan[ {1,0}, {0,0}, {1,0} ] *
        ClebschGordan[ {0,0}, {0,0}, {0,0} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
1
;[o]
1
:[font = text; inactive; preserveAspect]
Compute the amplitude for each gamma helicity :
:[font = input; preserveAspect]
Clear[Ds, amplitude, astar, a1, a2, a3, q,r,s,t,u,v,y,z]
:[font = input; preserveAspect]
amplitude =(
 Table[ Sum[ tpbpf[ la2 ]  Ds[1,m,    la2,  q,r] Sqrt[3/(4Pi)]*
             ta2f[lw,lrho] Ds[2,la2,lw-lrho,s,t] Sqrt[5/(4Pi)]*
             trho          Ds[1,lrho, 0,    u,v] Sqrt[3/(4Pi)]*
             twf[ lg ]     Ds[1,lw,   lg,   y,z] Sqrt[3/(4Pi)],
             {la2,2,-2,-1},{lw,1,-1,-1},{lrho,1,-1,-1}],
        {lg,1,-1,-1},{m,1,-1,-1} ] )
:[font = input; preserveAspect]
If[ Dimensions[Attributes[TrigReduce]] == {0}, Get["Trigonometry.m"] ]
:[font = input; preserveAspect]
<<Dfunc.m
:[font = input; preserveAspect]
a1 = Expand[ ComplexToTrig[ TrigReduce[ amplitude ] ] ]
:[font = input; preserveAspect]
a2=Simplify[ a1 ]
:[font = input; preserveAspect]
a1=Factor[a2]
:[font = input; preserveAspect]
Clear[ asa, angdist, wt ]
:[font = input; preserveAspect]
<<conj_rules.ma
:[font = input; preserveAspect]
astar=((Conjugate[     a1     ] //. {conjsum,conjprod})
                                 /. {conjsin,conjcos}) ;
:[font = input; preserveAspect]
asa = a1 astar ;
:[font = input; preserveAspect]
angdist = Table[ Sum[ asa[[2-lg]], {lg,1,-1,-1} ], {m,1,-1,-1} ];
:[font = input; preserveAspect]
w=Sum[ angdist[2-m]], {m,1,-1,-1}] ;
:[font = input; preserveAspect]
tot=(Integrate[ wt Sin[q] Sin[s] Sin[y] Sin[u],
                {q,0,Pi}, {r,0,2Pi},
                {s,0,Pi}, {t,0,2Pi},
                {u,0,Pi}, {v,0,2Pi},
                {y,0,Pi}, {z,0,2Pi} ])
:[font = input; preserveAspect]
a = tpbpL1[[ 2 ]]; b = tpbpL1[[ 3 ]] ;
:[font = input; preserveAspect]
tot
:[font = input; preserveAspect]
a = tpbpL3[[ 2 ]]; b = tpbpL3[[ 3 ]] ;
:[font = input; preserveAspect]
a3
:[font = input; preserveAspect; endGroup]
tot
:[font = section; inactive; preserveAspect; startGroup]
a2(1320) pi (L=3)  from 1P1, a2 -> omega "rho"
:[font = text; inactive; preserveAspect]
No neutral-neutral from 1P1. Relative angular momentum between the a2 and the pi is L=3:.
Same as the L=3 3P1 case except for no neutral-neutral.
:[font = input; preserveAspect]
Clear[ tpbp, tpbpf ]
:[font = input; preserveAspect; startGroup]
tpbp =( Table[ ClebschGordan[ {3,0},  {2,la2},{1,la2} ] *
               ClebschGordan[ {2,la2},{0,0},  {2,la2} ],
               {la2,2,-2,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{0, -(3/35)^(1/2), 3/35^(1/2), -(3/35)^(1/2), 0}
;[o]
          3       3            3
{0, -Sqrt[--], --------, -Sqrt[--], 0}
          35   Sqrt[35]        35
:[font = input; preserveAspect]
tpbpf[ la2_ ] := tpbp[[ 3 - la2 ]]
:[font = text; inactive; preserveAspect]
For a2 -> omega rho, L=0
:[font = input; preserveAspect]
Clear[ ta2, ta2f ]
:[font = input; preserveAspect; startGroup]
ta2 =( Table[ ClebschGordan[ {0,0}, {2,lw-lrho}, {2,lw-lrho} ] *
              ClebschGordan[ {1,lw},{1,-lrho},   {2,lw-lrho} ],
              {lw,1,-1,-1}, {lrho,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{{6^(-1/2), 2^(-1/2), 1}, {2^(-1/2), (2/3)^(1/2), 2^(-1/2)}, 
 
  {1, 2^(-1/2), 6^(-1/2)}}
;[o]
     1        1             1          2      1
{{-------, -------, 1}, {-------, Sqrt[-], -------}, 
  Sqrt[6]  Sqrt[2]       Sqrt[2]       3   Sqrt[2]
 
         1        1
  {1, -------, -------}}
      Sqrt[2]  Sqrt[6]
:[font = input; preserveAspect]
ta2f[ lw_, lrho_ ] := ta2[[ 2-lw, 2-lrho ]]
:[font = text; inactive; preserveAspect]
Set up the coefficients for the omega decay.
:[font = input; preserveAspect]
Clear[ tw, twf ]
:[font = input; preserveAspect; startGroup]
tw = ( Table[ ClebschGordan[{1,0},{1,lg},{1,lg}] *
              ClebschGordan[{1,lg},{0,0},{1,lg}],
              {lg,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{-2^(-1/2), 0, 2^(-1/2)}
;[o]
      1            1
{-(-------), 0, -------}
   Sqrt[2]      Sqrt[2]
:[font = input; preserveAspect]
twf[lg_] := tw[[2-lg]]
:[font = text; inactive; preserveAspect]
Set up the coefficients for the rho decay.
:[font = input; preserveAspect]
Clear[ trho ]
:[font = input; preserveAspect; startGroup]
trho =( ClebschGordan[ {1,0}, {0,0}, {1,0} ] *
        ClebschGordan[ {0,0}, {0,0}, {0,0} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
1
;[o]
1
:[font = text; inactive; preserveAspect]
Compute the amplitude for each gamma helicity :
:[font = input; preserveAspect]
Clear[Ds, amplitude, astar, a1, a2, a3, q,r,s,t,u,v,y,z]
:[font = input; preserveAspect]
amplitude =(
 Table[ Sum[ tpbpf[ la2 ]  Ds[1,m,    la2,  q,r] Sqrt[3/(4Pi)]*
             ta2f[lw,lrho] Ds[2,la2,lw-lrho,s,t] Sqrt[5/(4Pi)]*
             trho          Ds[1,lrho, 0,    u,v] Sqrt[3/(4Pi)]*
             twf[ lg ]     Ds[1,lw,   lg,   y,z] Sqrt[3/(4Pi)],
             {la2,2,-2,-1},{lw,1,-1,-1},{lrho,1,-1,-1}],
        {lg,1,-1,-1},{m,1,-1,-1} ] )
:[font = input; preserveAspect]
If[ Dimensions[Attributes[TrigReduce]] == {0}, Get["Trigonometry.m"] ]
:[font = input; preserveAspect]
<<Dfunc.m
:[font = input; preserveAspect]
a1 = Expand[ ComplexToTrig[ TrigReduce[ amplitude ] ] ]
:[font = input; preserveAspect]
a2=Simplify[ a1 ]
:[font = input; preserveAspect]
a1=Factor[a2]
:[font = input; preserveAspect]
Clear[ asa, angdist, wt ]
:[font = input; preserveAspect]
<<conj_rules.ma
:[font = input; preserveAspect]
astar=((Conjugate[    a1     ] //. {conjsum,conjprod})
                                /. {conjsin,conjcos}) ;
:[font = input; preserveAspect]
asa = a1 astar ;
:[font = input; preserveAspect]
angdist = Table[ Sum[ asa[[2-lg]], {lg,1,-1,-1} ], {m,1,-1,-1} ];
:[font = input; preserveAspect]
w=Sum[ angdist[2-m]], {m,1,-1,-1}] ;
:[font = input; preserveAspect; endGroup]
(Integrate[ wt Sin[q] Sin[s] Sin[y] Sin[u],
            {q,0,Pi}, {r,0,2Pi},
            {s,0,Pi}, {t,0,2Pi},
            {u,0,Pi}, {v,0,2Pi},
            {y,0,Pi}, {z,0,2Pi} ])
:[font = section; inactive; preserveAspect; startGroup]
a2(1320) pi (L=3) from 3P2, a2 -> omega "rho"
:[font = text; inactive; preserveAspect]
Relative angular momentum between the a2 and the pi is L=1.
:[font = input; preserveAspect; startGroup]
Clear[ tpbp, tpbpf ]
:[font = message; inactive; preserveAspect; endGroup]
General::spell1: 
   Possible spelling error: new symbol name "tpbpf"
     is similar to existing symbol "tpbp".
:[font = input; preserveAspect; startGroup]
tpbp =( Table[ ClebschGordan[ {3,0},  {2,la2},{2,la2} ] *
               ClebschGordan[ {2,la2},{0,0},  {2,la2} ],
               {la2,2,-2,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{-14^(-1/2), (2/7)^(1/2), 0, -(2/7)^(1/2), 14^(-1/2)}
;[o]
      1            2            2      1
{-(--------), Sqrt[-], 0, -Sqrt[-], --------}
   Sqrt[14]        7            7   Sqrt[14]
:[font = input; preserveAspect]
tpbpf[ la2_ ] := tpbp[[ 3 - la2 ]]
:[font = text; inactive; preserveAspect]
For a2 -> omega rho, L=0
:[font = input; preserveAspect; startGroup]
Clear[ ta2, ta2f ]
:[font = message; inactive; preserveAspect; endGroup]
General::spell1: 
   Possible spelling error: new symbol name "ta2f"
     is similar to existing symbol "ta2".
:[font = input; preserveAspect; startGroup]
ta2 =( Table[ ClebschGordan[ {0,0}, {2,lw-lrho}, {2,lw-lrho} ] *
              ClebschGordan[ {1,lw},{1,-lrho},   {2,lw-lrho} ],
              {lw,1,-1,-1}, {lrho,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{{6^(-1/2), 2^(-1/2), 1}, {2^(-1/2), (2/3)^(1/2), 2^(-1/2)}, 
 
  {1, 2^(-1/2), 6^(-1/2)}}
;[o]
     1        1             1          2      1
{{-------, -------, 1}, {-------, Sqrt[-], -------}, 
  Sqrt[6]  Sqrt[2]       Sqrt[2]       3   Sqrt[2]
 
         1        1
  {1, -------, -------}}
      Sqrt[2]  Sqrt[6]
:[font = input; preserveAspect]
ta2f[ lw_, lrho_ ] := ta2[[ 2-lw, 2-lrho ]]
:[font = text; inactive; preserveAspect]
Set up the coefficients for the omega decay.
:[font = input; preserveAspect]
Clear[ tw, twf ]
:[font = input; preserveAspect; startGroup]
tw = ( Table[ ClebschGordan[{1,0},{1,lg},{1,lg}] *
              ClebschGordan[{1,lg},{0,0},{1,lg}],
              {lg,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{-2^(-1/2), 0, 2^(-1/2)}
;[o]
      1            1
{-(-------), 0, -------}
   Sqrt[2]      Sqrt[2]
:[font = input; preserveAspect]
twf[lg_] := tw[[2-lg]]
:[font = text; inactive; preserveAspect]
Set up the coefficients for the rho decay.
:[font = input; preserveAspect; startGroup]
Clear[ trho ]
:[font = message; inactive; preserveAspect; endGroup]
General::spell1: 
   Possible spelling error: new symbol name "trho"
     is similar to existing symbol "lrho".
:[font = input; preserveAspect; startGroup]
trho =( ClebschGordan[ {1,0}, {0,0}, {1,0} ] *
        ClebschGordan[ {0,0}, {0,0}, {0,0} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
1
;[o]
1
:[font = text; inactive; preserveAspect]
Compute the amplitude for each gamma helicity :
:[font = input; preserveAspect]
Clear[Ds, amplitude, astar, a1, a2, q,r,s,t,u,v,y,z]
:[font = input; preserveAspect]
amplitude =(
 Table[ Sum[ tpbpf[ la2 ]  Ds[2,m,    la2,  q,r] Sqrt[5/(4Pi)]*
             ta2f[lw,lrho] Ds[2,la2,lw-lrho,s,t] Sqrt[5/(4Pi)]*
             trho          Ds[1,lrho, 0,    u,v] Sqrt[3/(4Pi)]*
             twf[ lg ]     Ds[1,lw,   lg,   y,z] Sqrt[3/(4Pi)],
             {la2,2,-2,-1},{lw,1,-1,-1},{lrho,1,-1,-1}],
        {lg,1,-1,-1},{m,2,-2,-1} ] )
:[font = input; preserveAspect]
If[ Dimensions[Attributes[TrigReduce]] == {0}, Get["Trigonometry.m"] ]
:[font = input; preserveAspect]
<<Dfunc.m
:[font = input; preserveAspect]
a1 = Expand[ ComplexToTrig[ TrigReduce[ amplitude ] ] ]
:[font = input; preserveAspect]
a2=Simplify[ a1 ]
:[font = text; inactive; preserveAspect]
Check normalization:
:[font = input; preserveAspect]
Clear[ asa, angdist, w ]
:[font = input; preserveAspect]
<<conj_rules.ma
:[font = input; preserveAspect]
astar=((Conjugate[     a2     ] //. {conjsum,conjprod})
                                 /. {conjsin,conjcos}) ;
:[font = input; preserveAspect]
asa = a2 astar ;
:[font = input; preserveAspect]
angdist = Table[ Sum[ asa[[2-lg]], {lg,1,-1,-1} ], {m,2,-2,-1} ];
:[font = input; preserveAspect]
w=Sum[ angdist[3-m]], {m,1,-1,-1}] ;
:[font = input; preserveAspect; endGroup]
(Integrate[ wt Sin[q] Sin[s] Sin[y] Sin[u],
            {q,0,Pi}, {r,0,2Pi},
            {s,0,Pi}, {t,0,2Pi},
            {u,0,Pi}, {v,0,2Pi},
            {y,0,Pi}, {z,0,2Pi} ])
^*)