(*^

::[	Information =

	"This is a Mathematica Notebook file.  It contains ASCII text, and can be
	transferred by email, ftp, or other text-file transfer utility.  It should
	be read or edited using a copy of Mathematica or MathReader.  If you 
	received this as email, use your mail application or copy/paste to save 
	everything from the line containing (*^ down to the line containing ^*)
	into a plain text file.  On some systems you may have to give the file a 
	name ending with ".ma" to allow Mathematica to recognize it as a Notebook.
	The line below identifies what version of Mathematica created this file,
	but it can be opened using any other version as well.";

	FrontEndVersion = "X Window System Mathematica Notebook Front End Version 2.2";

	X11StandardFontEncoding; 
	
	fontset = title, inactive, noPageBreakBelow, noPageBreakInGroup, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e8,  24, fontName, "times";
	fontset = subtitle, inactive, noPageBreakBelow, noPageBreakInGroup, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e6,  18, fontName, "times";
	fontset = subsubtitle, inactive, noPageBreakBelow, noPageBreakInGroup, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, e6,  14, fontName, "times";
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, a20,  18, fontName, "times";
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, a15,  14, fontName, "times";
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, a12,  12, fontName, "times";
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, fontName, "times";
	fontset = input, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold,  12, fontName, "courier";
	fontset = output, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-4,  12, fontName, "courier";
	fontset = message, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23,  12, fontName, "courier";
	fontset = print, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23,  12, fontName, "courier";
	fontset = info, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23,  12, fontName, "courier";
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287,  12, fontName, "courier";
	fontset = name, inactive, noPageBreakInGroup, nohscroll, preserveAspect, M7, italic, B32768,  10, fontName, "times";
	fontset = header, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic,  12, fontName, "times";
	fontset = leftheader,  12, fontName, "times";
	fontset = footer, inactive, nohscroll, noKeepOnOnePage, preserveAspect, center, M7, italic,  12, fontName, "times";
	fontset = leftfooter,  12, fontName, "times";
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "courier";
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";paletteColors = 128; automaticGrouping; currentKernel; 
]
:[font = section; inactive; preserveAspect; startGroup]
h1(1170) omega from 1S0
:[font = text; inactive; preserveAspect]
L = 0
:[font = input; preserveAspect]
Clear[ tpbp, tpbpf, th1L0, th1L2, th1f, tw,twf, a,b, trho ]
:[font = input; preserveAspect; startGroup]
tpbp =( Table[ ClebschGordan[ {0,0}, {0,lh-lw}, {0,lh-lw} ] *
               ClebschGordan[ {1,lh},{1,-lw},   {0,lh-lw} ],
               {lh,1,-1,-1}, {lw,1,-1,-1} ] )
:[font = message; inactive; preserveAspect]
ClebschGordan::phy: 
   ThreeJSymbol[{0, 0}, {0, 1}, {0, -1}] is not physical.
:[font = message; inactive; preserveAspect]
ClebschGordan::phy: 
   ThreeJSymbol[{1, 1}, {1, 0}, {0, -1}] is not physical.
:[font = message; inactive; preserveAspect]
ClebschGordan::phy: 
   ThreeJSymbol[{0, 0}, {0, 2}, {0, -2}] is not physical.
:[font = message; inactive; preserveAspect]
General::stop: 
   Further output of ClebschGordan::phy
     will be suppressed during this calculation.
:[font = output; output; inactive; preserveAspect; endGroup]
{{3^(-1/2), 0, 0}, {0, -3^(-1/2), 0}, {0, 0, 3^(-1/2)}}
;[o]
     1                     1                    1
{{-------, 0, 0}, {0, -(-------), 0}, {0, 0, -------}}
  Sqrt[3]               Sqrt[3]              Sqrt[3]
:[font = input; preserveAspect]
tpbpf[ lh_, lw_ ] := tpbp[[ 2-lh, 2-lw ]]
:[font = text; inactive; preserveAspect]
h1 decay to rho pi (L=0 or 2) :
:[font = input; preserveAspect; startGroup]
th1L0 = Table[ ClebschGordan[ {1,lambda},{0,0},{1,lambda}], {lambda,1,-1,-1} ]
:[font = output; output; inactive; preserveAspect; endGroup]
{1, 1, 1}
;[o]
{1, 1, 1}
:[font = input; preserveAspect; startGroup]
th1L2 = Table[ ClebschGordan[{2,0},{1,lambda},{1,lambda}], {lambda,1,-1,-1}]
:[font = output; output; inactive; preserveAspect; endGroup]
{10^(-1/2), -(2/5)^(1/2), 10^(-1/2)}
;[o]
    1            2      1
{--------, -Sqrt[-], --------}
 Sqrt[10]        5   Sqrt[10]
:[font = text; inactive; preserveAspect]
Leave the t function for the h1 decay undefined for now.
:[font = input; preserveAspect]
th1f[ lrho_ ] := a /; (lrho == -1) || (lrho == +1)
:[font = input; preserveAspect]
th1f[ lrho_ ] := b /; lrho == 0
:[font = text; inactive; preserveAspect]
Set up the coefficients for the omega decay.
:[font = input; preserveAspect; startGroup]
tw = ( Table[ ClebschGordan[{1,0},{1,l1},{1,l1}] *
              ClebschGordan[{1,l1},{0,0},{1,l1}],
              {l1,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{-2^(-1/2), 0, 2^(-1/2)}
;[o]
      1            1
{-(-------), 0, -------}
   Sqrt[2]      Sqrt[2]
:[font = input; preserveAspect]
twf[l_] := tw[[2-l]]
:[font = text; inactive; preserveAspect]
Set up the coefficients for the rho decay.
:[font = input; preserveAspect; startGroup]
trho =( ClebschGordan[ {1,0}, {0,0}, {1,0} ] *
        ClebschGordan[ {0,0}, {0,0}, {0,0} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
1
;[o]
1
:[font = text; inactive; preserveAspect]
Compute the amplitude for each gamma helicity :
:[font = input; preserveAspect]
Clear[Ds,amplitude,a1,a2,astar,q,r,s,t,u,v,y,z]
:[font = input; preserveAspect]
amplitude =(
 Table[ Sum[ tpbpf[lh1,lw]                   Sqrt[1/(4Pi)]*
             th1f[ lrho ] Ds[1,lh1,lrho,s,t] Sqrt[3/(4Pi)]*
             twf[ lg ]    Ds[1,lw,  lg, y,z] Sqrt[3/(4Pi)]*
             trho         Ds[1,lrho, 0, u,v] Sqrt[3/(4Pi)],
             {lh1,1,-1,-1},{lw,1,-1,-1},{lrho,1,-1,-1}],
        {lg,1,-1,-1} ] ) ;
:[font = input; preserveAspect]
<<conj_rules.ma
:[font = input; preserveAspect]
If[ Dimensions[Attributes[TrigReduce]] == {0}, Get["Trigonometry.m"] ]
:[font = input; preserveAspect]
<<Dfunc.m
:[font = input; preserveAspect]
a1 = Simplify[ Expand[ ComplexToTrig[ TrigReduce[ amplitude ] ] ] ] ;
:[font = input; preserveAspect; startGroup]
a2=Factor[ a1 ]
:[font = output; output; inactive; preserveAspect; endGroup]
{(3*(b*Cos[t]*Cos[u]*Cos[y]*Cos[z]*Sin[s] + 
 
       I*b*Cos[u]*Cos[z]*Sin[s]*Sin[t] + 
 
       a*Cos[s]*Cos[t]*Cos[v]*Cos[y]*Cos[z]*Sin[u] + 
 
       I*a*Cos[s]*Cos[v]*Cos[z]*Sin[t]*Sin[u] + 
 
       I*a*Cos[t]*Cos[z]*Sin[u]*Sin[v] - 
 
       a*Cos[y]*Cos[z]*Sin[t]*Sin[u]*Sin[v] + 
 
       b*Cos[s]*Cos[u]*Sin[y] - a*Cos[v]*Sin[s]*Sin[u]*Sin[y] + 
 
       I*b*Cos[t]*Cos[u]*Sin[s]*Sin[z] - 
 
       b*Cos[u]*Cos[y]*Sin[s]*Sin[t]*Sin[z] + 
 
       I*a*Cos[s]*Cos[t]*Cos[v]*Sin[u]*Sin[z] - 
 
       a*Cos[s]*Cos[v]*Cos[y]*Sin[t]*Sin[u]*Sin[z] - 
 
       a*Cos[t]*Cos[y]*Sin[u]*Sin[v]*Sin[z] - 
 
       I*a*Sin[t]*Sin[u]*Sin[v]*Sin[z]))/(32*Pi^2), 0, 
 
  (3*(b*Cos[t]*Cos[u]*Cos[y]*Cos[z]*Sin[s] - 
 
       I*b*Cos[u]*Cos[z]*Sin[s]*Sin[t] + 
 
       a*Cos[s]*Cos[t]*Cos[v]*Cos[y]*Cos[z]*Sin[u] - 
 
       I*a*Cos[s]*Cos[v]*Cos[z]*Sin[t]*Sin[u] - 
 
       I*a*Cos[t]*Cos[z]*Sin[u]*Sin[v] - 
 
       a*Cos[y]*Cos[z]*Sin[t]*Sin[u]*Sin[v] + 
 
       b*Cos[s]*Cos[u]*Sin[y] - a*Cos[v]*Sin[s]*Sin[u]*Sin[y] - 
 
       I*b*Cos[t]*Cos[u]*Sin[s]*Sin[z] - 
 
       b*Cos[u]*Cos[y]*Sin[s]*Sin[t]*Sin[z] - 
 
       I*a*Cos[s]*Cos[t]*Cos[v]*Sin[u]*Sin[z] - 
 
       a*Cos[s]*Cos[v]*Cos[y]*Sin[t]*Sin[u]*Sin[z] - 
 
       a*Cos[t]*Cos[y]*Sin[u]*Sin[v]*Sin[z] + 
 
       I*a*Sin[t]*Sin[u]*Sin[v]*Sin[z]))/(32*Pi^2)}
;[o]
{(3 (b Cos[t] Cos[u] Cos[y] Cos[z] Sin[s] + 
 
       I b Cos[u] Cos[z] Sin[s] Sin[t] + 
 
       a Cos[s] Cos[t] Cos[v] Cos[y] Cos[z] Sin[u] + 
 
       I a Cos[s] Cos[v] Cos[z] Sin[t] Sin[u] + 
 
       I a Cos[t] Cos[z] Sin[u] Sin[v] - 
 
       a Cos[y] Cos[z] Sin[t] Sin[u] Sin[v] + 
 
       b Cos[s] Cos[u] Sin[y] - a Cos[v] Sin[s] Sin[u] Sin[y] + 
 
       I b Cos[t] Cos[u] Sin[s] Sin[z] - 
 
       b Cos[u] Cos[y] Sin[s] Sin[t] Sin[z] + 
 
       I a Cos[s] Cos[t] Cos[v] Sin[u] Sin[z] - 
 
       a Cos[s] Cos[v] Cos[y] Sin[t] Sin[u] Sin[z] - 
 
       a Cos[t] Cos[y] Sin[u] Sin[v] Sin[z] - 
 
                                                 2
       I a Sin[t] Sin[u] Sin[v] Sin[z])) / (32 Pi ), 0, 
 
  (3 (b Cos[t] Cos[u] Cos[y] Cos[z] Sin[s] - 
 
       I b Cos[u] Cos[z] Sin[s] Sin[t] + 
 
       a Cos[s] Cos[t] Cos[v] Cos[y] Cos[z] Sin[u] - 
 
       I a Cos[s] Cos[v] Cos[z] Sin[t] Sin[u] - 
 
       I a Cos[t] Cos[z] Sin[u] Sin[v] - 
 
       a Cos[y] Cos[z] Sin[t] Sin[u] Sin[v] + 
 
       b Cos[s] Cos[u] Sin[y] - a Cos[v] Sin[s] Sin[u] Sin[y] - 
 
       I b Cos[t] Cos[u] Sin[s] Sin[z] - 
 
       b Cos[u] Cos[y] Sin[s] Sin[t] Sin[z] - 
 
       I a Cos[s] Cos[t] Cos[v] Sin[u] Sin[z] - 
 
       a Cos[s] Cos[v] Cos[y] Sin[t] Sin[u] Sin[z] - 
 
       a Cos[t] Cos[y] Sin[u] Sin[v] Sin[z] + 
 
                                                 2
       I a Sin[t] Sin[u] Sin[v] Sin[z])) / (32 Pi )}
:[font = text; inactive; preserveAspect]
Check normalization:
:[font = input; preserveAspect]
astar=((Conjugate[ a2 ] //. {conjsum,conjprod})
      /. {conjsin,conjcos}) ;
:[font = input; preserveAspect]
Clear[ asa, wt ]
:[font = input; preserveAspect]
asa= a2 astar ;
:[font = input; preserveAspect]
wt=Sum[ asa[[2-lg]], {lg,1,-1,-1}] ;
:[font = input; preserveAspect]
total=(Integrate[ wt Sin[y] Sin[u] Sin[s],
                  {Cos[q],-1,1}, {r,0,2Pi},
                  {s,0,Pi},      {t,0,2Pi},
                  {u,0,Pi},      {v,0,2Pi},
                  {y,0,Pi},      {z,0,2Pi} ])
:[font = text; inactive; preserveAspect; endGroup]
L=0 case:
^*)