(*^
::[	Information =

	"This is a Mathematica Notebook file.  It contains ASCII text, and can be
	transferred by email, ftp, or other text-file transfer utility.  It should
	be read or edited using a copy of Mathematica or MathReader.  If you 
	received this as email, use your mail application or copy/paste to save 
	everything from the line containing (*^ down to the line containing ^*)
	into a plain text file.  On some systems you may have to give the file a 
	name ending with ".ma" to allow Mathematica to recognize it as a Notebook.
	The line below identifies what version of Mathematica created this file,
	but it can be opened using any other version as well.";

	FrontEndVersion = "Macintosh Mathematica Notebook Front End Version 2.2";

	MacintoshStandardFontEncoding; 
	
	fontset = title, inactive, noPageBreakBelow, noPageBreakInGroup, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e8,  24, "times"; 
	fontset = subtitle, inactive, noPageBreakBelow, noPageBreakInGroup, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e6,  18, "times"; 
	fontset = subsubtitle, inactive, noPageBreakBelow, noPageBreakInGroup, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, e6,  14, "times"; 
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, a20,  18, "times"; 
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, a15,  14, "times"; 
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, a12,  12, "times"; 
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "times"; 
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, "times"; 
	fontset = input, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold,  12, "courier"; 
	fontset = output, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-4,  12, "courier"; 
	fontset = message, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23,  12, "courier"; 
	fontset = print, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23,  12, "courier"; 
	fontset = info, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23,  12, "courier"; 
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287,  12, "courier"; 
	fontset = name, inactive, noPageBreakInGroup, nohscroll, preserveAspect, M7, italic, B32768,  10, "times"; 
	fontset = header, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic,  12, "times"; 
	fontset = leftheader,  12, "times"; 
	fontset = footer, inactive, nohscroll, noKeepOnOnePage, preserveAspect, center, M7, italic,  12, "times"; 
	fontset = leftfooter,  12, "times"; 
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "times"; 
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "times"; 
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "courier"; 
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "times"; 
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "times"; 
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "times"; 
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "times"; 
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "times"; 
	paletteColors = 128; automaticGrouping; currentKernel; 
]
:[font = section; inactive; preserveAspect; startGroup]
w1 w2  from 1S0, w1  pog
;[s]
16:0,0;1,1;2,0;4,1;5,0;7,2;11,3;12,4;13,2;14,5;17,0;18,6;19,7;22,0;23,8;24,0;26,-1;
9:6,25,18,Symbol,1,18,0,0,0;2,26,17,Symbol,65,12,0,0,0;2,18,13,Courier,1,18,0,0,0;1,19,14,Times,1,18,0,0,0;1,23,15,Courier,33,14,0,0,0;1,23,15,Courier,65,14,0,0,0;1,20,13,Symbol,65,9,0,0,0;1,16,12,Symbol,1,14,0,0,0;1,26,17,Symbol,33,12,0,0,0;
:[font = text; inactive; preserveAspect]
The 3 x 3 matrix for the w  po g decay :
;[s]
4:0,0;25,1;30,2;31,1;42,-1;
3:1,13,9,Times,0,12,0,0,0;2,18,13,Symbol,0,12,0,0,0;1,20,13,Symbol,32,9,0,0,0;
:[font = input; preserveAspect]
fw[x_,y_]:={{-b Ds111[x,y], -b Ds101[x,y], -b Ds1m11[x,y] },
            { 0,             0,             0             },
            { b Ds11m1[x,y], b Ds10m1[x,y], b Ds1m1m1[x,y]}}
:[font = text; inactive; preserveAspect]
The 9  1 matrix for the pp  ww reaction is broken up into three 3  1 matrices, one for each of the three helicity states of w2.
;[s]
11:0,0;6,1;7,0;28,1;29,0;30,1;32,0;68,1;69,0;127,1;128,2;131,-1;
3:5,13,9,Times,0,12,0,0,0;5,18,13,Symbol,0,12,0,0,0;1,20,13,Symbol,64,9,0,0,0;
:[font = input; preserveAspect]
fpbp1={-a,0,0}
fpbp2={0,0,0}
fpbp3={0,0,a}
:[font = text; inactive; preserveAspect]
The total transition amplitude matrix is the product of the matrices for the two reactions. This
9  1 matrix will be split into three 3  1 matrices.
;[s]
4:0,0;99,1;101,0;137,1;151,-1;
2:2,13,9,Times,0,12,0,0,0;2,18,13,Symbol,0,12,0,0,0;
:[font = input; preserveAspect; startGroup]
ft1=fw[x,y].fpbp1
:[font = output; output; inactive; preserveAspect; endGroup]
{(a*b*E^(I*y)*(1 + Cos[x]))/2, 0, -(a*b*E^(I*y)*(1 - Cos[x]))/2}
;[o]
      I y                         I y
 a b E    (1 + Cos[x])     -(a b E    (1 - Cos[x]))
{---------------------, 0, ------------------------}
           2                          2
:[font = text; inactive; preserveAspect]
The weight, as a function of the direction of the gamma in the frame of the decaying omega, is the trace of the matrix formed from the product of the total transition amplitude matrix and its hermitian conjugate. This is equal to the sum of the scalar products of the three separate matrices
in this case.
:[font = input; preserveAspect; startGroup]
t1 = ft1.Conjugate[ft1]
:[font = output; output; inactive; preserveAspect; endGroup]
-(a*b*E^(I*y)*Conjugate[-(a*b*E^(I*y)*(1 - Cos[x]))/2]*
 
      (1 - Cos[x]))/2 + (a*b*E^(I*y)*
 
     Conjugate[(a*b*E^(I*y)*(1 + Cos[x]))/2]*(1 + Cos[x]))/2
;[o]
                            I y
       I y           -(a b E    (1 - Cos[x]))
-(a b E    Conjugate[------------------------] (1 - Cos[x]))
                                2
------------------------------------------------------------ + 
                             2
 
                          I y
       I y           a b E    (1 + Cos[x])
  a b E    Conjugate[---------------------] (1 + Cos[x])
                               2
  ------------------------------------------------------
                            2
:[font = input; preserveAspect; startGroup]
ft2=fw[x,y].fpbp2
:[font = output; output; inactive; preserveAspect; endGroup]
{0, 0, 0}
;[o]
{0, 0, 0}
:[font = input; preserveAspect]
ft3=fw[x,y].fpbp3
:[font = input; preserveAspect; startGroup]
t2 = ft2 . Conjugate[ft2]
:[font = output; output; inactive; preserveAspect; endGroup]
0
;[o]
0
:[font = input; preserveAspect]
t3 = ft3 . Conjugate[ft3]
:[font = text; inactive; preserveAspect]
Each of the three separate traces is simplified by judicious applications of the transformation rules for the Conjugate[] function.
:[font = input; preserveAspect]
Expand[t1]
:[font = input; preserveAspect]
t1a = t1 //. conjprod
:[font = input; preserveAspect]
t1b = t1a /. conjexp
:[font = input; preserveAspect]
t1c = t1b /. conjsum
:[font = input; preserveAspect]
t1d = t1c /. conjneg
:[font = input; preserveAspect]
t1e = t1d /. conjcos
:[font = text; inactive; preserveAspect]
Repeat the above for the other nonzero submatrix.
:[font = input; preserveAspect]
Expand[t3]
:[font = input; preserveAspect]
t3a = t3 //. conjprod
:[font = input; preserveAspect]
t3b = t3a /. conjexp
:[font = input; preserveAspect]
t3b = t3a /. conjnexp
:[font = input; preserveAspect]
t3c = t3b /. conjsum
:[font = input; preserveAspect]
t3d = t3c /. conjneg
:[font = input; preserveAspect]
t3e = t3d /. conjcos
:[font = input; preserveAspect]
a = 1 / Sqrt[6]
:[font = input; preserveAspect]
b = 1 / Sqrt[2]
:[font = input; preserveAspect; startGroup]
wt = t1e + t3e
:[font = output; output; inactive; preserveAspect; endGroup]
(1 - Cos[x])^2/24 + (1 + Cos[x])^2/24
;[o]
            2               2
(1 - Cos[x])    (1 + Cos[x])
------------- + -------------
     24              24
:[font = input; preserveAspect; startGroup]
Expand[wt]
:[font = output; output; inactive; preserveAspect; endGroup; endGroup]
1/12 + Cos[x]^2/12
;[o]
           2
1    Cos[x]
-- + -------
12     12
:[font = section; inactive; preserveAspect; startGroup]
Using sums instead of matrices
:[font = text; inactive; preserveAspect]
L=1 for the two omegas
:[font = input; preserveAspect]
Clear[ tpbp, tpbpf ]
:[font = input; preserveAspect; startGroup]
tpbp =( Table[ ClebschGordan[ {1,0}, {1,l1-l2}, {0,l1-l2} ] *
               ClebschGordan[ {1,l1},{1,-l2},{1,l1-l2} ],
               {l1,1,-1,-1},{l2,1,-1,-1} ] )
:[font = message; inactive; preserveAspect]
ClebschGordan::phy: ThreeJSymbol[{1, 0}, {1, 1}, {0, -1}] is not physical.
:[font = message; inactive; preserveAspect]
ClebschGordan::phy: ThreeJSymbol[{1, 0}, {1, 2}, {0, -2}] is not physical.
:[font = message; inactive; preserveAspect]
ClebschGordan::phy: ThreeJSymbol[{1, 1}, {1, 1}, {1, -2}] is not physical.
:[font = message; inactive; preserveAspect]
General::stop: Further output of ClebschGordan::phy
     will be suppressed during this calculation.
:[font = output; output; inactive; preserveAspect; endGroup]
{{-6^(-1/2), 0, 0}, {0, 0, 0}, {0, 0, 6^(-1/2)}}
;[o]
       1                                  1
{{-(-------), 0, 0}, {0, 0, 0}, {0, 0, -------}}
    Sqrt[6]                            Sqrt[6]
:[font = input; preserveAspect]
tpbpf[ l1_, l2_ ] := tpbp[[ 2-l1, 2-l2 ]]
:[font = input; preserveAspect]
Clear[ tw, twf ]
:[font = text; inactive; preserveAspect]
L=1 between the gamma and pi0
:[font = input; preserveAspect; startGroup]
tw =( Table[ ClebschGordan[ {1,0}, {1,lg}, {1,lg} ] *
             ClebschGordan[ {1,lg},{0,0},  {1,lg} ],
             {lg,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{-2^(-1/2), 0, 2^(-1/2)}
;[o]
      1            1
{-(-------), 0, -------}
   Sqrt[2]      Sqrt[2]
:[font = input; preserveAspect]
twf[ lg_ ] := tw[[ 2-lg ]]
:[font = text; inactive; preserveAspect]
Get the amplitude for each gamma helicity
:[font = input; preserveAspect]
Clear[ Ds, amplitude ]
:[font = input; preserveAspect; startGroup]
amplitude =(
 Table[ 
       Sum[ tpbpf[lw1,lw2]                      Sqrt[1/(4 Pi)] *
             twf[lg1]      * Ds[1,lw1,lg1, y,z] Sqrt[3/(4 Pi)],
            {lw1,1,-1,-1}
          ],
       {lg1,1,-1,-1},{lw2,1,-1,-1}
      ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{{Ds[1, 1, 1, y, z]/(8*Pi), 0, -Ds[1, -1, 1, y, z]/(8*Pi)}, {0, 0, 0}, 
 
  {-Ds[1, 1, -1, y, z]/(8*Pi), 0, Ds[1, -1, -1, y, z]/(8*Pi)}}
;[o]
  Ds[1, 1, 1, y, z]     -Ds[1, -1, 1, y, z]
{{-----------------, 0, -------------------}, {0, 0, 0}, 
        8 Pi                   8 Pi
 
   -Ds[1, 1, -1, y, z]     Ds[1, -1, -1, y, z]
  {-------------------, 0, -------------------}}
          8 Pi                    8 Pi
:[font = input; preserveAspect]
astar = Conjugate[ amplitude ] //. conjsum ;
:[font = input; preserveAspect]
as1 = astar //. conjprod ;
:[font = input; preserveAspect]
astar = as1 /. conjDs ;
:[font = input; preserveAspect]
asa = amplitude astar ;
:[font = input; preserveAspect]
angdist = Sum[asa[[2-lg,2-lw2]],{lg,1,-1,-1},{lw2,1,-1,-1}] ;
:[font = input; preserveAspect]
Ds[J_,m1_,m2_,t_,p_] := Exp[ I m1 p ] dfunc[J,m1,m2,t]
:[font = input; preserveAspect; startGroup]
wt=Factor[Expand[ TrigReduce[ComplexToTrig[angdist ]]]]
:[font = output; output; inactive; preserveAspect; endGroup]
(1 + Cos[y]^2)/(64*Pi^2)
;[o]
          2
1 + Cos[y]
-----------
       2
  64 Pi
:[font = input; preserveAspect; startGroup]
Integrate[wt,{y,0,Pi},{z,0,2Pi},{q,0,Pi},{r,0,2Pi}]
:[font = output; output; inactive; preserveAspect; endGroup]
(3*Pi^2)/32
;[o]
    2
3 Pi
-----
 32
:[font = input; preserveAspect; startGroup]
Integrate[wt,{Cos[y],-1,1},{z,0,2 Pi},{Cos[q],-1,1},{r,0,2 Pi}]
:[font = output; output; inactive; preserveAspect; endGroup; endGroup]
1/3
;[o]
1
-
3
:[font = section; inactive; preserveAspect; startGroup]
Let both omegas decay to pi0 gamma
:[font = input; preserveAspect]
Clear[ tpbp, tpbpf ]
:[font = input; preserveAspect; startGroup]
tpbp =( Table[ ClebschGordan[ {1,0}, {1,l1-l2}, {0,l1-l2} ] *
               ClebschGordan[ {1,l1},{1,-l2},{1,l1-l2} ],
               {l1,1,-1,-1},{l2,1,-1,-1} ] )
:[font = message; inactive; preserveAspect]
ClebschGordan::phy: ThreeJSymbol[{1, 0}, {1, 1}, {0, -1}] is not physical.
:[font = message; inactive; preserveAspect]
ClebschGordan::phy: ThreeJSymbol[{1, 0}, {1, 2}, {0, -2}] is not physical.
:[font = message; inactive; preserveAspect]
ClebschGordan::phy: ThreeJSymbol[{1, 1}, {1, 1}, {1, -2}] is not physical.
:[font = message; inactive; preserveAspect]
General::stop: Further output of ClebschGordan::phy
     will be suppressed during this calculation.
:[font = output; output; inactive; preserveAspect; endGroup]
{{-6^(-1/2), 0, 0}, {0, 0, 0}, {0, 0, 6^(-1/2)}}
;[o]
       1                                  1
{{-(-------), 0, 0}, {0, 0, 0}, {0, 0, -------}}
    Sqrt[6]                            Sqrt[6]
:[font = input; preserveAspect]
tpbpf[ l1_, l2_ ] := tpbp[[ 2-l1, 2-l2 ]]
:[font = input; preserveAspect]
Clear[ tw, twf ]
:[font = input; preserveAspect; startGroup]
tw =( Table[ ClebschGordan[ {1,0}, {1,lg}, {1,lg} ] *
             ClebschGordan[ {1,lg},{0,0},  {1,lg} ],
             {lg,1,-1,-1} ] )
:[font = output; output; inactive; preserveAspect; endGroup]
{-2^(-1/2), 0, 2^(-1/2)}
;[o]
      1            1
{-(-------), 0, -------}
   Sqrt[2]      Sqrt[2]
:[font = input; preserveAspect]
twf[ lg_ ] := tw[[ 2-lg ]]
:[font = input; preserveAspect]
Clear[ Ds,amplitude, w,x,y,z ]
:[font = input; preserveAspect]
amplitude =( Table[ Sum[ tpbpf[lw1,lw2]                Sqrt[1/(4Pi)]*
                         twf[lg1] * Ds[1,lw1,lg1, w,x] Sqrt[3/(4Pi)]*
                         twf[lg2] * Ds[1,lw2,lg2, y,z] Sqrt[3/(4Pi)],
                         {lw1,1,-1,-1},{lw2,1,-1,-1} ],
                    {lg1,1,-1,-1}, {lg2,1,-1,-1} ] ) ;
:[font = input; preserveAspect]
astar = Conjugate[ amplitude ] //. conjsum ;
:[font = input; preserveAspect]
as1 = astar //. conjprod ;
:[font = input; preserveAspect]
astar = as1 /. conjDs ;
:[font = input; preserveAspect]
asa = amplitude astar ;
:[font = input; preserveAspect]
angdist =Sum[asa[[2-lg,2-lg2]],
                      {lg,1,-1,-1},{lg2,1,-1,-1}] ;
:[font = input; preserveAspect]
Ds[J_,m1_,m2_,t_,p_] := Exp[ I m1 p ] dfunc[J,m1,m2,t]
:[font = input; preserveAspect; startGroup]
wt=Factor[ExpandAll[ TrigReduce[ComplexToTrig[angdist ]]]]
:[font = output; output; inactive; preserveAspect; endGroup]
(3*(Cos[w]^2*Cos[x]^2*Cos[z]^2 + Cos[x]^2*Cos[y]^2*Cos[z]^2 + Cos[z]^2*Sin[x]^2 + 
 
      Cos[w]^2*Cos[y]^2*Cos[z]^2*Sin[x]^2 + 2*Cos[x]*Cos[z]*Sin[x]*Sin[z] - 
 
      2*Cos[w]^2*Cos[x]*Cos[z]*Sin[x]*Sin[z] - 2*Cos[x]*Cos[y]^2*Cos[z]*Sin[x]*Sin[z] + 
 
      2*Cos[w]^2*Cos[x]*Cos[y]^2*Cos[z]*Sin[x]*Sin[z] + Cos[x]^2*Sin[z]^2 + 
 
      Cos[w]^2*Cos[x]^2*Cos[y]^2*Sin[z]^2 + Cos[w]^2*Sin[x]^2*Sin[z]^2 + 
 
      Cos[y]^2*Sin[x]^2*Sin[z]^2))/(512*Pi^3)
;[o]
          2       2       2         2       2       2         2       2
(3 (Cos[w]  Cos[x]  Cos[z]  + Cos[x]  Cos[y]  Cos[z]  + Cos[z]  Sin[x]  + 
 
            2       2       2       2
      Cos[w]  Cos[y]  Cos[z]  Sin[x]  + 2 Cos[x] Cos[z] Sin[x] Sin[z] - 
 
              2                                              2
      2 Cos[w]  Cos[x] Cos[z] Sin[x] Sin[z] - 2 Cos[x] Cos[y]  Cos[z] Sin[x] Sin[z] + 
 
              2              2                              2       2
      2 Cos[w]  Cos[x] Cos[y]  Cos[z] Sin[x] Sin[z] + Cos[x]  Sin[z]  + 
 
            2       2       2       2         2       2       2
      Cos[w]  Cos[x]  Cos[y]  Sin[z]  + Cos[w]  Sin[x]  Sin[z]  + 
 
            2       2       2            3
      Cos[y]  Sin[x]  Sin[z] )) / (512 Pi )
:[font = input; preserveAspect; startGroup]
(Integrate[wt,{Cos[q],1,-1},{r,0,2Pi},
              {w,0,Pi},{x,0,2Pi},
              {y,0,Pi},{z,0,2Pi}]) 
:[font = output; output; inactive; preserveAspect; endGroup; endGroup]
(-27*Pi^2)/256
;[o]
      2
-27 Pi
-------
  256
^*)
